<?php if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access pages directly.

$options = array();

$options[] = array(
	'id'        => 'reflector_post_options',
	'title'     => 'Post preview settings',
	'post_type' => 'post',
	'context'   => 'normal',
	'priority'  => 'default',
	'sections'  => array(
		array(
			'name'   => 'general_post_options',
			'title'  => 'General Post Options',
			'fields' => array(
				array(
					'id'         => 'sidebar_position',
					'type'       => 'select',
					'title'      => 'Select Sidebar position',
					'options'    => array(
						'right'       => "Right",
						'left'     => 'Left',
						'none'       => 'None',
					),
					'default'    => 'right',
					'desc'       => 'This option will be work if you check sidebar for posts in Theme Options.',
				),
				array(
					'id'      => 'change_enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Change Enable Copyright option',
					'default' => false,
				),
				array(
					'id'      => 'enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Enable Copyright',
					'desc'    => 'Display a message when user click right button mouse on page',
					'default' => false,
					'dependency' => array( 'change_enable_copyright', '==', 'true' ),
				),
			)
		),
		array(
			'title'  => 'Header Options',
			'name'   => 'section_4_1',
			'fields' => array(
				// page menu
				array(
					'type'    => 'heading',
					'content' => 'Main page menu',
				),
				array(
					'id'      => 'page_menu',
					'type'    => 'select',
					'title'   => 'Page menu',
					'options' => reflector_get_menus(),
					'default' => array( 'default' )
				),
				// page header style
				array(
					'type'    => 'heading',
					'content' => 'Page header style',
				),
				array(
					'id'      => 'change_menu',
					'type'    => 'switcher',
					'title'   => 'Change menu style for this page?',
					'default' => false
				),
				array(
					'id'         => 'menu_style',
					'type'       => 'image_select',
					'title'      => 'Menu style:',
					'options'    => array(
						'simple'       => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
						'aside'        => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
						'static_aside' => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
						'bottom'       => EF_URL . '/admin/assets/images/cs_images/menu_bottom.jpg',
						'full_screen'  => EF_URL . '/admin/assets/images/cs_images/menu_full_screen.jpg',
						'only_logo'    => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'menu_style',
					),
					'default'    => 'simple',
					'desc'       => 'Choose menu style',
					'dependency' => array( 'change_menu', '==', true ),
				),
				// options current
				array(
					'type'       => 'heading',
					'content'    => 'Options for current style',
					'dependency' => array(
						'menu_style|change_menu',
						'any|==',
						'simple,static_aside,only_logo,full_screen|true'
					),
				),
				array(
					'id'         => 'bg_static_menu',
					'type'       => 'upload',
					'title'      => 'Background image for Static Menu',
					'default'    => '',
					'desc'       => 'Upload background image for menu section.',
					'dependency' => array( 'menu_style', '==', 'static_aside' ),
				),
				array(
					'id'         => 'style_header',
					'type'       => 'select',
					'title'      => 'Select header style',
					'options'    => array(
						'empty'       => "Isn`t chosen",
						'default'     => 'Default',
						'fixed'       => 'Fixed',
						'transparent' => 'Fixed transparent',
						'none'        => 'None'
					),
					'default'    => 'empty',
					'dependency' => array( 'menu_style', 'any', 'simple,full_screen' ),
				),
				array(
					'id'         => 'menu_light_text',
					'type'       => 'switcher',
					'title'      => 'Light text on menu',
					'label'      => 'Do you want to it ?',
					'default'    => false,
					'dependency' => array( 'menu_style|style_header', 'any|==', 'simple,full_screen|transparent' ),
				),
				// page logo style
				array(
					'type'    => 'heading',
					'content' => 'Page logo style',
				),
				array(
					'id'      => 'image_page_logo',
					'type'    => 'upload',
					'title'   => 'Site Logo',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_scroll',
					'type'    => 'upload',
					'title'   => 'Site Logo on scroll',
					'default' => '',
					'desc'    => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_mobile',
					'type'    => 'upload',
					'title'   => 'Site Logo on mobile',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
			)
		),
		array(
			'title'  => 'Footer Options',
			'name'   => 'section_4_2',
			'fields' => array(
				// page menu
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Modern</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Simple</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'simple' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Creative</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'creative' ),
				),
				array(
					'id'         => 'reflector_footer_style',
					'type'       => 'image_select',
					'title'      => 'Footer style:',
					'options'    => array(
						'simple'   => EF_URL . '/admin/assets/images/cs_images/footer-simple.jpg',
						'modern'   => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
						'creative' => EF_URL . '/admin/assets/images/cs_images/footer-creative.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'reflector_footer_style',
					),
					'default'    => cs_get_option( 'reflector_footer_style' ),
					'desc'       => 'Choose style for Footer'
				),
				array(
					'type'    => 'heading',
					'content' => 'Footer other options',
				),
				array(
					'id'         => 'enable_light_footer',
					'type'       => 'switcher',
					'title'      => 'Enable Light Background Footer',
					'default'    => false,
					'desc'       => 'Turning on Light Background Footer',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'id'      => 'fixed_transparent_footer',
					'type'    => 'switcher',
					'title'   => 'Fixed and tranparent footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
				array(
					'id'      => 'disable_footer',
					'type'    => 'switcher',
					'title'   => 'Disable footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
			)
		),
	)
);

$options[] = array(
	'id'        => 'reflector_portfolio_options',
	'title'     => 'Portfolio details',
	'post_type' => 'portfolio',
	'context'   => 'normal',
	'priority'  => 'high',
	'sections'  => array(
		array(
			'title'  => 'Portfolio Options',
			'name'   => 'section_4',
			'fields' => array(
				array(
					'id'         => 'portfolio_style',
					'type'       => 'select',
					'title'      => 'Select style for gallery',
					'options'    => array(
						'grid'           => 'Grid',
						'masonry'        => 'Masonry',
						'classic_slider' => 'Classic Slider',
						'parallax'       => 'Parallax',
						'custom'       => 'Custom Shortcodes',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'portfolio_style',
					),
				),
				array(
					'id'          => 'slider',
					'type'        => 'gallery',
					'title'       => 'Image gallery',
					'add_title'   => 'Add Images',
					'edit_title'  => 'Edit Images',
					'clear_title' => 'Remove Images',
					'dependency' => array( 'portfolio_style', '!=', 'custom' ),
				),
				array(
					'id'         => 'portfolio_img_size',
					'type'       => 'select',
					'title'      => 'Select size for images of gallery',
					'options'    => array_merge(
						array( 'full' ),
						get_intermediate_image_sizes()
					),
					'default'    => 'full',
					'dependency' => array( 'portfolio_style', 'any', 'grid,masonry' ),
				),
				array(
					'id'         => 'gallery_column',
					'type'       => 'select',
					'title'      => 'Select count of columns for gallery',
					'options'    => array(
						'column-4' => 'Four',
						'column-3' => 'Three',
						'column-6' => 'Two',
					),
					'default'    => 'column-4',
					'dependency' => array( 'portfolio_style', 'any', 'grid,masonry' ),
				),
				array(
					'id'         => 'gallery_hover',
					'type'       => 'select',
					'title'      => 'Select hover for gallery',
					'options'    => array(
						'default' => 'Default',
						'hover1'  => 'Zoom Out',
						'hover2'  => 'Slide',
						'hover3'  => 'Rotate',
						'hover4'  => 'Blur',
						'hover5'  => 'Gray Scale',
						'hover6'  => 'Sepia',
						'hover7'  => 'Blur + Gray Scale',
						'hover8'  => 'Opacity',
						'hover9'  => 'Shine',
					),
					'default'    => 'default',
					'dependency' => array( 'portfolio_style', 'any', 'grid,masonry' ),
				),
				array(
					'id'         => 'change_nav',
					'type'       => 'switcher',
					'title'      => 'Change navigation in portfolio post',
					'default'    => false,
				),
				array(
					'id'         => 'navigation_portfolio',
					'type'       => 'switcher',
					'title'      => 'Navigation in portfolio post',
					'default'    => false,
				),
				array(
					'id'    => 'ext_link',
					'type'  => 'text',
					'title' => 'External link',
				),
				array(
					'id'         => 'protected_bg',
					'type'       => 'upload',
					'title'      => 'Background image for Gallery Protected Page',
					'default'    => '',
					'desc'       => 'Upload background image for Gallery Protected Page.',
				),
				array(
					'id' => 'protected_descr',
					'type' => 'textarea',
					'title' => 'Protected Description',
				),
				array(
					'id'      => 'change_enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Change Enable Copyright option',
					'default' => false,
				),
				array(
					'id'      => 'enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Enable Copyright',
					'desc'    => 'Display a message when user click right button mouse on page',
					'default' => false,
					'dependency' => array( 'change_enable_copyright', '==', 'true' ),
				),
			)
		),
		array(
			'title'  => 'Header Options',
			'name'   => 'section_4_1',
			'fields' => array(
				// page menu
				array(
					'type'    => 'heading',
					'content' => 'Main page menu',
				),
				array(
					'id'      => 'page_menu',
					'type'    => 'select',
					'title'   => 'Page menu',
					'options' => reflector_get_menus(),
					'default' => array( 'default' )
				),
				// page header style
				array(
					'type'    => 'heading',
					'content' => 'Page header style',
				),
				array(
					'id'      => 'change_menu',
					'type'    => 'switcher',
					'title'   => 'Change menu style for this page?',
					'default' => false
				),
				array(
					'id'         => 'menu_style',
					'type'       => 'image_select',
					'title'      => 'Menu style:',
					'options'    => array(
						'simple'       => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
						'aside'        => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
						'static_aside' => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
						'bottom'       => EF_URL . '/admin/assets/images/cs_images/menu_bottom.jpg',
						'full_screen'  => EF_URL . '/admin/assets/images/cs_images/menu_full_screen.jpg',
						'only_logo'    => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'menu_style',
					),
					'default'    => 'simple',
					'desc'       => 'Choose menu style',
					'dependency' => array( 'change_menu', '==', true ),
				),
				// options current
				array(
					'type'       => 'heading',
					'content'    => 'Options for current style',
					'dependency' => array(
						'menu_style|change_menu',
						'any|==',
						'simple,static_aside,only_logo,full_screen|true'
					),
				),
				array(
					'id'         => 'bg_static_menu',
					'type'       => 'upload',
					'title'      => 'Background image for Static Menu',
					'default'    => '',
					'desc'       => 'Upload background image for menu section.',
					'dependency' => array( 'menu_style', '==', 'static_aside' ),
				),

				array(
					'id'         => 'style_header',
					'type'       => 'select',
					'title'      => 'Select header style',
					'options'    => array(
						'empty'       => "Isn`t chosen",
						'default'     => 'Default',
						'fixed'       => 'Fixed',
						'transparent' => 'Fixed transparent',
						'none'        => 'None'
					),
					'default'    => 'empty',
					'dependency' => array( 'menu_style', 'any', 'simple,full_screen' ),
				),
				array(
					'id'         => 'menu_light_text',
					'type'       => 'switcher',
					'title'      => 'Light text on menu',
					'label'      => 'Do you want to it ?',
					'default'    => false,
					'dependency' => array( 'menu_style|style_header', 'any|==', 'simple,full_screen|transparent' ),
				),
				// page logo style
				array(
					'type'    => 'heading',
					'content' => 'Page logo style',
				),
				array(
					'id'      => 'image_page_logo',
					'type'    => 'upload',
					'title'   => 'Site Logo',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_scroll',
					'type'    => 'upload',
					'title'   => 'Site Logo on scroll',
					'default' => '',
					'desc'    => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_mobile',
					'type'    => 'upload',
					'title'   => 'Site Logo on mobile',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
			)
		),
		array(
			'title'  => 'Footer Options',
			'name'   => 'section_4_2',
			'fields' => array(
				// page menu
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Modern</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Simple</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'simple' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Creative</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'creative' ),
				),
				array(
					'id'         => 'reflector_footer_style',
					'type'       => 'image_select',
					'title'      => 'Footer style:',
					'options'    => array(
						'simple'   => EF_URL . '/admin/assets/images/cs_images/footer-simple.jpg',
						'modern'   => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
						'creative' => EF_URL . '/admin/assets/images/cs_images/footer-creative.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'reflector_footer_style',
					),
					'default'    => cs_get_option( 'reflector_footer_style' ),
					'desc'       => 'Choose style for Footer'
				),
				array(
					'type'    => 'heading',
					'content' => 'Footer other options',
				),
				array(
					'id'         => 'enable_light_footer',
					'type'       => 'switcher',
					'title'      => 'Enable Light Background Footer',
					'default'    => false,
					'desc'       => 'Turning on Light Background Footer',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'id'      => 'fixed_transparent_footer',
					'type'    => 'switcher',
					'title'   => 'Fixed and tranparent footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
				array(
					'id'      => 'disable_footer',
					'type'    => 'switcher',
					'title'   => 'Disable footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
			)
		),
	)
);


$options[] = array(
	'id' => 'reflector_whizzy_options',
	'title' => 'Gallery additional options',
	'post_type' => 'whizzy_proof_gallery',
	'context' => 'normal',
	'priority' => 'high',
	'sections' => array(
		array(
			'name' => 'general_portfolio_options',
			'title' => 'Gallery Options',
			'fields' => array(
				array(
					'id'         => 'protected_bg',
					'type'       => 'upload',
					'title'      => 'Background image for Gallery Protected Page',
					'default'    => '',
					'desc'       => 'Upload background image for Gallery Protected Page.',
				),
				array(
					'id' => 'protected_descr',
					'type' => 'textarea',
					'title' => 'Protected Description',
				),
				array(
					'id'      => 'change_enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Change Enable Copyright option',
					'default' => false,
				),
				array(
					'id'      => 'enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Enable Copyright',
					'desc'    => 'Display a message when user click right button mouse on page',
					'default' => false,
					'dependency' => array( 'change_enable_copyright', '==', 'true' ),
				),
			)
		),
		array(
			'title'  => 'Header Options',
			'name'   => 'section_4_1',
			'fields' => array(
				// page menu
				array(
					'type'    => 'heading',
					'content' => 'Main page menu',
				),
				array(
					'id'      => 'page_menu',
					'type'    => 'select',
					'title'   => 'Page menu',
					'options' => reflector_get_menus(),
					'default' => array( 'default' )
				),
				// page header style
				array(
					'type'    => 'heading',
					'content' => 'Page header style',
				),
				array(
					'id'      => 'change_menu',
					'type'    => 'switcher',
					'title'   => 'Change menu style for this page?',
					'default' => false
				),
				array(
					'id'         => 'menu_style',
					'type'       => 'image_select',
					'title'      => 'Menu style:',
					'options'    => array(
						'simple'       => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
						'aside'        => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
						'static_aside' => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
						'bottom'       => EF_URL . '/admin/assets/images/cs_images/menu_bottom.jpg',
						'full_screen'  => EF_URL . '/admin/assets/images/cs_images/menu_full_screen.jpg',
						'only_logo'    => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'menu_style',
					),
					'default'    => 'simple',
					'desc'       => 'Choose menu style',
					'dependency' => array( 'change_menu', '==', true ),
				),
				// options current
				array(
					'type'       => 'heading',
					'content'    => 'Options for current style',
					'dependency' => array(
						'menu_style|change_menu',
						'any|==',
						'simple,static_aside,only_logo,full_screen|true'
					),
				),
				array(
					'id'         => 'bg_static_menu',
					'type'       => 'upload',
					'title'      => 'Background image for Static Menu',
					'default'    => '',
					'desc'       => 'Upload background image for menu section.',
					'dependency' => array( 'menu_style', '==', 'static_aside' ),
				),
				array(
					'id'         => 'style_header',
					'type'       => 'select',
					'title'      => 'Select header style',
					'options'    => array(
						'empty'       => "Isn`t chosen",
						'default'     => 'Default',
						'fixed'       => 'Fixed',
						'transparent' => 'Fixed transparent',
						'none'        => 'None'
					),
					'default'    => 'empty',
					'dependency' => array( 'menu_style', 'any', 'simple,full_screen' ),
				),
				array(
					'id'         => 'menu_light_text',
					'type'       => 'switcher',
					'title'      => 'Light text on menu',
					'label'      => 'Do you want to it ?',
					'default'    => false,
					'dependency' => array( 'menu_style|style_header', 'any|==', 'simple,full_screen|transparent' ),
				),
				// page logo style
				array(
					'type'    => 'heading',
					'content' => 'Page logo style',
				),
				array(
					'id'      => 'image_page_logo',
					'type'    => 'upload',
					'title'   => 'Site Logo',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_scroll',
					'type'    => 'upload',
					'title'   => 'Site Logo on scroll',
					'default' => '',
					'desc'    => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_mobile',
					'type'    => 'upload',
					'title'   => 'Site Logo on mobile',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
			)
		),
		array(
			'title'  => 'Footer Options',
			'name'   => 'section_4_2',
			'fields' => array(
				// page menu
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Modern</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Simple</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'simple' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Creative</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'creative' ),
				),
				array(
					'id'         => 'reflector_footer_style',
					'type'       => 'image_select',
					'title'      => 'Footer style:',
					'options'    => array(
						'simple'   => EF_URL . '/admin/assets/images/cs_images/footer-simple.jpg',
						'modern'   => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
						'creative' => EF_URL . '/admin/assets/images/cs_images/footer-creative.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'reflector_footer_style',
					),
					'default'    => cs_get_option( 'reflector_footer_style' ),
					'desc'       => 'Choose style for Footer'
				),
				array(
					'type'    => 'heading',
					'content' => 'Footer other options',
				),
				array(
					'id'         => 'enable_light_footer',
					'type'       => 'switcher',
					'title'      => 'Enable Light Background Footer',
					'default'    => false,
					'desc'       => 'Turning on Light Background Footer',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'id'      => 'fixed_transparent_footer',
					'type'    => 'switcher',
					'title'   => 'Fixed and tranparent footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
				array(
					'id'      => 'disable_footer',
					'type'    => 'switcher',
					'title'   => 'Disable footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
			)
		),
	)
);

$options[] = array(
	'id'        => '_custom_page_options',
	'title'     => 'Custom Options',
	'post_type' => 'page', // or post or CPT
	'context'   => 'normal',
	'priority'  => 'default',
	'sections'  => array(
		array(
			'name'   => 'header_page_options',
			'title'  => 'Header Page Options',
			'fields' => array(
				// page menu
				array(
					'type'    => 'heading',
					'content' => 'Main page menu',
				),
				array(
					'id'      => 'page_menu',
					'type'    => 'select',
					'title'   => 'Page menu',
					'options' => reflector_get_menus(),
					'default' => array( 'default' )
				),
				// page header style
				array(
					'type'    => 'heading',
					'content' => 'Page header style',
				),
				array(
					'id'      => 'change_menu',
					'type'    => 'switcher',
					'title'   => 'Change menu style for this page?',
					'default' => false
				),
				array(
					'id'         => 'menu_style',
					'type'       => 'image_select',
					'title'      => 'Menu style:',
					'options'    => array(
						'simple'       => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
						'aside'        => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
						'static_aside' => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
						'bottom'       => EF_URL . '/admin/assets/images/cs_images/menu_bottom.jpg',
						'full_screen'  => EF_URL . '/admin/assets/images/cs_images/menu_full_screen.jpg',
						'only_logo'    => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'menu_style',
					),
					'default'    => 'simple',
					'desc'       => 'Choose menu style',
					'dependency' => array( 'change_menu', '==', true ),
				),
				// options current
				array(
					'type'       => 'heading',
					'content'    => 'Options for current style',
					'dependency' => array(
						'menu_style|change_menu',
						'any|==',
						'simple,static_aside,only_logo,full_screen|true'
					),
				),
				array(
					'id'         => 'bg_static_menu',
					'type'       => 'upload',
					'title'      => 'Background image for Static Menu',
					'default'    => '',
					'desc'       => 'Upload background image for menu section.',
					'dependency' => array( 'menu_style', '==', 'static_aside' ),
				),
				array(
					'id'         => 'style_header',
					'type'       => 'select',
					'title'      => 'Select header style',
					'options'    => array(
						'empty'       => "Isn`t chosen",
						'default'     => 'Default',
						'fixed'       => 'Fixed',
						'transparent' => 'Fixed transparent',
						'none'        => 'None'
					),
					'default'    => 'empty',
					'dependency' => array( 'menu_style', 'any', 'simple,full_screen' ),
				),
				array(
					'id'         => 'menu_light_text',
					'type'       => 'switcher',
					'title'      => 'Light text on menu',
					'label'      => 'Do you want to it ?',
					'default'    => false,
					'dependency' => array( 'menu_style|style_header', 'any|==', 'simple,full_screen|transparent' ),
				),
				// page logo style
				array(
					'type'    => 'heading',
					'content' => 'Page logo style',
				),
				array(
					'id'      => 'image_page_logo',
					'type'    => 'upload',
					'title'   => 'Site Logo',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_scroll',
					'type'    => 'upload',
					'title'   => 'Site Logo on scroll',
					'default' => '',
					'desc'    => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_mobile',
					'type'    => 'upload',
					'title'   => 'Site Logo on mobile',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
			)
		),
		// begin section

		array(
			'name'   => 'footer_page_options',
			'title'  => 'Footer Page Options',
			'fields' => array(
				// page menu
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Modern</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Simple</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'simple' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Creative</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'creative' ),
				),
				array(
					'id'         => 'reflector_footer_style',
					'type'       => 'image_select',
					'title'      => 'Footer style:',
					'options'    => array(
						'simple'   => EF_URL . '/admin/assets/images/cs_images/footer-simple.jpg',
						'modern'   => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
						'creative' => EF_URL . '/admin/assets/images/cs_images/footer-creative.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'reflector_footer_style',
					),
					'default'    => cs_get_option( 'reflector_footer_style' ),
					'desc'       => 'Choose style for Footer'
				),
				array(
					'type'    => 'heading',
					'content' => 'Footer other options',
				),
				array(
					'id'         => 'enable_light_footer',
					'type'       => 'switcher',
					'title'      => 'Enable Light Background Footer',
					'default'    => false,
					'desc'       => 'Turning on Light Background Footer',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'id'      => 'fixed_transparent_footer',
					'type'    => 'switcher',
					'title'   => 'Fixed and tranparent footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
				array(
					'id'      => 'disable_footer',
					'type'    => 'switcher',
					'title'   => 'Disable footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
			)
		),
		array(
			'name'   => 'other_page_options',
			'title'  => 'Other Page Options',
			'fields' => array(
				array(
					'id'      => 'disable_container_padding',
					'type'    => 'switcher',
					'title'   => 'Disable padding container',
					'label'   => 'Do you want to it ?',
					'default' => false
				),
				array(
					'id'    => 'padding_desktop',
					'type'  => 'text',
					'title' => 'Custom desktop paddings (left and right) for page'
				),
				array(
					'id'    => 'padding_mobile',
					'type'  => 'text',
					'title' => 'Custom mobile paddings (left and right) for page'
				),
				array(
					'id'      => 'change_enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Change Enable Copyright option',
					'default' => false,
				),
				array(
					'id'      => 'enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Enable Copyright',
					'desc'    => 'Display a message when user click right button mouse on page',
					'default' => false,
					'dependency' => array( 'change_enable_copyright', '==', 'true' ),
				),
			),
		),
	),
);


$options[] = array(
	'id'        => 'reflector_space_options',
	'title'     => 'Space details',
	'post_type' => 'spaces',
	'context'   => 'normal',
	'priority'  => 'high',
	'sections'  => array(
		array(
			'title'  => 'Space Options',
			'name'   => 'section_4',
			'fields' => array(
				array(
					'id'          => 'gallery',
					'type'        => 'gallery',
					'title'       => 'Image gallery',
					'add_title'   => 'Add Images',
					'edit_title'  => 'Edit Images',
					'clear_title' => 'Remove Images',
				),
				array(
					'id'    => 'ext_link',
					'type'  => 'text',
					'title' => 'External link',
				),
				array(
					'id'      => 'change_enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Change Enable Copyright option',
					'default' => false,
				),
				array(
					'id'      => 'enable_copyright',
					'type'    => 'switcher',
					'title'   => 'Enable Copyright',
					'desc'    => 'Display a message when user click right button mouse on page',
					'default' => false,
					'dependency' => array( 'change_enable_copyright', '==', 'true' ),
				),
			)
		),
		array(
			'title'  => 'Header Options',
			'name'   => 'section_4_1',
			'fields' => array(
				// page menu
				array(
					'type'    => 'heading',
					'content' => 'Main page menu',
				),
				array(
					'id'      => 'page_menu',
					'type'    => 'select',
					'title'   => 'Page menu',
					'options' => reflector_get_menus(),
					'default' => array( 'default' )
				),
				// page header style
				array(
					'type'    => 'heading',
					'content' => 'Page header style',
				),
				array(
					'id'      => 'change_menu',
					'type'    => 'switcher',
					'title'   => 'Change menu style for this page?',
					'default' => false
				),
				array(
					'id'         => 'menu_style',
					'type'       => 'image_select',
					'title'      => 'Menu style:',
					'options'    => array(
						'simple'       => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
						'aside'        => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
						'static_aside' => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
						'bottom'       => EF_URL . '/admin/assets/images/cs_images/menu_bottom.jpg',
						'full_screen'  => EF_URL . '/admin/assets/images/cs_images/menu_full_screen.jpg',
						'only_logo'    => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'menu_style',
					),
					'default'    => 'simple',
					'desc'       => 'Choose menu style',
					'dependency' => array( 'change_menu', '==', true ),
				),
				// options current
				array(
					'type'       => 'heading',
					'content'    => 'Options for current style',
					'dependency' => array(
						'menu_style|change_menu',
						'any|==',
						'simple,static_aside,only_logo,full_screen|true'
					),
				),
				array(
					'id'         => 'bg_static_menu',
					'type'       => 'upload',
					'title'      => 'Background image for Static Menu',
					'default'    => '',
					'desc'       => 'Upload background image for menu section.',
					'dependency' => array( 'menu_style', '==', 'static_aside' ),
				),

				array(
					'id'         => 'style_header',
					'type'       => 'select',
					'title'      => 'Select header style',
					'options'    => array(
						'empty'       => "Isn`t chosen",
						'default'     => 'Default',
						'fixed'       => 'Fixed',
						'transparent' => 'Fixed transparent',
						'none'        => 'None'
					),
					'default'    => 'empty',
					'dependency' => array( 'menu_style', 'any', 'simple,full_screen' ),
				),
				array(
					'id'         => 'menu_light_text',
					'type'       => 'switcher',
					'title'      => 'Light text on menu',
					'label'      => 'Do you want to it ?',
					'default'    => false,
					'dependency' => array( 'menu_style|style_header', 'any|==', 'simple,full_screen|transparent' ),
				),
				// page logo style
				array(
					'type'    => 'heading',
					'content' => 'Page logo style',
				),
				array(
					'id'      => 'image_page_logo',
					'type'    => 'upload',
					'title'   => 'Site Logo',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_scroll',
					'type'    => 'upload',
					'title'   => 'Site Logo on scroll',
					'default' => '',
					'desc'    => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
				),
				array(
					'id'      => 'image_logo_mobile',
					'type'    => 'upload',
					'title'   => 'Site Logo on mobile',
					'default' => '',
					'desc'    => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
				),
			)
		),
		array(
			'title'  => 'Footer Options',
			'name'   => 'section_4_2',
			'fields' => array(
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Modern</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Simple</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'simple' ),
				),
				array(
					'type'       => 'heading',
					'content'    => 'Footer page style - <i>Creative</i>',
					'dependency' => array( 'reflector_footer_style', '==', 'creative' ),
				),
				array(
					'id'         => 'reflector_footer_style',
					'type'       => 'image_select',
					'title'      => 'Footer style:',
					'options'    => array(
						'simple'   => EF_URL . '/admin/assets/images/cs_images/footer-simple.jpg',
						'modern'   => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
						'creative' => EF_URL . '/admin/assets/images/cs_images/footer-creative.jpg',
					),
					'radio'      => true,
					'attributes' => array(
						'data-depend-id' => 'reflector_footer_style',
					),
					'default'    => cs_get_option( 'reflector_footer_style' ),
					'desc'       => 'Choose style for Footer'
				),
				array(
					'type'    => 'heading',
					'content' => 'Footer other options',
				),
				array(
					'id'         => 'enable_light_footer',
					'type'       => 'switcher',
					'title'      => 'Enable Light Background Footer',
					'default'    => false,
					'desc'       => 'Turning on Light Background Footer',
					'dependency' => array( 'reflector_footer_style', '==', 'modern' ),
				),
				array(
					'id'      => 'fixed_transparent_footer',
					'type'    => 'switcher',
					'title'   => 'Fixed and tranparent footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
				array(
					'id'      => 'disable_footer',
					'type'    => 'switcher',
					'title'   => 'Disable footer',
					'label'   => 'Do you want to it?',
					'default' => false,
				),
			)
		),
	)
);

CSFramework_Metabox::instance( $options );
