<?php
$title           = cs_get_option( 'pdf_title' ) ? cs_get_option( 'pdf_title' ) : '';
$text            = cs_get_option( 'pdf_subtitle' ) ? cs_get_option( 'pdf_subtitle' ) : '';
$packages_title  = cs_get_option( 'pdf_packages_title' ) ? cs_get_option( 'pdf_packages_title' ) : '';
$pricelist_title = cs_get_option( 'pdf_pricelist_title' ) ? cs_get_option( 'pdf_pricelist_title' ) : '';
$name            = isset( $params['reflector_name'] ) && ! empty( $params['reflector_name'] ) ? $params['reflector_name'] : '';
$email           = isset( $params['reflector_email'] ) && ! empty( $params['reflector_email'] ) ? $params['reflector_email'] : '';
$date            = isset( $params['reflector_date'] ) && ! empty( $params['reflector_date'] ) ? $params['reflector_date'] : '';
$location        = isset( $params['reflector_location'] ) && ! empty( $params['reflector_location'] ) ? $params['reflector_location'] : '';
$message         = isset( $params['reflector_message'] ) && ! empty( $params['reflector_message'] ) ? $params['reflector_message'] : '';
$total_price     = isset( $price ) && ! empty( $price ) ? $price : '';
$packages        = isset( $packages ) && ! empty( $packages ) ? $packages : '';
$copyright       = cs_get_option( 'footer_text' ) ? cs_get_option( 'footer_text' ) : esc_html__( ' &copy;', 'reflector' ) . date( 'Y' ) . get_bloginfo( 'name' ); ?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><?php esc_html_e( 'Price List', 'reflector' ); ?></title>
    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans:300,400,600,700&amp;subset=latin-ext"
          rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Playfair+Display:400,400i,700,700i" rel="stylesheet">
</head>
<body>
<style>
    .pricelist-pdf-wrap {
        border: 2px solid #b9a893;
        border-bottom: none;
        padding: 50px;
        font-family: 'Josefin Sans', sans-serif;
    }

    a.logo {
        font-size: 50px;
        text-align: center;
        letter-spacing: 5px;
        color: #b9a893;
        font-weight: 700;
        display: inline-block;
        margin-bottom: 30px;
        text-transform: uppercase;
    }

    div.logo{
        display: block;
        width: 100%;
        clear: both;
        float: none;
        text-align: center;
    }

    .logo img.logo-hover,
    .logo img.logo-mobile {
        display: none!important;
    }

    .logo img.main-logo {
        display: block;
    }

    hr {
        width: 70px;
        height: 1px;
        color: #888;
        border: none;
        background-color: #888;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 30px;
        clear: both;
        display: block;
    }

    .logo img {
        max-height: 100px;
        width: auto;
        display: block;
        margin: auto;
    }

    .copyright {
        padding: 30px 15px;
        text-align: center;
        background-color: #222;
        color: #fff;
        font-size: 15px;
        letter-spacing: 1px;
        font-weight: 400;
    }

    .copyright a {
        color: #fff;
        font-size: 15px;
        -webkit-transition: all 450ms ease;
        -moz-transition: all 450ms ease;
        -ms-transition: all 450ms ease;
        -o-transition: all 450ms ease;
        transition: all 450ms ease;
    }

    .copyright a:hover {
        color: #b9a893;
    }

    .top-wrap .subtitle {
        font-size: 32px;
        font-weight: 700;
        letter-spacing: 2px;
        text-transform: uppercase;
        width: 100%;
        color: #222;
        margin-bottom: 20px;
        position: relative;
        text-align: center;
    }

    .top-wrap .text {
        font-size: 19px;
        line-height: 1.6;
        text-align: center;
        color: #888;
        font-weight: 300;
        max-width: 500px;
        margin-right: auto;
        margin-left: auto;
        margin-bottom: 40px;
    }

    .top-wrap {
        padding: 30px 15px;
    }

    .packages-title,
    .price-list-title {
        font-size: 19px;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-weight: 700;
        margin-bottom: 30px;
    }

    .packages-title {
        margin-top: 15px;
    }

    .form-item {
        margin-bottom: 30px;
        text-align: left;
        width: 100%;
    }

    .form-item .icon {
        width: 30px;
    }

    .form-item .wrap {
        padding-left: 20px;
        text-align: left;
    }

    .form-item .title {
        font-size: 12px;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-weight: 700;
        margin-bottom: 10px;
    }

    .form-item .text {
        font-size: 19px;
        font-weight: 300;
        color: #888;
    }

    .packages-wrap table {
        width: 100%;
    }

    .packages-wrap table tr {
        margin-bottom: 15px;
    }

    .packages-wrap table td {
        width: 50%;
        font-size: 15px;
        font-weight: 700;
        text-transform: uppercase;
        letter-spacing: 2px;
    }

    .packages-wrap table tr td:first-child {
        color: #222;
        width: 40%;
        padding-right: 15px;
    }

    .packages-wrap table tr td:nth-of-type(2) span {
        display: inline-block;
        width: 100%;
        height: 1px;
        border-bottom: 1px dashed #888;
    }

    .packages-wrap table tr td:nth-of-type(3) {
        color: #222;
        font-family: "Playfair Display", sans-serif;
        font-style: italic;
        letter-spacing: 1px;
        font-weight: 400;
        font-size: 24px;
        width: 20%;
        padding-left: 15px;
        text-align: right;
    }

    .total-price {
        font-size: 17px;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-weight: 700;
        margin-top: 30px;
        text-align: right;
    }

    .total-price span {
        font-family: "Playfair Display", sans-serif;
        font-weight: 400;
        font-style: italic;
        font-size: 29px;
    }
</style>

<div class="pricelist-pdf-wrap">
    <div class="top-wrap">
        <div class="logo">
            <a href="<?php echo esc_url(home_url('/')); ?>" class="logo">
		       <?php echo '<span>' . get_option('blogname') . '</span>'; ?>
            </a>
        </div>
        <hr>
		<?php if ( ! empty( $title ) ) { ?>
            <div class="subtitle">
				<?php echo wp_kses_post( $title ); ?>
            </div>
		<?php }
		if ( ! empty( $text ) ) { ?>
            <div class="text">
				<?php echo wp_kses_post( $text ); ?>
            </div>
		<?php } ?>
        <hr>
    </div>
    <div class="form-wrap">
		<?php if ( ! empty( $pricelist_title ) ) { ?>
            <div class="price-list-title">
				<?php echo wp_kses_post( $pricelist_title ); ?>
            </div>
		<?php } ?>
		<?php if ( ! empty( $name ) ) { ?>
            <table class="form-item">
                <td class="icon">
                    <img src="<?php echo EF_URL . '/shortcodes/assets/images/user.svg' ?>" alt="">
                </td>
                <td class="wrap">
                    <div class="title">
						<?php esc_html_e( 'Name', 'reflector' ); ?>
                    </div>
                    <div class="text">
						<?php echo esc_html( $name ); ?>
                    </div>
                </td>
            </table>
		<?php } ?>
		<?php if ( ! empty( $email ) ) { ?>
            <table class="form-item">
                <td class="icon">
                    <img src="<?php echo EF_URL . '/shortcodes/assets/images/email.svg' ?>" alt="">
                </td>
                <td class="wrap">
                    <div class="title">
						<?php esc_html_e( 'Email', 'reflector' ); ?>
                    </div>
                    <div class="text">
						<?php echo esc_html( $email ); ?>
                    </div>
                </td>
            </table>
		<?php } ?>
		<?php if ( ! empty( $date ) ) { ?>
            <table class="form-item">
                <td class="icon">
                    <img src="<?php echo EF_URL . '/shortcodes/assets/images/date.svg' ?>" alt="date">
                </td>
                <td class="wrap">
                    <div class="title">
						<?php esc_html_e( 'Date', 'reflector' ); ?>
                    </div>
                    <div class="text">
						<?php echo esc_html( $date ); ?>
                    </div>
                </td>
            </table>
		<?php } ?>
		<?php if ( ! empty( $location ) ) { ?>
            <table class="form-item">
                <td class="icon">
                    <img src="<?php echo EF_URL . '/shortcodes/assets/images/location.svg' ?>" alt="">
                </td>
                <td class="wrap">
                    <div class="title">
						<?php esc_html_e( 'Location', 'reflector' ); ?>
                    </div>
                    <div class="text">
						<?php echo esc_html( $location ); ?>
                    </div>
                </td>
            </table>
		<?php } ?>
		<?php if ( ! empty( $message ) ) { ?>
            <table class="form-item">
                <td class="icon">
                    <img src="<?php echo EF_URL . '/shortcodes/assets/images/message.svg' ?>" alt="">
                </td>
                <td class="wrap">
                    <div class="title">
						<?php esc_html_e( 'Your 3 things I should know', 'reflector' ); ?>
                    </div>
                    <div class="text">
						<?php echo esc_html( $message ); ?>
                    </div>
                </td>
            </table>
		<?php } ?>
    </div>
    <div class="packages-wrap">
		<?php if ( ! empty( $packages_title ) ) { ?>
            <div class="packages-title">
				<?php echo wp_kses_post( $packages_title ); ?>
            </div>
		<?php } ?>
		<?php if ( ! empty( $packages ) ) { ?>
            <table>
				<?php foreach ( $packages as $package ) {
					$pack = explode( '=', $package ); ?>
                    <tr>
						<?php if ( ! empty( $pack[0] ) ) { ?>
                            <td><?php echo $pack[0]; ?></td>
						<?php } ?>
                        <td><span></span></td>
						<?php if ( ! empty( $pack[1] ) ) { ?>
                            <td><?php echo wp_kses_post( $pack[1] ); ?></td>
						<?php } ?>
                    </tr>
				<?php } ?>
            </table>
		<?php } ?>
		<?php if ( ! empty( $total_price ) ) { ?>
            <div class="total-price">
				<?php esc_html_e( 'Total price: ', 'reflector' ); ?><span><?php echo esc_html( $total_price ); ?></span>
            </div>
		<?php } ?>
    </div>
</div>
<?php if ( ! empty( $copyright ) ) { ?>
    <div class="copyright">
		<?php echo wp_kses_post( $copyright ); ?>
    </div>
<?php } ?>
</body>
</html>
