<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/about/';
	vc_map(
		array(
			'name'        => esc_html__( 'About', 'js_composer' ),
			'base'        => 'cs_about',
			'description' => __( 'Section with image, text and button', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
						array(
							'value' => 'modern',
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'image' => $url . 'modern.jpg'
						),
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),

					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic', 'modern', 'simple' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'description',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic', 'modern', 'simple' ) ),
				),
				array(
					'type'        => 'textarea',
					'heading'     => __( 'Blockquote', 'js_composer' ),
					'param_name'  => 'blockquote',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic' ) ),
					'description' => __( '', 'js_composer' ),
				),
				array(
					'type'        => 'vc_link',
					'heading'     => __( 'Button', 'js_composer' ),
					'description' => __( 'Please add link & name for your button', 'js_composer' ),
					'param_name'  => 'button',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'simple' ) ),
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'simple' ) ),
				),
				array(
					'type'        => 'attach_images',
					'heading'     => 'Images',
					'param_name'  => 'images',
					'admin_label' => true,
					'description' => 'Upload your images. Max 3 images',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic' ) ),
				),
				array(
					'type'        => 'attach_image',
					'description' => __( 'Please add your image', 'js_composer' ),
					'heading'     => __( 'Main image', 'js_composer' ),
					'param_name'  => 'image',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern', 'simple' ) ),
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable full height row?', 'js_composer' ),
					'param_name' => 'full_height_row',
					'std'        => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic' ) ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Title for contacts', 'js_composer' ),
					'description' => __( 'Please add your title', 'js_composer' ),
					'param_name'  => 'contact_title',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
				array(
					'type'        => 'textarea',
					'heading'     => __( 'Address', 'js_composer' ),
					'param_name'  => 'address',
					'description' => __( 'Please add your address', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Phone', 'js_composer' ),
					'description' => __( 'Please add your phone', 'js_composer' ),
					'param_name'  => 'phone',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Socials', 'js_composer' ),
					'description' => __( 'Please add your socials', 'js_composer' ),
					'param_name'  => 'socials',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'iconpicker',
							'heading'     => __( 'Social Icon', 'js_composer' ),
							'param_name'  => 'icon',
							'settings'    => array(
								'emptyIcon'    => false,
								'type'         => 'info',
								'source'       => reflector_font_awesome(),
								'iconsPerPage' => 4000,
							),
							'description' => __( 'Select icon from library.', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Social URL', 'js_composer' ),
							'description' => __( 'Please add your social URL', 'js_composer' ),
							'param_name'  => 'url',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'description' => __( 'Please add info for info blocks', 'js_composer' ),
					'param_name'  => 'items',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Main Title', 'js_composer' ),
							'description' => __( 'Please add your title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Text', 'js_composer' ),
							'param_name' => 'description',
						),
						array(
							'type'        => 'param_group',
							'heading'     => __( 'Custom links', 'js_composer' ),
							'description' => __( 'Please add text and URL for custom links', 'js_composer' ),
							'param_name'  => 'custom_links',
							'value'       => '',
							'params'      => array(
								array(
									'type'        => 'vc_link',
									'heading'     => __( 'Text & URL for custom link', 'js_composer' ),
									'description' => __( 'Please add text & URL for your link', 'js_composer' ),
									'param_name'  => 'link',
								),
							)
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),

				array(
					'type'        => 'textfield',
					'heading'     => __( 'Title for contact form', 'js_composer' ),
					'description' => __( 'Please add your title', 'js_composer' ),
					'param_name'  => 'form_title',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Contact form', 'js_composer'),
					'param_name'  => 'form',
					'description' => __('Add your form id from shortcode Contact Form 7 Plugin.', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),

				array(
					'type'        => 'select_preview',
					'heading'     => __('Button style for form', 'js_composer'),
					'description' => __('Please select button style', 'js_composer'),
					'param_name'  => 'form_btn_style',
					'value'       => cs_buttons('', 'btn-style-'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) ),
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_about extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'           => 'classic',
				'title'           => '',
				'subtitle'        => '',
				'blockquote'      => '',
				'description'     => '',
				'btn_style'       => 'a-btn-1',
				'form_btn_style'    => 'btn-style-1',
				'button'          => '',
				'images'          => '',
				'image'           => '',
				'form_title'           => '',
				'form'           => '',
				'contact_title'   => '',
				'address'         => '',
				'phone'           => '',
				'items'           => array(),
				'socials'         => array(),
				'full_height_row' => '',
			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_about-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_about-css";
			}
			$this->enqueueCss();

			if ( ! in_array( "cs-about", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-about";
			}

			$this->enqueueJs();

			// start output
			ob_start();
			$style       = isset ( $style ) && ! empty( $style ) ? $style : 'simple';
			$heightClass = isset( $full_height_row ) && ! empty( $full_height_row ) ? 'full-height-window' : '';
			$form_btn_style = isset($form_btn_style) && !empty($form_btn_style) ? $form_btn_style : 'btn-style-1';

			if ( $style == 'classic' ) { ?>
                <div class="about-section-<?php echo esc_attr( $style ); ?> <?php echo esc_attr( $heightClass ); ?>">
                    <div class="content-wrap">
                        <div class="inner">
							<?php if ( ! empty( $subtitle ) ) { ?>
                                <div class="subtitle"><?php echo wp_kses_post( $subtitle ); ?></div>
							<?php }
							if ( ! empty( $title ) ) { ?>
                                <h3 class="title"><?php echo wp_kses_post( $title ); ?></h3>
							<?php }
							if ( ! empty( $blockquote ) ) { ?>
                                <div class="blockquote">
									<?php echo esc_html( $blockquote ); ?>
                                </div>
							<?php }
							if ( ! empty( $description ) ) { ?>
                                <div class="description"><?php echo wp_kses_post( $description ); ?></div>
							<?php }
							if ( ! empty( $button ) ) {
								$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';
								$url       = vc_build_link( $button );
								$target = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                <div>
                                    <a href="<?php echo esc_attr( $url['url'] ); ?>"
                                       class="<?php echo esc_attr( $btn_style ); ?> button"
                                       target="<?php echo esc_attr( $target ); ?>">
										<?php echo esc_html( $url['title'] ); ?>
                                    </a>
                                </div>

							<?php } ?>
                        </div>
                    </div>
					<?php if ( ! empty ( $images ) ) {
						$images = explode( ',', $images ); ?>
                        <div class="images-wrap">
							<?php foreach ( $images as $key => $image_id ) :
								$attachment = get_post( $image_id ); ?>
                                <div class="img-wrap">
									<?php $url = wp_get_attachment_image_url( $image_id, 'full' );

									echo reflector_the_lazy_load_flter( $url, array(
										'class' => 's-img-switch',
										'alt'   => $attachment->post_excerpt
									) ); ?>

                                </div>
							<?php endforeach; ?>
                        </div>
					<?php } ?>
                </div>
			<?php }

			if ( $style == 'modern' ) { ?>
                <div class="about-section-<?php echo esc_attr( $style ); ?>">
                    <div class="content-wrap">

						<?php if ( ! empty( $title ) ) { ?>
                            <h3 class="title"><?php echo wp_kses_post( $title ); ?></h3>
						<?php }

						if ( ! empty( $description ) ) { ?>
                            <div class="description"><?php echo wp_kses_post( $description ); ?></div>
						<?php }

						if ( ! empty( $contact_title ) || ! empty( $address ) || ! empty( $phone ) || ! empty( $socials ) ) { ?>
                            <div class="block-info">

								<?php if ( ! empty( $contact_title ) ) { ?>
                                    <div class="block-title">
										<?php echo esc_html( $contact_title ); ?>
                                    </div>
								<?php }

								if ( ! empty( $address ) || ! empty( $phone ) ) { ?>
                                    <div class="text">
										<?php if ( ! empty( $address ) ) { ?>
                                            <div class="address">
												<?php echo wp_kses_post( $address ); ?>
                                            </div>
										<?php } ?>
										<?php if ( ! empty( $phone ) ) { ?>
                                            <div class="phone">
												<?php esc_html_e( 'Ph:', 'reflector' ); ?><a
                                                        href="tel:<?php echo esc_attr( $phone ); ?>"><?php echo wp_kses_post( $phone ); ?></a>
                                            </div>
										<?php } ?>
                                    </div>
								<?php }

								if ( ! empty( $socials ) ) { ?>
                                    <div class="socials">
										<?php $socials = (array) vc_param_group_parse_atts( $socials );

										foreach ( $socials as $icon ) {
											$url = ! empty( $icon['url'] ) ? $icon['url'] : '#';
											if ( ! empty( $icon['icon'] ) ) { ?>
                                                <a href="<?php echo esc_url( $url ); ?>"
                                                   class="info-socials">
                                                    <i class="<?php echo esc_attr( $icon['icon'] ); ?>"></i>
                                                </a>
											<?php }
										} ?>
                                    </div>
								<?php } ?>
                            </div>
						<?php }


						if (!empty($items)) {
							$items = (array) vc_param_group_parse_atts( $items );

							foreach ( $items as $item ) {
								if ( ! empty( $item['title'] ) || ! empty( $item['custom_links'] ) || ! empty( $item['description'] ) ) { ?>
                                    <div class="block-info">

										<?php if ( ! empty( $item['title'] ) ) { ?>
                                            <div class="block-title">
												<?php echo esc_html( $item['title'] ); ?>
                                            </div>
										<?php }

										if ( ! empty( $item['description'] ) ) { ?>
                                            <div class="text">
                                                <?php echo wp_kses_post( $item['description'] ); ?>
                                            </div>
										<?php }

										if ( ! empty( $item['custom_links'] ) ) { ?>
                                            <div class="custom-links">
												<?php $links = (array) vc_param_group_parse_atts( $item['custom_links'] );

												foreach ( $links as $link ) {
													if ( ! empty( $link['link'] ) ) {
														$link_url = vc_build_link( $link['link'] );
														$url_targ = ! empty( $link['target'] ) ? $link['target'] : '_self'; ?>
                                                        <div>
                                                            <a href="<?php echo esc_attr( $link_url['url'] ); ?>"
                                                               class="custom-link"
                                                               target="<?php echo esc_attr( $url_targ ); ?>">
																<?php echo esc_html( $link_url['title'] ); ?>
                                                            </a>
                                                        </div>
													<?php }
												} ?>
                                            </div>
										<?php } ?>
                                    </div>
								<?php }

							}

						}

						if(!empty($form_title) || !empty($form)){ ?>
						    <div class="block-info">
							    <?php if ( ! empty( $form_title) ) { ?>
                                    <div class="block-title">
                                        <?php echo esc_html( $form_title); ?>
                                    </div>
                                <?php } ?>

                                <?php if ( ! empty( $form) ) { ?>
                                    <div class="form <?php echo esc_attr($form_btn_style); ?>">
	                                    <?php echo do_shortcode('[contact-form-7 id="' . esc_attr($form) . '"]'); ?>
                                    </div>
                                <?php } ?>
                            </div>
                        <?php } ?>

                    </div>

					<?php if ( ! empty ( $image ) ) {

						$image_url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
						$image_alt = get_post_meta( $image, '_wp_attachment_image_alt', true ); ?>

                        <div class="images-wrap js-fixed-parent">

                            <div class="img-wrap">
								<?php echo reflector_the_lazy_load_flter( $image_url, array(
									'class' => 'author-image js-fixed-aside',
									'alt'   => $image_alt
								) ); ?>

                            </div>

                        </div>
					<?php } ?>
                </div>
			<?php }

			if( $style == 'simple' ){ ?>
                <div class="about-section-<?php echo esc_attr( $style ); ?>">
                    <div class="content-wrap">
                        <div class="inner">
							<?php if ( ! empty( $title ) ) { ?>
                                <h3 class="title"><?php echo wp_kses_post( $title ); ?></h3>
							<?php }
							if ( ! empty( $description ) ) { ?>
                                <div class="description"><p><?php echo wp_kses_post( $description ); ?></p></div>
							<?php }
							if ( ! empty( $button ) ) {
								$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';
								$url       = vc_build_link( $button );
								$url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                <div class="btn-wrap">
                                    <a href="<?php echo esc_attr( $url['url'] ); ?>"
                                       class="<?php echo esc_attr( $btn_style ); ?> button"
                                       target="<?php echo esc_attr( $url_targ ); ?>">
										<?php echo esc_html( $url['title'] ); ?>
                                    </a>
                                </div>

							<?php } ?>
                        </div>
                    </div>
	                <?php if ( ! empty ( $image ) ) {

		                $image_url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
		                $image_alt = get_post_meta( $image, '_wp_attachment_image_alt', true ); ?>

                        <div class="images-wrap">

                            <div class="img-wrap">
				                <?php echo reflector_the_lazy_load_flter( $image_url, array(
					                'class' => 'author-image',
					                'alt'   => $image_alt
				                ) ); ?>

                            </div>

                        </div>
	                <?php } ?>
                </div>
            <?php }

			return ob_get_clean();
		}
	}
}