<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/banner/';
	vc_map(
		array(
			'name'        => __( 'Image banner', 'js_composer' ),
			'base'        => 'cs_banner',
			'description' => __( 'Image banner with text and button', 'js_composer' ),
			'category'    => __( 'Media', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Style Banner', 'js_composer' ),
					'description' => __( 'Please select main style for banner', 'js_composer' ),
					'param_name'  => 'style',
					'value'       => array(
						array(
							'value' => 'modern',
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'image' => $url . 'modern.jpg'
						),
						array(
							'value' => 'creative',
							'label' => esc_html__( 'Creative', 'js_composer' ),
							'image' => $url . 'creative.jpg'
						),
						array(
							'label' => esc_html__( 'Full Wall', 'js_composer' ),
							'value' => 'full_wall',
							'image' => $url . 'full-wall.jpg'
						),
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
						array(
							'value' => 'bottom_text',
							'label' => esc_html__( 'Bottom Text', 'js_composer' ),
							'image' => $url . 'bottom_text.jpg'
						),
						array(
							'value' => 'only_image',
							'label' => esc_html__( 'Small image', 'js_composer' ),
							'image' => $url . 'only_image.jpg'
						),
					)
				),
				array(
					'type'        => 'textfield',
					'description' => __( 'Please add text for your subtitle', 'js_composer' ),
					'heading'     => __( 'Subtitle', 'js_composer' ),
					'param_name'  => 'subtitle',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern', 'creative', 'classic' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Animation text', 'js_composer' ),
					'param_name'  => 'animation_text',
					'value'       => '',
					'description' => __( "You can write several words without spaces and separate it by the comma.", 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'full_wall' ) )
				),
				array(
					'type'        => 'textarea',
					'description' => __( 'Please add text for your description', 'js_composer' ),
					'heading'     => __( 'Description', 'js_composer' ),
					'param_name'  => 'description',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) )
				),
				array(
					'type'        => 'vc_link',
					'heading'     => __( 'Button', 'js_composer' ),
					'description' => __( 'Please add link & name for your button', 'js_composer' ),
					'param_name'  => 'button',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern' ) )
				),
				array(
					'type'        => 'attach_image',
					'description' => __( 'Please add your image', 'js_composer' ),
					'heading'     => __( 'Background image', 'js_composer' ),
					'param_name'  => 'bg_image',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern', 'creative', 'simple', 'classic', 'only_image', 'bottom_text' ) )
				),
				array(
					'type'        => 'attach_images',
					'param_name'  => 'images',
					'description' => __( 'For correct work add min 35 images', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'full_wall' ) )
				),
				array(
					'type'        => 'checkbox',
					'heading'     => __( 'Enable overlay?', 'js_composer' ),
					'description' => __( 'Enable overlay for this banner', 'js_composer' ),
					'param_name'  => 'overlay',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern', 'creative', 'simple', 'classic', 'only_image', 'bottom_text' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => __( 'Enable button scroll down', 'js_composer' ),
					'param_name' => 'enable_btn',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
				),
			),
			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_banner extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'          => 'modern',
				'animation_text' => '',
				'images'         => '',
				'title'          => '',
				'subtitle'       => '',
				'description'    => '',
				'bg_image'       => '',
				'overlay'        => '',
				'button'         => '',
				'enable_btn'     => '',
				'btn_style'      => 'a-btn-1',

			), $atts ) );

			$style = isset( $style ) && ! empty( $style ) ? $style : 'modern';

			// include needed stylesheets
			if ( ! in_array( "cs_banner-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_banner-css";
			}
			$this->enqueueCss();


			if ( isset( $style ) && $style == 'full_wall' ) {
				if ( ! is_admin() && ! in_array( "cs-gridrotator", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs-gridrotator";
				}
				if ( ! empty( $animation_text ) && ! in_array( "cs-typed", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs-typed";
				}
			}

			if ( ! in_array( "cs-banner", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-banner";
			}

			$this->enqueueJs();


			$class[] = $style;
			$class[] = $style == 'full_wall' ? 'full-height-hard' : '';


			$bg_image_url = ( ! empty( $bg_image ) && is_numeric( $bg_image ) ) ? wp_get_attachment_url( $bg_image ) : '';
			$bg_image_alt = get_post_meta( $bg_image, '_wp_attachment_image_alt', true );

			ob_start(); ?>
            <div class="top-banner <?php echo esc_attr( implode( ' ', $class ) ); ?>">
				<?php if ( $style == 'modern' ) {

					$additional_class = $style == 'modern' ? 'full-height-window-hard' : '';

					if ( ! empty( $bg_image_url ) ) {
						echo reflector_the_lazy_load_flter( $bg_image_url, array(
							'class' => 's-img-switch',
							'alt'   => $bg_image_alt,
						) );
					} // end if

					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php } ?>

                    <div class="container content-wrap <?php echo esc_attr( $additional_class ); ?>">

                        <div class="content">
							<?php if ( ! empty( $subtitle ) ) { ?>
                                <div class="subtitle"><?php echo wp_kses_post( $subtitle ); ?></div>
							<?php }

							if ( ! empty( $title ) ) { ?>
                                <div class="title"><?php echo wp_kses_post( $title ); ?></div>
							<?php }

							if ( ! empty( $description ) ) { ?>
                                <div class="description"><?php echo wp_kses_post( $description ); ?></div>
							<?php }

							if ( ! empty( $button ) ) {
								$url = vc_build_link( $button );
							}

							$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

							if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                                <div class="btn-wrapper">
									<?php if ( ! empty( $url['url'] ) ) {
										$url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                        <a href="<?php echo esc_url( $url['url'] ); ?>"
                                           class="<?php echo esc_attr( $btn_style ); ?>"
                                           target="<?php echo esc_attr( $url_targ ); ?>">
											<?php echo esc_html( $url['title'] ); ?>
                                        </a>
									<?php } ?>
                                </div>
							<?php } ?>
                        </div>
                    </div>
				<?php }

				if ( $style == 'full_wall' && ! empty( $images ) ) {
					$images         = explode( ',', $images );
					$animation_text = isset( $animation_text ) && ! empty( $animation_text ) ? $animation_text : ''; ?>

                    <div class="gridrotate-gallery">

                        <div class="gridrotate banner-gal">
                            <ul class="banner-list">
								<?php foreach ( $images as $slide ) {
									$url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'large' ) : '';
									$alt = get_post_meta( $slide, '_wp_attachment_image_alt', true ); ?>
                                    <li>
                                        <span>
                                            <img src="<?php echo esc_url( $url ); ?>"
                                                 alt="<?php echo esc_attr( $alt ); ?>" class="s-img-switch">
                                        </span>
                                    </li>
									<?php
								} ?>
                            </ul>
                        </div>

                        <div class="title-wrap text-center">
							<?php if ( ! empty( $title ) ) { ?>
                                <h1 class="title">
                                    <mark><?php echo esc_html( $title ); ?> <span class="typed"
                                                                                  data-words="<?php echo esc_attr( $animation_text ); ?>"></span>
                                    </mark>
                                </h1>
							<?php } ?>
                        </div>
                    </div>
				<?php }

				if ( $style == 'creative' ) {

					if ( ! empty( $bg_image_url ) ) {
						echo reflector_the_lazy_load_flter( $bg_image_url, array(
							'class' => 's-img-switch',
							'alt'   => $bg_image_alt,
						) );
					} // end if

					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php } ?>

                    <div class="container full-height-window-hard content-wrap">

                        <div class="content">
							<?php if ( ! empty( $subtitle ) ) { ?>
                                <div class="subtitle"><?php echo esc_html( $subtitle ); ?></div>
							<?php }

							if ( ! empty( $title ) ) { ?>
                                <div class="title"><?php echo wp_kses_post( $title ); ?><span
                                            class="title-bg"><?php echo wp_kses_post( $title ); ?></span></div>
							<?php } ?>
                        </div>
                    </div>

				<?php }

				if ( $style == 'simple' ) { ?>
					<?php if ( ! empty( $bg_image_url ) ) {
						echo reflector_the_lazy_load_flter( $bg_image_url, array(
							'class' => 's-img-switch',
							'alt'   => $bg_image_alt,
						) );
					} // end if

					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php } ?>

                    <div class="container content-wrap full-height-window-hard">
                        <div class="content">
							<?php if ( ! empty( $title ) ) { ?>
                                <div class="title"><?php echo wp_kses_post( $title ); ?></div>
							<?php } ?>
                        </div>
                    </div>

					<?php if ( isset( $enable_btn ) && $enable_btn ) { ?>
                        <div class="scroll-down-wrapper">
                            <svg class="arrows btn-scroll-down">
                                <path class="a1" d="M0 0 L15 16 L30 0"></path>
                                <path class="a2" d="M0 10 L15 26 L30 10"></path>
                                <path class="a3" d="M0 20 L15 36 L30 20"></path>
                            </svg>
                        </div>
					<?php } ?>

				<?php }

				if( $style == 'classic' ){

					if ( ! empty( $bg_image_url ) ) {
						echo reflector_the_lazy_load_flter( $bg_image_url, array(
							'class' => 's-img-switch',
							'alt'   => $bg_image_alt,
						) );
					} // end if

					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php } ?>

                    <div class="container content-wrap full-height-window-hard">

                        <div class="content">
							<?php if ( ! empty( $subtitle ) ) { ?>
                                <div class="subtitle"><?php echo esc_html( $subtitle ); ?></div>
							<?php }

							if ( ! empty( $title ) ) { ?>
                                <div class="title"><?php echo wp_kses_post( $title ); ?></div>
							<?php } ?>
                        </div>
                    </div>
					<?php
				}

				if( $style == 'only_image' && !empty($bg_image) ){
					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php }

					echo reflector_the_lazy_load_flter( $bg_image_url, array(
						'class' => 's-img-switch',
						'alt'   => $bg_image_alt,
					) );

					if(isset($title) && !empty($title)){ ?>
                        <div class="title">
                            <?php echo esc_html($title); ?>
                        </div>
					<?php }
				}

				if( $style == 'bottom_text' && !empty($bg_image) ){

					if ( $overlay ) { ?>
                        <span class="overlay"></span>
					<?php }

					echo reflector_the_lazy_load_flter( $bg_image_url, array(
						'class' => 's-img-switch',
						'alt'   => $bg_image_alt,
					) ); ?>

                    <div class="container content-wrap full-height-window-hard">

                        <div class="content">
							<?php if ( ! empty( $title ) ) { ?>
                                <div class="title"><?php echo wp_kses_post( $title ); ?></div>
							<?php } ?>
                        </div>
                    </div>
                <?php } ?>

            </div>

			<?php return ob_get_clean();
		}
	}
}