<?php

//Banner Slider shortcode

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/';
	vc_map(
		array(
			'name'                    => __( 'Banner Slider', 'js_composer' ),
			'base'                    => 'banner_slider',
			'as_parent'               => array( 'only' => 'banner_slider_items' ),
			'content_element'         => true,
			'show_settings_on_create' => true,
			'js_view'                 => 'VcColumnView',
			'params'                  => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'type_slider',
					'heading'     => esc_html__( 'Type Slider', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'photography',
							'label' => esc_html__( 'Photography Slider', 'js_composer' ),
							'image' => $url . 'photography.jpg'
						),
						array(
							'value' => 'andra',
							'label' => esc_html__( 'Andra Slider', 'js_composer' ),
							'image' => $url . 'andra.jpg'
						),
						array(
							'label' => esc_html__( 'Simple slider', 'js_composer' ),
							'value' => 'simple_slider',
							'image' => $url . 'simple_slider.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay (sec)', 'js_composer' ),
					'description' => __( '0 - off autoplay.', 'js_composer' ),
					'param_name'  => 'autoplay',
					'value'       => '0',
					'group'       => __( 'Animation', 'js_composer' )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Speed (milliseconds)', 'js_composer' ),
					'description' => __( 'Speed Animation. Default 1000 milliseconds', 'js_composer' ),
					'param_name'  => 'speed',
					'value'       => '500',
					'group'       => __( 'Animation', 'js_composer' ),
					'dependency'  => array(
						'element' => 'type_slider',
						'value'   => array( 'andra', 'photography' )
					)
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Extra class name', 'js_composer' ),
					'param_name'  => 'el_class',
					'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
					'value'       => ''
				),
				array(
					'type'       => 'css_editor',
					'heading'    => __( 'CSS box', 'js_composer' ),
					'param_name' => 'css',
					'group'      => __( 'Design options', 'js_composer' )
				)
			) //end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_banner_slider extends WPBakeryShortCodesContainer {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'type_slider' => 'photography',
				'autoplay'    => '0',
				'speed'       => '500',
				'css'         => '',
				'el_class'    => ''
			), $atts ) );



			if ( isset( $type_slider ) && $type_slider == 'simple_slider' ) {
				if ( ! in_array( "owlcarousel", self::$js_scripts ) ) {
					self::$js_scripts[] = "owlcarousel";
				}
			}


			if ( ! in_array( "cs_banner_slider", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs_banner_slider";
			}
			$this->enqueueJs();



			if ( isset( $type_slider ) && $type_slider == 'simple_slider' ) {
				if ( ! in_array( "owlcarousel-css", self::$css_scripts ) ) {
					self::$css_scripts[] = "owlcarousel-css";
				}
			}

			// include needed stylesheets
			if ( ! in_array( "cs_banner_slider-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_banner_slider-css";
			}
			$this->enqueueCss();

			$autoplay = is_numeric( $autoplay ) ? $autoplay * 1000 : 0;
			$speed    = is_numeric( $speed ) ? $speed : '500';
			$class    = ( ! empty( $el_class ) ) ? $el_class : '';
			$class    .= vc_shortcode_custom_css_class( $css, ' ' );

			global $banner_slider_items;
			$banner_slider_items = array();

			$class .= ' ' . $type_slider;

			do_shortcode( $content );

			ob_start();

			if ( ! empty( $banner_slider_items ) ) {

				if ( $type_slider == 'photography' ) { ?>
                    <div class="banner-slider-wrap <?php echo esc_attr( $class ); ?>">
                        <div class="swiper-container full-height-window-hard"
                             data-noSwiping="0"
                             data-mouse="0"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                             data-loop="1" data-speed="<?php echo esc_attr( $speed ); ?>"
                             data-space="0" data-pagination-type="bullets"
                             data-mode="vertical">
                            <div class="swiper-wrapper">
								<?php $counter = 1;

								foreach ( $banner_slider_items as $item ) {
									$value = (object) $item['atts'];

									$img_url   = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_url( $value->image ) : '';
									$alt = ! empty( $img_url )  ? get_post_meta( $value->image, '_wp_attachment_image_alt', true ) : '';
									$pag_title = isset( $value->pagination_title ) && ! empty( $value->pagination_title ) ? $value->pagination_title : '';
									$title     = isset( $value->title ) && ! empty( $value->title ) ? $value->title : '';
									$subtitle  = isset( $value->subtitle ) && ! empty( $value->subtitle ) ? $value->subtitle : '';
									$text      = isset( $value->text ) && ! empty( $value->text ) ? $value->text : '';
									$button    = isset( $value->button ) && ! empty( $value->button ) ? $value->button : '';
									$btn_style = isset( $value->btn_style ) && ! empty( $value->btn_style ) ? $value->btn_style : 'a-btn-1';

									$counter = (string) $counter;
									if ( strlen( $counter ) == 1 ) {
										$counter = '0' . $counter;
									}
									?>

                                    <div class="swiper-slide swiper-no-swiping"
                                         data-title="<?php echo esc_html( $pag_title ); ?>">
										<?php if ( $type_slider == 'photography' ) {

											if ( ! empty( $img_url ) ) {

												echo reflector_the_lazy_load_flter( $img_url,
													array(
														'class' => 's-img-switch',
														'alt'   => $alt
													)
												);
											} ?>

                                            <div class="content-wrap">
												<?php if ( ! empty( $subtitle ) ) { ?>
                                                    <div class="subtitle"><?php echo wp_kses_post( $subtitle ); ?></div>
												<?php }
												if ( ! empty( $title ) ) { ?>
                                                    <div class="title"><?php echo wp_kses_post( $title ); ?></div>
												<?php }


												if ( ! empty( $text ) ) { ?>
                                                    <div class="text">
														<?php echo wp_kses_post( $value->text ); ?>
                                                    </div>
												<?php }

												if ( ! empty( $button ) ) {
													$url_btn = vc_build_link( $button );

													if ( ! empty( $url_btn['url'] ) ) {
														$btn_target = ! empty( $url_btn['target'] ) ? $url_btn['target'] : '_self'; ?>
                                                        <div class="btn-wrapper">
                                                            <a href="<?php echo esc_url( $url_btn['url'] ); ?>"
                                                               class="<?php echo esc_attr( $btn_style ); ?>"
                                                               target="<?php echo esc_attr( $btn_target ); ?>">
																<?php echo esc_html( $url_btn['title'] ); ?>
                                                            </a>
                                                        </div>
													<?php }
												} ?>

                                            </div>
                                            <div class="pag-wrapper">
                                                <div class="pag-title-wrap">
                                                    <i>/ <?php echo esc_html( $counter ); ?></i>
                                                    <div class="pag-title"><?php echo esc_html( $pag_title ); ?></div>
                                                </div>
                                            </div>
										<?php } ?>
                                    </div>
									<?php $counter ++;
								} ?>
                            </div>

                            <div class="swiper-pagination"></div>
                        </div>
                    </div>
				<?php }

				if ( $type_slider == 'andra' ) { ?>
                    <div class="banner-slider-wrap <?php echo esc_attr( $class ); ?>">
                        <div class="swiper-container"
                             data-noSwiping="0"
                             data-mouse="0" data-center="1"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                             data-loop="1" data-speed="<?php echo esc_attr( $speed ); ?>"
                             data-space="0" data-pagination-type="fraction"
                             data-mode="horizontal">
                            <div class="swiper-wrapper">
								<?php foreach ( $banner_slider_items as $item ) {
									$value = (object) $item['atts'];

									$img_url = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_url( $value->image ) : '';
									$alt = ! empty( $img_url )  ? get_post_meta( $value->image, '_wp_attachment_image_alt', true ) : ''; ?>

                                    <div class="swiper-slide swiper-no-swiping">
										<?php if ( ! empty( $img_url ) ) {
											echo reflector_the_lazy_load_flter( $img_url,
												array(
													'class' => 's-img-switch',
													'alt'   => $alt
												)
											);
										} ?>
                                    </div>
								<?php } ?>
                            </div>
                            <div class="swiper-pagination"></div>
                        </div>
                    </div>
				<?php }

                if( $type_slider == 'simple_slider'){ ?>
                    <div class="banner-slider-wrap <?php echo esc_attr( $class ); ?>">
                        <div class="owl-container-gallery owl-carousel full-height-window-hard"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>">


		                    <?php foreach ( $banner_slider_items as $item ) {
			                    $value = (object) $item['atts'];

			                    $url = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_image_src( $value->image , 'full' ) : '';
			                    $url2 = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_image_src( $value->image , 'large' ) : '';
			                    $title     = isset( $value->title ) && ! empty( $value->title ) ? $value->title : '';
			                    $subtitle  = isset( $value->subtitle ) && ! empty( $value->subtitle ) ? $value->subtitle : '';
			                    $button    = isset( $value->button ) && ! empty( $value->button ) ? $value->button : '';
			                    $btn_style = isset( $value->btn_style ) && ! empty( $value->btn_style ) ? $value->btn_style : 'a-btn-1';

			                    $alt = ! empty( $url )  ? get_post_meta( $value->image, '_wp_attachment_image_alt', true ) : ''; ?>

                                <div class="owl-slide">
				                    <?php if ( ! empty( $url ) ) { ?>
                                        <img src="<?php echo esc_url( $url[0] ); ?>" alt="<?php echo esc_attr( $alt ); ?>"
                                             data-url="<?php echo esc_url( $url2[0] ); ?>" class="s-img-switch">
				                    <?php }

				                    if ( ! empty( $title ) || !empty($subtitle) || !empty($button)) { ?>
                                        <div class="caption">
						                    <?php if( ! empty( $subtitle )){ ?>
                                                <div class="subtitle">
								                    <?php echo esc_html($subtitle); ?>
                                                </div>
						                    <?php }

						                    if( ! empty( $title )){ ?>
                                                <div class="title">
								                    <?php echo esc_html($title); ?>
                                                </div>
						                    <?php }

						                    if( ! empty( $button )){ ?>
                                                <div class="button">
								                    <?php $url_btn = vc_build_link( $button );

								                    if ( ! empty( $url_btn['url'] ) ) {
									                    $btn_target = ! empty( $url_btn['target'] ) ? $url_btn['target'] : '_self'; ?>
                                                        <div class="btn-wrapper">
                                                            <a href="<?php echo esc_url( $url_btn['url'] ); ?>"
                                                               class="<?php echo esc_attr( $btn_style ); ?>"
                                                               target="<?php echo esc_attr( $btn_target ); ?>">
											                    <?php echo esc_html( $url_btn['title'] ); ?>
                                                            </a>
                                                        </div>
								                    <?php } ?>
                                                </div>
						                    <?php } ?>
                                        </div>
				                    <?php } ?>
                                </div>
		                    <?php } ?>
                        </div>
                    </div>
					<?php
				}?>

			<?php }

			return ob_get_clean();
		}
	}
}

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/';
	vc_map(
		array(
			'name'            => 'Slider item',
			'base'            => 'banner_slider_items',
			'as_child'        => array( 'only' => 'banner_slider' ),
			'content_element' => true,
			'params'          => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'option_style',
					'heading'     => esc_html__( 'Show options for style:', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'photography',
							'label' => esc_html__( 'Photography Slider', 'js_composer' ),
							'image' => $url . 'photography.jpg'
						),
						array(
							'value' => 'andra',
							'label' => esc_html__( 'Andra Slider', 'js_composer' ),
							'image' => $url . 'andra.jpg'
						),
						array(
							'label' => esc_html__( 'Simple slider', 'js_composer' ),
							'value' => 'simple_slider',
							'image' => $url . 'simple-slider.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'attach_image',
					'heading'    => __( 'Background Image', 'js_composer' ),
					'param_name' => 'image',
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'value'      => '',
					'dependency' => array( 'element' => 'option_style', 'value' => array( 'photography', 'simple_slider' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
					'dependency' => array( 'element' => 'option_style', 'value' => array( 'photography', 'simple_slider' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'text',
					'value'      => '',
					'dependency' => array( 'element' => 'option_style', 'value' => array( 'photography' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title for pagination', 'js_composer' ),
					'param_name' => 'pagination_title',
					'value'      => '',
					'dependency' => array( 'element' => 'option_style', 'value' => 'photography' )
				),
				array(
					'type'       => 'vc_link',
					'heading'    => __( 'Button', 'js_composer' ),
					'param_name' => 'button',
					'dependency' => array( 'element' => 'option_style', 'value' => array( 'photography', 'simple_slider' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array( 'element' => 'option_style', 'value' => array( 'photography', 'simple_slider' ) )
				),
			) //end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_banner_slider_items extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			global $banner_slider_items;
			$banner_slider_items[] = array( 'atts' => $atts, 'content' => $content );

			return;
		}
	}
}