<?php
if ( function_exists('vc_map') ) {
	vc_map(
		array(
			'name'            => 'Button',
			'base'            => 'cs_button',
			'description'     => __('Section with button', 'js_composer'),
			'content_element' => true,
			'params'          => array(
				array(
					'type'        => 'vc_link',
					'heading'     => __('Button/link', 'js_composer'),
					'description' => __('Please add link & name for your button', 'js_composer'),
					'param_name'  => 'button',
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __('Button/link style', 'js_composer'),
					'description' => __('Please select style of your button', 'js_composer'),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
				),
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__('Text align', 'js_composer'),
					'param_name' => 'btn_align',
					'value'      => array(
						'Button left'   => 'text-left',
						'Button center' => 'text-center',
						'Button right'  => 'text-right',
						'Full width'    => 'full-width',
					),
				),
			)
		)
	);
}

if ( class_exists('WPBakeryShortCode') ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_button extends WPBakeryShortCode {
		protected function content($atts, $content = null) {
			/* get all params */
			extract(shortcode_atts(array(
				'button'                 => '',
				'btn_style'              => 'a-btn-1',
				'btn_align'              => 'text-left',
			), $atts));

			ob_start();

			$btn_style = isset($btn_style) && !empty($btn_style) ? $btn_style : 'a-btn-1';

			if ( !empty($button) ) {
				$url = vc_build_link($button);
			}

			if ( !empty($url['title']) ) {
				$url_target = !empty($url['target']) ? $url['target'] : '_self'; ?>
				<div class="cs-btn-wrap <?php echo esc_attr($btn_align); ?>">
					<a href="<?php echo esc_url($url['url']); ?>"
					   class="<?php echo esc_attr($btn_style); ?>"
					   target="<?php echo esc_attr($url_target); ?>">
						<?php echo esc_html($url['title']); ?>
					</a>
				</div>
			<?php }

			return ob_get_clean();
		}
	}
}