<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/contacts/';
	vc_map(
		array(
			'name'        => __( 'Contacts', 'js_composer' ),
			'base'        => 'cs_contacts',
			'description' => __( 'Contacts info', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Style', 'js_composer' ),
					'description' => __( 'Please select style for this section', 'js_composer' ),
					'param_name'  => 'style',
					'value'       => array(
						array(
							'value' => 'image_form',
							'label' => esc_html__( 'Images with form', 'js_composer' ),
							'image' => $url . 'info_form.jpg'
						),

						array(
							'value' => 'info',
							'label' => esc_html__( 'Contact info', 'js_composer' ),
							'image' => $url . 'info.jpg'
						),
					)
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array( 'element' => 'style', 'value' => array( 'info' ) )
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Contacts', 'js_composer' ),
					'description' => __( 'Please add address and phone', 'js_composer' ),
					'param_name'  => 'addresses',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Title', 'js_composer' ),
							'description' => __( 'Please add your title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Address', 'js_composer' ),
							'description' => __( 'Please add your address', 'js_composer' ),
							'param_name'  => 'address',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Phone', 'js_composer' ),
							'description' => __( 'Please add your phone', 'js_composer' ),
							'param_name'  => 'phone',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'info' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Copyright', 'js_composer' ),
					'description' => __( 'Please add copyright', 'js_composer' ),
					'param_name'  => 'copy',
					'value'       => '',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'image_form' ) )
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Social', 'js_composer' ),
					'description' => __( 'Please add socials', 'js_composer' ),
					'param_name'  => 'item_socials',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Social Text', 'js_composer' ),
							'param_name'  => 'text',
							'value'       => '',
							'description' => __( 'Please add your social name', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Social URL', 'js_composer' ),
							'description' => __( 'Please add your social URL', 'js_composer' ),
							'param_name'  => 'url',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'image_form' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Contact form', 'js_composer' ),
					'param_name'  => 'form',
					'description' => __( 'Add your form id from shortcode Contact Form 7 Plugin.', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'image_form' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style for form', 'js_composer' ),
					'description' => __( 'Please select button style', 'js_composer' ),
					'param_name'  => 'btn_style',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'image_form' ) ),
					'value'       => cs_buttons( 'btn-style-2', 'btn-style-' ),
				),
				array(
					'type'        => 'attach_images',
					'heading'     => 'Images',
					'param_name'  => 'images',
					'admin_label' => true,
					'description' => 'Upload your images. Max 6 images',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'image_form' ) ),
				),
			),
			//end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_contacts extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'        => 'image_form',
				'btn_style'    => 'btn-style-1',
				'title'         => '',
				'form'         => '',
				'item_socials' => '',
				'images'       => '',
				'copy'         => '',
				'addresses'    => array(),

			), $atts ) );

			if ( ! in_array( "cs_contacts-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_contacts-css";
			}
			$this->enqueueCss();


			$style     = isset( $style ) && ! empty( $style ) ? $style : 'form';
			$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'btn-style-1';

			// start output
			ob_start(); ?>

            <div class="contacts-info-wrap <?php echo esc_attr( $style ); ?>">

				<?php if ( $style == 'image_form' ) {
					$item_socials = isset( $item_socials ) && ! empty( $item_socials ) ? (array) vc_param_group_parse_atts( $item_socials ) : '';

					if ( ! empty( $item_socials ) ) { ?>
                        <div class="socials-wrap">
							<?php foreach ( $item_socials as $item ) {
								$url = isset( $item['url'] ) && ! empty( $item['url'] ) ? $item['url'] : '#';
								if ( ! empty( $item['text'] ) ) { ?>
                                    <a href="<?php echo esc_url( $url ); ?>">
										<?php echo esc_html( $item['text'] ); ?>
                                    </a>
								<?php } ?>
							<?php } ?>
                        </div>
					<?php } ?>
                    <div class="content">
						<?php
						if ( ! empty ( $images ) ) {
							$images = explode( ',', $images ); ?>
                            <div class="images-wrap">
								<?php foreach ( $images as $key => $image_id ) :
									$attachment = get_post( $image_id );
									$url = wp_get_attachment_image_url( $image_id, 'full' );
									?>
                                    <a class="img-wrap" href="<?php echo esc_url( $url ) ?>">
										<?php

										echo reflector_the_lazy_load_flter( $url, array(
											'class' => 's-img-switch',
											'alt'   => $attachment->post_excerpt
										) ); ?>

                                    </a>
								<?php endforeach; ?>
                            </div>
						<?php } ?>
                        <div class="form-wrap">
							<?php if ( ! empty( $form ) ) { ?>
                                <div class="form <?php echo esc_attr( $btn_style ); ?>">
									<?php echo do_shortcode( '[contact-form-7 id="' . esc_attr( $form ) . '"]' ); ?>
                                </div>
							<?php } ?>
                        </div>
						<?php if ( ! empty( $copy ) ) { ?>
                            <div class="copy-wrap">
                                <span class="copy"><?php echo esc_html( $copy ); ?></span>
                            </div>
						<?php } ?>

                    </div>

				<?php }


				if ( $style == 'info' ) {

				    if(!empty($title)){ ?>
                        <div class="main-title">
                            <span><?php echo esc_html($title); ?></span>
                        </div>
				    <?php }

				    if( !empty( $addresses ) ){
					    $addresses = (array)vc_param_group_parse_atts($addresses);

					    foreach ($addresses as $address){ ?>

                            <div class="item-wrap">
                                <?php if( !empty( $address['title'] ) ){ ?>
                                    <div class="title">
                                        <?php echo esc_html( $address['title']); ?>
                                    </div>
                                <?php }

                                if( !empty( $address['address'] ) ){ ?>
                                    <div class="address">
			                            <?php echo esc_html( $address['address']); ?>
                                    </div>
	                            <?php }


                                if( !empty( $address['phone'] ) ){ ?>
                                    <div class="phone">
		                                <?php esc_html_e('Ph:', 'reflector'); ?><a href="tel:<?php echo esc_attr( $address['phone']); ?>"><?php echo esc_html( $address['phone']); ?></a>
                                    </div>
                                <?php } ?>

                            </div>

					    <?php }
				    }
				} ?>

            </div>

			<?php
			// end output
			return ob_get_clean();
		}
	}
}

