<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/cta/';
	vc_map(
		array(
			'name'                    => __( 'CTA', 'js_composer' ),
			'base'                    => 'cs_cta',
			'content_element'         => true,
			'show_settings_on_create' => true,
			'description'             => __( 'Text and button', 'js_composer' ),
			'params'                  => array(
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'CTA style', 'js_composer' ),
					'description' => __( 'Please select cta style', 'js_composer' ),
					'param_name'  => 'style',
					'value'       => array(
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
					)
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
				),
				array(
					'type'        => 'vc_link',
					'heading'     => __( 'Button', 'js_composer' ),
					'description' => __( 'Please add link & name for your button', 'js_composer' ),
					'param_name'  => 'button',
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
				),
			), //end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_cta extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'     => 'simple',
				'title'     => '',
				'button'    => '',
				'btn_style' => 'a-btn-1',
			), $atts ) );


			if ( ! in_array( "cs_cta-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_cta-css";
			}
			$this->enqueueCss();

			ob_start(); ?>

            <div class="cta-wrap <?php echo esc_attr( $style ); ?>">
				<?php if ( $style == 'simple' ) {
					if ( ! empty( $title ) ) { ?>
                        <div class="title-wrap">
                            <div class="title"><?php echo esc_html( $title ); ?></div>
                        </div>
					<?php }

					if ( ! empty( $button ) ) {
						$url = vc_build_link( $button );
					}

					$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

					if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                        <div class="btn-wrapper">
							<?php if ( ! empty( $url['url'] ) ) {
								$url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                <a href="<?php echo esc_url( $url['url'] ); ?>"
                                   class="<?php echo esc_attr( $btn_style ); ?>"
                                   target="<?php echo esc_attr( $url_targ ); ?>">
									<?php echo esc_html( $url['title'] ); ?>
                                </a>
							<?php } ?>
                        </div>
					<?php }
				} ?>
            </div>

			<?php
			return ob_get_clean();
		} // end content()
	} // end class
} // end if

?>