<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/custom_links/';
	vc_map(
		array(
			'name'        => __( 'Custom Links', 'js_composer' ),
			'base'        => 'cs_custom_links',
			'description' => __( 'Custom Links', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Style', 'js_composer' ),
					'description' => __( 'Please select style for this section', 'js_composer' ),
					'param_name'  => 'style',
					'value'       => array(
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
					)
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'description' => __( 'Please add text and URL for the link items', 'js_composer' ),
					'param_name'  => 'link_items',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'vc_link',
							'heading'     => __( 'Title and Link', 'js_composer' ),
							'description' => __( 'Please add link & title', 'js_composer' ),
							'param_name'  => 'button',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Subtitle', 'js_composer' ),
							'description' => __( 'Please add your subtitle', 'js_composer' ),
							'param_name'  => 'subtitle',
						),

					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'simple' ) ),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'description' => __( 'Please add text and URL for the link items', 'js_composer' ),
					'param_name'  => 'link_items_classic',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'First Subtitle', 'js_composer' ),
							'description' => __( 'Please add your first subtitle', 'js_composer' ),
							'param_name'  => 'first_subtitle',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Second Subtitle', 'js_composer' ),
							'description' => __( 'Please add your second subtitle', 'js_composer' ),
							'param_name'  => 'second_subtitle',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Title', 'js_composer' ),
							'description' => __( 'Please add your title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'        => 'vc_link',
							'heading'     => __( 'Title and Link', 'js_composer' ),
							'description' => __( 'Please add link & title', 'js_composer' ),
							'param_name'  => 'button',
						),
						array(
							'type'        => 'select_preview',
							'heading'     => __( 'Button style', 'js_composer' ),
							'description' => __( 'Please select style of your button', 'js_composer' ),
							'param_name'  => 'btn_style',
							'value'       => cs_buttons(),
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic' ) ),
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable light style?', 'js_composer' ),
					'param_name' => 'light_style',
					'std'        => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic' ) )
				),
			),
			//end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_custom_links extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'              => 'simple',
				'light_style'        => '',
				'link_items'         => array(),
				'link_items_classic' => array(),

				// animation

			), $atts ) );

			if ( ! in_array( "cs_custom_links-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_custom_links-css";
			}
			$this->enqueueCss();

			$style = isset( $style ) && ! empty( $style ) ? $style : 'simple';
			$light_style = isset( $light_style ) && ! empty( $light_style ) ? 'light_style' : '';

			// start output
			ob_start(); ?>

            <div class="custom-links-wrap <?php echo esc_attr( $style . ' ' . $light_style); ?>">
				<?php if ( $style == 'simple' && isset( $link_items ) && ! empty( $link_items ) ) {
					$link_items = (array) vc_param_group_parse_atts( $link_items );

					foreach ( $link_items as $item ) {
						$button   = isset( $item['button'] ) && ! empty( $item['button'] ) ? $item['button'] : '';
						$subtitle = isset( $item['subtitle'] ) && ! empty( $item['subtitle'] ) ? $item['subtitle'] : '';
						if ( ! empty( $button ) ) {
							$url = vc_build_link( $button ); ?>

                            <div class="item-wrap">
                                <a href="<?php echo esc_url( $url['url'] ); ?>">
                                    <span class="title"><?php echo esc_html( $url['title'] ); ?></span>
									<?php if ( ! empty( $subtitle ) ) { ?>
                                        <span class="subtitle"><?php echo esc_html( $subtitle ); ?></span>
									<?php } ?>
                                </a>
                            </div>

						<?php } ?>

					<?php }
				} ?>

				<?php if ( $style == 'classic' && isset( $link_items_classic ) && ! empty( $link_items_classic ) ) {
					$link_items_classic = (array) vc_param_group_parse_atts( $link_items_classic );

					foreach ( $link_items_classic as $item ) {
						$button          = isset( $item['button'] ) && ! empty( $item['button'] ) ? $item['button'] : '';
						$title           = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$first_subtitle  = isset( $item['first_subtitle'] ) && ! empty( $item['first_subtitle'] ) ? $item['first_subtitle'] : '';
						$second_subtitle = isset( $item['second_subtitle'] ) && ! empty( $item['second_subtitle'] ) ? $item['second_subtitle'] : '';
						$btn_style = isset( $item['btn_style'] ) && ! empty( $item['btn_style'] ) ? $item['btn_style'] : 'a-btn-1'; ?>

                        <div class="item-wrap">

                            <div class="wrap">
	                            <?php if ( ! empty( $first_subtitle ) ) { ?>
                                    <div class="first-subtitle"><?php echo esc_html( $first_subtitle ); ?></div>
	                            <?php }

	                            if ( ! empty( $second_subtitle ) ) { ?>
                                    <div class="second-subtitle"><?php echo esc_html( $second_subtitle ); ?></div>
	                            <?php }

	                            if ( ! empty( $title ) ) { ?>
                                    <div class="title"><?php echo esc_html( $title ); ?></div>
	                            <?php }

	                            if ( ! empty( $button ) ) {
		                            $url = vc_build_link( $button );
		                            $target = isset($url['target']) && !empty($url['target'])  ? $url['target'] : '_self'; ?>
                                    <a href="<?php echo esc_url( $url['url'] ); ?>" class="<?php echo esc_attr($btn_style) ;?>" target="<?php echo esc_attr($target); ?>">
			                            <?php echo esc_html( $url['title'] ); ?>
                                    </a>

	                            <?php } ?>
                            </div>

                        </div>

					<?php }
				} ?>
            </div>

			<?php
			// end output
			return ob_get_clean();
		}
	}
}

