<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/faqs/';
	vc_map(
		array(
			'name'        => esc_html__( 'FAQs', 'js_composer' ),
			'base'        => 'cs_faqs',
			'description' => __( 'Section with text', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),

					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Items', 'js_composer' ),
					'param_name' => 'items',
					'value'      => '',
					'params'     => array(
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Question', 'js_composer' ),
							'param_name' => 'question',
						),
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Answer', 'js_composer' ),
							'param_name' => 'answer',
						),
					),
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_faqs extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'           => 'simple',
				'items'           => array(),
			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_faqs-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_faqs-css";
			}
			$this->enqueueCss();

			// start output
			ob_start(); ?>

			<div class="faqs-wrap <?php echo esc_attr($style); ?>">
				<?php if($style == 'simple' && !empty($items)){
					$items = isset( $items ) && ! empty( $items ) ? (array) vc_param_group_parse_atts( $items ) : '';

					foreach ($items as $item){ ?>
						<div class="faq-item">
							<?php if(!empty($item['question'])){ ?>
								<div class="question">
									<?php echo wp_kses_post($item['question']); ?>
								</div>
							<?php } ?>

							<?php if(!empty($item['answer'])){ ?>
								<div class="answer">
									<?php echo wp_kses_post($item['answer']); ?>
								</div>
							<?php } ?>
						</div>
					<?php } ?>


				<?php } ?>
			</div>

			<?php return ob_get_clean();
		}
	}
}