<?php

//Reflector Gallery shortcode

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/galleries/';
	vc_map(
		array(
			'name'                    => esc_html__( 'Reflector Gallery', 'js_composer' ),
			'base'                    => 'cs_gallery',
			'content_element'         => true,
			'show_settings_on_create' => false,
			'params'                  => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'type',
					'heading'     => esc_html__( 'Type Gallery', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'with_thumbnile',
							'label' => esc_html__( 'Fullscreen with thumbnail', 'js_composer' ),
							'image' => $url . 'with_thumbnile.jpg'
						),
						array(
							'value' => 'kenburn',
							'label' => esc_html__( 'Kenburn slider', 'js_composer' ),
							'image' => $url . 'kenburn.jpg'
						),

						array(
							'label' => esc_html__( 'Simple masonry', 'js_composer' ),
							'value' => 'simple_masonry',
							'image' => $url . 'simple_masonry.jpg'
						),
						array(
							'label' => esc_html__( 'Modern Slider', 'js_composer' ),
							'value' => 'modern_slider',
							'image' => $url . 'modern_slider.jpg'
						),
						array(
							'label' => esc_html__( 'Classic grid', 'js_composer' ),
							'value' => 'classic_grid',
							'image' => $url . 'classic_grid.jpg'
						),
						array(
							'label' => esc_html__( 'Full slider', 'js_composer' ),
							'value' => 'full_slider',
							'image' => $url . 'full_slider.jpg'
						),
						array(
							'label' => esc_html__( 'Modern gallery', 'js_composer' ),
							'value' => 'modern_gallery',
							'image' => $url . 'modern_gallery.jpg'
						),
						array(
							'label' => esc_html__( 'Slider with thumbnail', 'js_composer' ),
							'value' => 'slider_thumbnail',
							'image' => $url . 'slider_thumbnail.jpg'
						),
						array(
							'label' => esc_html__( 'Tilt gallery', 'js_composer' ),
							'value' => 'tilt_gallery',
							'image' => $url . 'tilt_gallery.jpg'
						),
						array(
							'label' => esc_html__( 'Slider transition', 'js_composer' ),
							'value' => 'slider_transition',
							'image' => $url . 'slider_transition.jpg'
						),
						array(
							'label' => esc_html__( 'Justified with main image', 'js_composer' ),
							'value' => 'justified_image',
							'image' => $url . 'justified_image.jpg'
						),
						array(
							'label' => esc_html__( 'Adjusted Grid', 'js_composer' ),
							'value' => 'adjusted_grid',
							'image' => $url . 'adjusted_grid.jpg'
						),
						array(
							'label' => esc_html__( 'Grid with thumbnails', 'js_composer' ),
							'value' => 'grid_thumbnails',
							'image' => $url . 'grid_thumbnails.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'attach_images',
					'heading'     => 'Images',
					'param_name'  => 'images',
					'admin_label' => true,
					'description' => 'Upload your images.'
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Type effect', 'js_composer' ),
					'param_name' => 'type_kenburn',
					'value'      => array(
						'Zoom effect' => 'zoom',
						'Fade effect' => 'fade-effect',
					),
					'dependency' => array( 'element' => 'type', 'value' => array( 'kenburn' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Hide title?', 'js_composer' ),
					'param_name' => 'hide_title',
					'std'        => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'kenburn' ) )
				),
				array(
					'type'       => 'reflector_file',
					'heading'    => __( 'Sound Background', 'js_composer' ),
					'param_name' => 'reflector_file',
					'dependency' => array( 'element' => 'type', 'value' => array( 'kenburn' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Sound Autoplay', 'js_composer' ),
					'param_name' => 'sound_autoplay',
					'std'        => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'kenburn' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Speed (milliseconds)', 'js_composer' ),
					'param_name'  => 'time',
					'description' => __( 'Only number', 'js_composer' ),
					'dependency'  => array(
						'element' => 'type',
						'value'   => array( 'kenburn', 'slider_thumbnail' )
					)
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay (milliseconds)', 'js_composer' ),
					'param_name'  => 'autoplay',
					'description' => __( 'Only number. Default 0 milliseconds', 'js_composer' ),
					'dependency'  => array(
						'element' => 'type',
						'value'   => array( 'modern_slider' )
					)
				),
				array(
					'type'        => 'checkbox',
					'heading'     => __( 'Autoplay turn on', 'js_composer' ),
					'param_name'  => 'autoplay_check',
					'description' => __( ' Default is disabled ', 'js_composer' ),
					'dependency'  => array(
						'element' => 'type',
						'value'   => array( 'slider_thumbnail' )
					)
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Show button for hide menu?', 'js_composer' ),
					'param_name' => 'show_button',
					'std'        => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'full_slider' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Hide menu by default?', 'js_composer' ),
					'param_name' => 'hide_menu',
					'std'        => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'full_slider' ) ),
                    'description' => __( 'This option will be work, if you check option "Show button for hide menu"', 'js_composer' )
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_gallery extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'images'         => '',
				'type'           => 'with_thumbnile',
				'type_kenburn'   => 'zoom',
				'hide_title'     => '',
				'reflector_file' => '',
				'autoplay'       => '',
				'sound_autoplay' => '',
				'time'           => '',
				'show_button'    => '',
				'hide_menu'      => '',
				'autoplay_check' => 'false'

			), $atts ) );

			if ( ! in_array( "cs_gallery-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_gallery-css";
			}

			if ( isset( $type ) && $type == 'modern_slider' ) {
				if ( ! in_array( "owlcarousel-css", self::$css_scripts ) ) {
					self::$css_scripts[] = "owlcarousel-css";
				}
			}

			if ( isset( $type ) && ( $type == 'full_slider' || $type == 'slider_thumbnail' ) ) {
				if ( ! in_array( "cs_slick-css", self::$css_scripts ) ) {
					self::$css_scripts[] = "cs_slick-css";
				}
			}

			if ( isset( $type ) && $type == 'justified_image' ) {
				if ( ! in_array( "cs-justified-css", self::$css_scripts ) ) {
					self::$css_scripts[] = "cs-justified-css";
				}
			}


			if ( isset( $type ) && $type == 'tilt_gallery' ) {
				if ( ! in_array( "tilt-css", self::$css_scripts ) ) {
					self::$css_scripts[] = "tilt-css";
				}
			}

			$this->enqueueCss();

			if ( isset( $type ) && $type == 'with_thumbnile' ) {
				if ( ! in_array( "flexslider", self::$js_scripts ) ) {
					self::$js_scripts[] = "flexslider";
				}
			}

			if ( isset( $type ) && $type == 'justified_image' ) {
				if ( ! in_array( "cs-justified", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs-justified";
				}
			}

			if ( isset( $type ) && $type == 'kenburn' ) {
				if ( ! in_array( "cs_kenburning", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs_kenburning";
				}
			}

			if ( isset( $type ) && $type == 'modern_slider' ) {
				if ( ! in_array( "owlcarousel", self::$js_scripts ) ) {
					self::$js_scripts[] = "owlcarousel";
				}
			}

			if ( isset( $type ) && $type == 'slider_transition' ) {
				if ( ! in_array( "slider-transition", self::$js_scripts ) ) {
					self::$js_scripts[] = "slider-transition";
				}
			}

			if ( isset( $type ) && $type == 'adjusted_grid' ) {
				if ( ! in_array( "cs-equalHeights", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs-equalHeights";
				}
			}

			if ( isset( $type ) && $type == 'full_slider' || $type == 'slider_thumbnail' ) {
				if ( ! in_array( "cs-slick", self::$js_scripts ) ) {
					self::$js_scripts[] = "cs-slick";
				}
			}

			if ( isset( $type ) && $type == 'tilt_gallery' ) {
				if ( ! in_array( "tilt_effect", self::$js_scripts ) ) {
					self::$js_scripts[] = "tilt_effect";
				}
			}

			if ( ! in_array( "cs_gallery", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs_gallery";
			}
			$this->enqueueJs();


			$type         = isset( $type ) ? $type : 'with_thumbnile';
			$type_kenburn = isset( $type_kenburn ) ? $type_kenburn : 'zoom';
			$time         = ! empty( $time ) && is_numeric( $time ) ? $time : '6000';

			$autoplay = isset( $autoplay ) && ! empty( $autoplay ) && is_numeric( $autoplay ) ? $autoplay : 0;

			$add_class = ! empty( $show_button ) && $type == 'full_slider' ? ' show-button' : '';
			$add_class .= $type == 'tilt_gallery' ? ' isotope-container-small' : '';

			ob_start(); ?>

            <!-- Row -->
			<?php if ( ! empty( $images ) ) {

				//Fullscreen with thumbnail
				$images = explode( ',', $images ); ?>

                <div class="cs_gallery-wrap <?php echo esc_attr( $type . $add_class ); ?>">

					<?php if ( $type == 'with_thumbnile' ) { ?>

                        <div class="thumb-slider-wrapp full-height-window-hard">
                            <div class="main-thumb-slider">
                                <ul class="slides">
									<?php foreach ( $images as $key => $image_id ) :
										$attachment = get_post( $image_id ); 
										
										?>
                                        <li>
                                            <div class="thumb-slider-bg">
												<?php $url = wp_get_attachment_image_url( $image_id, 'full' );

												echo reflector_the_lazy_load_flter( $url, array(
													'class' => 's-img-switch',
													'alt'   => !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''
												) ); ?>

                                            </div>
                                        </li>
									<?php endforeach; ?>
                                </ul>
                            </div>
                            <div class="sub-thumb-slider active">
                                <ul class="slides">
									<?php foreach ( $images as $key => $image_id ) :
										$attachment = get_post( $image_id ); ?>
                                        <li>
                                            <div class="thumb-slider-bg">
												<?php $url = wp_get_attachment_image_url( $image_id, 'medium' );

												echo reflector_the_lazy_load_flter( $url, array(
													'class' => 's-img-switch',
													'alt'   => !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''
												) ); ?>

                                            </div>
                                        </li>
									<?php endforeach; ?>
                                </ul>
                            </div>
                        </div>

					<?php }

					if ( $type == 'kenburn' ) { ?>

                        <div class="kenburns-wrap <?php echo esc_attr( $type_kenburn ); ?>">
                            <div class="kenburns full-height-window-hard" data-time="<?php echo esc_attr( $time ); ?>">
								<?php $count        = 1;

								if ( ! empty( $images ) ) {
									foreach ( $images as $key => $slide ) :
										$url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_src( $slide, 'full' ) : '';
										$url        = is_array( $url ) ? $url[0] : $url;
										$classimg   = $count % 2 ? '' : '';
										$attachment = get_post( $slide ); ?>
                                        <div class="item-ken">
                                            <div class="img <?php echo esc_attr( $classimg ); ?>"
                                                 style="background-image: url(<?php echo esc_attr( $url ); ?>); transition:transform <?php echo esc_attr( $time ); ?>ms ease-in, opacity 1s ease-in;">
                                            </div>
											<?php if ( empty( $hide_title ) ) { ?>
                                                <div class="info">
													<?php if ( ! empty( $attachment->post_excerpt ) ) { ?>
                                                        <div class="caption">
															<?php echo wp_kses_post( $attachment->post_excerpt ); ?>
                                                        </div>
													<?php }

													if ( ! empty( $attachment->post_content ) ) { ?>
                                                        <div class="description">
															<?php echo wp_kses_post( $attachment->post_content ); ?>
                                                        </div>
													<?php } ?>
                                                </div>
											<?php } ?>
                                        </div>
										<?php
										$count ++;
									endforeach;
								} ?>
                            </div>

                            <button class="kenburns-play pause"></button>

							<?php if ( ! empty( $reflector_file ) ) {
								$audio_url       = wp_get_attachment_url( $reflector_file );
								$class_button    = empty( $sound_autoplay ) ? '' : 'play';
								$enable_autoplay = ! empty( $sound_autoplay ) ? 'autoplay' : ''; ?>

                                <button class="reflector-sound-btn <?php echo esc_attr( $class_button ); ?>"></button>

                                <audio class="reflector-audio-file" <?php echo esc_attr( $enable_autoplay ); ?> preload
                                       loop>
                                    <source src="<?php echo esc_url( $audio_url ); ?>">
                                </audio>

							<?php } ?>

                        </div>
					<?php }

					if ( $type == 'simple_masonry' ) {

						$count_right = 1;
						$count_left  = 1; ?>
                        <div class="light-gallery">
                            <div class="left-block">
								<?php foreach ( $images as $image_left ) {
									if ( $count_left % 2 !== 0 ) {
										$url_left      = ( ! empty( $image_left ) && is_numeric( $image_left ) ) ? wp_get_attachment_image_url( $image_left, 'large' ) : '';
										$url_left_full = ( ! empty( $image_left ) && is_numeric( $image_left ) ) ? wp_get_attachment_image_url( $image_left, 'full' ) : '';
										$alt_left      = get_post_meta( $image_left, '_wp_attachment_image_alt', true ); ?>
                                        <a href="<?php echo esc_url( $url_left_full ); ?>" class="gallery-item">
                                            <img src="<?php echo esc_url( $url_left ); ?>"
                                                 alt="<?php echo esc_attr( $alt_left ); ?>">
                                        </a>
										<?php
									}
									$count_left ++;
								} ?>
                            </div>

                            <div class="right-block">
								<?php foreach ( $images as $image_right ) {
									if ( $count_right % 2 === 0 ) {
										$url_right      = ( ! empty( $image_right ) && is_numeric( $image_right ) ) ? wp_get_attachment_image_url( $image_right, 'large' ) : '';
										$url_right_full = ( ! empty( $image_right ) && is_numeric( $image_right ) ) ? wp_get_attachment_image_url( $image_right, 'full' ) : '';
										$alt_right      = get_post_meta( $image_right, '_wp_attachment_image_alt', true ); ?>
                                        <a href="<?php echo esc_url( $url_right_full ); ?>" class="gallery-item">
                                            <img src="<?php echo esc_url( $url_right ); ?>"
                                                 alt="<?php echo esc_attr( $alt_right ); ?>">
                                        </a>
										<?php
									}
									$count_right ++;
								} ?>
                            </div>
                        </div>
					<?php }

					if ( $type == 'modern_slider' ) { ?>
                        <div class="owl-container-gallery owl-carousel"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
							<?php foreach ( $images as $image ) {
								$url  = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'full' ) : '';
								$url2 = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'large' ) : '';
								$alt  = get_post_meta( $image, '_wp_attachment_image_alt', true ); ?>

                                <div class="owl-slide">
									<?php if ( ! empty( $url ) ) { ?>
                                        <img src="<?php echo esc_url( $url[0] ); ?>"
                                             alt="<?php echo esc_attr( $alt ); ?>"
                                             data-url="<?php echo esc_url( $url2[0] ); ?>">
									<?php } ?>
                                </div>
							<?php } ?>
                        </div>
						<?php
					}

					if ( $type == 'classic_grid' ) { ?>
                        <div class="light-gallery">
							<?php foreach ( $images as $image ) {

								$attachment = get_post( $image );

								$url_small = wp_get_attachment_image_url( $image, 'large' );
								$url       = wp_get_attachment_image_url( $image, 'full' ); ?>

                                <a href="<?php echo esc_url( $url ); ?>" class="gallery-item">
                                    <div class="image-wrap">
										<?php echo reflector_the_lazy_load_flter( $url_small, array(
											'class' => 's-img-switch',
											'alt'   => !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''
										) ); ?>
                                    </div>

									<?php if ( ! empty( $attachment->post_excerpt ) ) { ?>
                                        <div class="caption">
											<?php echo esc_html( $attachment->post_excerpt ); ?>
                                        </div>
									<?php } ?>

                                </a>

							<?php } ?>
                        </div>
					<?php }

					if ( $type == 'full_slider' ) {

						$hide_menu = ! empty( $hide_menu ) ? 'active' : ''; ?>

                        <div class="slider slider-single">
							<?php foreach ( $images as $image ) {
								$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
								$attachment = get_post( $image );
								$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>
                                <div class="item full-height-window-hard">
                                    <div class="img-wrap">
										<?php if ( ! empty( $url ) ) {
											echo reflector_the_lazy_load_flter( $url, array(
												'class' => 's-img-switch',
												'alt'   => $title
											) );
										} ?>
                                    </div>

                                    <div class="content-wrap">
										<?php if ( ! empty( $title ) ) { ?>
                                            <div class="title"><?php echo wp_kses_post( $title ); ?></div>
										<?php } ?>
                                    </div>

                                </div>
							<?php } ?>
                        </div>

                        <div class="slider slider-nav">
							<?php foreach ( $images as $image ) {
								$url_thumb  = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'medium' ) : '';
								$attachment = get_post( $image );
								$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>
                                <div class="item">
									<?php if ( ! empty( $url_thumb ) ) {
										echo reflector_the_lazy_load_flter( $url_thumb, array(
											'class' => 'thumbs',
											'alt'   => $title
										) );
									} ?>
                                </div>
							<?php } ?>
                        </div>

                        <div class="buttons-wrap">
                            <div class="gallery-button ion-images"></div>
							<?php if ( ! empty( $show_button ) ) { ?>
                                <div class="menu-button ion-android-menu <?php echo esc_attr( $hide_menu ); ?>"></div>
							<?php } ?>
                        </div>
					<?php }

					if ( $type == 'modern_gallery' ) {
						if ( ! empty( $images ) ) { ?>
                            <div class="popup-span"></div>
                            <div class="isotope-container-small">
								<?php foreach ( $images as $image ) {
									$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
									$attachment = get_post( $image );
									$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>

                                    <a href="<?php echo esc_url( $url ); ?>" class="item isotope-item"
                                       data-content="<?php echo esc_attr( $title ); ?>">
                                        <img src="<?php echo esc_url( $url ); ?>"
                                             alt="<?php echo esc_attr( $title ); ?>"
                                             class="s-img-switch" data-s-hidden="1">
                                    </a>

								<?php } ?>
                            </div>
						<?php }

					}

					if ( $type == 'slider_thumbnail' ) { ?>
                        <div class="slider slider-single" data-autoplay="<?php echo esc_attr( $time ); ?>"
                             data-check="<?php echo esc_attr( $autoplay_check ); ?>">
							<?php foreach ( $images as $image ) {

								$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
								$attachment = get_post( $image );
								$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>

                                <div class="item full-height-window-hard">
                                    <div class="img-wrap">
										<?php if ( ! empty( $url ) ) {
											echo reflector_the_lazy_load_flter( $url, array(
												'class' => 's-img-switch',
												'alt'   => $title
											) );
										} ?>
                                    </div>

                                </div>

							<?php } ?>

                        </div>

                        <div class="slider slider-nav">

							<?php foreach ( $images as $image ) {

								$url_thumb  = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'medium' ) : '';
								$attachment = get_post( $image );
								$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>

                                <div class="item">
                                    <div class="img-wrap">
										<?php if ( ! empty( $url_thumb ) ) {
											echo reflector_the_lazy_load_flter( $url_thumb, array(
												'class' => 's-img-switch',
												'alt'   => $title
											) );
										} ?>
                                    </div>

                                </div>

							<?php } ?>

                        </div>
					<?php }

					if ( $type == 'tilt_gallery' ) {
						foreach ( $images as $image ) {
							$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
							$attachment = get_post( $image );
							$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>

                            <div class="image-wrap item isotope-item">
                                <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>"
                                     class="s-img-switch" data-s-hidden="1">
                                <a href="<?php echo esc_url( $url ); ?>" class="gallery-item">
                                    <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>"
                                         class="tilt-effect s-img-switch" data-s-hidden="1">
                                </a>
                            </div>

						<?php } ?>
					<?php }

					if ( $type == 'slider_transition' ) { ?>
                        <div class="trans-slider full-height-window-hard">
                            <div class="page-view full-height-window-hard">
								<?php if ( ! empty( $images ) ) {
									foreach ( $images as $image ) {
										$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
										$attachment = get_post( $image );
										$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>
										
										<div class="project">
                                            <img src="<?php echo esc_url( $url ); ?>"
                                                 alt="<?php echo esc_attr( $title ); ?>" class="s-img-switch">
                                            <div class="text">
                                                <h1><?php echo esc_html( $title ); ?></h1>
                                            </div>
                                        </div>

									<?php }
								} ?>

                                <nav class="arrows">
                                    <div class="arrow previous">
                                        <i class="ion-ios-arrow-thin-left"></i>
                                    </div>
                                    <div class="arrow next">
                                        <i class="ion-ios-arrow-thin-right"></i>
                                    </div>
                                </nav>
                            </div>
                        </div>
						<?php
					}

					if ( $type == 'justified_image' ) { ?>
                        <div class="justified-images-wrap">
							<?php if ( ! empty( $images ) ) { ?>
                                <div class="main-image">
									<?php $main_image_id = $images[0];
									$main_url            = ( ! empty( $main_image_id ) && is_numeric( $main_image_id ) ) ? wp_get_attachment_image_url( $main_image_id, 'full' ) : '';
									$main_attachment     = get_post( $main_image_id );
									$image_alt           = get_post_meta( $main_image_id, '_wp_attachment_image_alt', true );
									$main_title          = $main_attachment->post_excerpt; ?>

                                    <div class="image">
                                        <img src="<?php echo esc_url( $main_url ); ?>"
                                             alt="<?php echo esc_attr( $image_alt ); ?>" class="justified-animated-img">
                                    </div>
                                    <div class="title"><?php echo esc_html( $main_title ); ?></div>

                                </div>
                                <div class="gallery">
									<?php
									
									foreach ( $images as $image ) {
										
										$url_full   = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
										$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'large' ) : '';
										$alt        = get_post_meta( $image, '_wp_attachment_image_alt', true );
										$attachment = get_post( $image );
										$title      = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : ''; ?>

                                        <a href="<?php echo esc_url( $url_full ); ?>" class="item-image"
                                           data-title="<?php echo esc_attr( $title ); ?>">
                                            <img src="<?php echo esc_url( $url ); ?>"
                                                 alt="<?php echo esc_attr( $alt ); ?>">
                                        </a>

										<?php

									} ?>
                                </div>
							<?php } ?>
                        </div>
					<?php }

					if ( $type == 'adjusted_grid' ) { ?>
                        <div class="row clearfix">
							<?php $count     = 1;
							foreach ( $images as $image ) :
								$url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'large' ) : '';
								$attachment  = get_post( $image );
								
								$title       = !empty($attachment->post_excerpt) ? $attachment->post_excerpt : '';
								$count_image = $count <= 9 ? '#0' . $count : '#' . $count;
								?>

                                <div class="img-list-gallery item col-xs-12 col-lg-4 col-sm-6">

                                    <a href="<?php echo esc_url( $url ); ?>" class="gallery-item">
                                        <img src="<?php echo esc_url( $url ); ?>"
                                             alt="<?php echo esc_attr( $title ); ?>">
                                        <div class="img-title">
                                            <span><?php echo esc_html( $count_image ); ?></span>
                                            <span><?php echo esc_html( $title ); ?></span>
                                        </div>

                                    </a>

                                </div>
								<?php

								$count ++;

							endforeach; ?>
                        </div>
					<?php }

					if ( $type == 'grid_thumbnails' ) {

						$count = 1;

						if ( ! empty( $images ) ) { ?>

                            <div class="item-big-wrap">
								<?php

								$big_url = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_url( $images[0], 'full' ) : '';
								$big_alt = ! empty( $big_url ) ? get_post_meta( $images[0], '_wp_attachment_image_alt', true ) : '';

								if ( ! empty( $big_url ) ) { ?>

                                    <a href="<?php echo esc_url($big_url); ?>" class="item">
	                                    <?php echo reflector_the_lazy_load_flter( $big_url, array(
		                                    'class' => 'main-image',
		                                    'alt'   => $big_alt,
	                                    ) ); ?>
                                    </a>

								<?php } // end if ?>
                            </div>
                            <div class="small-images-wrap">
								<?php foreach ( $images as $key => $slide ) :

									if ( $count !== 1 && $count < 7) {
										$thumb_url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'medium' ) : '';
										$thumb_url_full = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'full' ) : '';
										$thumb_alt = ! empty( $slide ) ? get_post_meta( $slide, '_wp_attachment_image_alt', true ) : ''; ?>

                                       <div class="item-wrap">
                                           <a href="<?php echo esc_url($thumb_url_full); ?>" class="item-small item" >

		                                       <?php echo reflector_the_lazy_load_flter( $thumb_url, array(
			                                       'class' => 's-img-switch',
			                                       'alt'   => $thumb_alt,
		                                       ) );

		                                       if(count($images) > 6 && $count === 6){
			                                       $number = count($images) - 6; ?>
                                                   <span class="item-small overlay-last">
                                                       +<?php echo esc_html($number); ?>
                                                   </span>
		                                       <?php }

		                                       if(count($images) > 6 &&$count === 5 ){
			                                       $number = count($images) - 5; ?>
                                                   <span class="item-small overlay-last">
                                                       +<?php echo esc_html($number); ?>
                                                   </span>
		                                       <?php }


		                                       if(count($images) > 6 && $count === 4 ){
		                                           $number = count($images) - 4; ?>
                                                   <span class="item-small overlay-last">
                                                       +<?php echo esc_html($number); ?>
                                                   </span>
	                                           <?php } ?>

                                           </a>

                                       </div>

										<?php
									}elseif( $count > 6 ){
										$thumb_url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'thumbnail' ) : '';
										$thumb_url_full = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'full' ) : '';
										$thumb_alt = ! empty( $slide ) ? get_post_meta( $slide, '_wp_attachment_image_alt', true ) : '';?>

                                        <div class="item-wrap hidden">
                                            <a href="<?php echo esc_url($thumb_url_full); ?>" class="item-small item" data-src="<?php echo esc_url($thumb_url_full); ?>">
                                                <img src="<?php echo esc_url($thumb_url); ?>" alt="<?php echo esc_attr($thumb_alt); ?>">
                                            </a>
                                        </div>

										<?php
                                    }

									$count ++;
								endforeach; ?>
                            </div>

						<?php } ?>

					<?php } ?>
                </div>

				<?php
			}

			return ob_get_clean();
		}
	}
}

