<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/info_block/';
	vc_map(
		array(
			'name'                    => __( 'Info block', 'js_composer' ),
			'base'                    => 'cs_info_block',
			'content_element'         => true,
			'show_settings_on_create' => true,
			'description'             => __( 'Image and text', 'js_composer' ),
			'params'                  => array(
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Info block style', 'js_composer' ),
					'description' => __( 'Please select block style', 'js_composer' ),
					'param_name'  => 'style',
					'value'       => array(
						array(
							'value' => 'text_style',
							'label' => esc_html__( 'Text style', 'js_composer' ),
							'image' => $url . 'text_style.jpg'
						),
						array(
							'value' => 'tabs',
							'label' => esc_html__( 'Tabs style', 'js_composer' ),
							'image' => $url . 'tabs.jpg'
						),
						array(
							'value' => 'accordion',
							'label' => esc_html__( 'Accordion style', 'js_composer' ),
							'image' => $url . 'accordion.jpg'
						),
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'value' => 'modern',
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'image' => $url . 'modern.jpg'
						),
						array(
							'value' => 'creative',
							'label' => esc_html__( 'Creative', 'js_composer' ),
							'image' => $url . 'creative.jpg'
						),
						array(
							'value' => 'simple_text',
							'label' => esc_html__( 'Simple text', 'js_composer' ),
							'image' => $url . 'simple_text.jpg'
						),
						array(
							'value' => 'info_list',
							'label' => esc_html__( 'Info list', 'js_composer' ),
							'image' => $url . 'info_list.jpg'
						),
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
						array(
							'value' => 'quote',
							'label' => esc_html__( 'Quote', 'js_composer' ),
							'image' => $url . 'quote.jpg'
						),
					)
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Accordion group', 'js_composer' ),
					'param_name' => 'accordion',
					'value'      => '',
					'params'     => array(
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Description', 'js_composer' ),
							'param_name' => 'description',
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'accordion' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'text_style', 'modern', 'creative', 'info_list', 'classic' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'value'      => '',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'text_style', 'tabs', 'simple', 'modern', 'creative' )
					)
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Quote', 'js_composer' ),
					'param_name' => 'quote',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'modern', 'quote' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'text',
					'value'      => '',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'text_style', 'tabs', 'simple', 'modern', 'creative', 'simple_text', 'info_list' )
					)
				),

                array(
					'type'       => 'textarea_html',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'content',
					'value'      => '',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'classic' )
					)
				),
				array(
					'type'        => 'attach_image',
					'description' => __( 'Please add your image', 'js_composer' ),
					'heading'     => __( 'Image', 'js_composer' ),
					'param_name'  => 'image',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'modern', 'creative', 'info_list') )
				),
				array(
					'type'        => 'vc_link',
					'heading'     => __( 'Button', 'js_composer' ),
					'description' => __( 'Please add link & name for your button', 'js_composer' ),
					'param_name'  => 'button',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'simple', 'creative', 'classic' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'simple', 'creative', 'classic' ) )
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'description' => __( 'Please add options for the tab items', 'js_composer' ),
					'param_name'  => 'item_tabs',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'attach_image',
							'description' => __( 'Please add your image', 'js_composer' ),
							'heading'     => __( 'Simple image', 'js_composer' ),
							'param_name'  => 'image_id',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Title', 'js_composer' ),
							'description' => __( 'Please add your title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'Text', 'js_composer' ),
							'description' => __( 'Please add your text', 'js_composer' ),
							'param_name'  => 'text',
						),
						array(
							'type'        => 'attach_image',
							'description' => __( 'Please add your image', 'js_composer' ),
							'heading'     => __( 'Additional image', 'js_composer' ),
							'param_name'  => 'add_image_id',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'tabs' ) ),
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable full height row?', 'js_composer' ),
					'param_name' => 'full_height_row',
					'std'        => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'tabs' ) ),
				),
			), //end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_info_block extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'           => 'text_style',
				'title'           => '',
				'subtitle'        => '',
				'button'          => '',
				'btn_style'       => 'a-btn-1',
				'accordion'       => array(),
				'text'            => '',
				'image'            => '',
				'item_tabs'       => '',
				'full_height_row' => '',
				'quote'           => '',
			), $atts ) );


			if ( ! in_array( "cs-info-block", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-info-block";
			}
			$this->enqueueJs();


			if ( ! in_array( "cs_info_block-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_info_block-css";
			}
			$this->enqueueCss();

			$class = ( ! empty( $style ) ) ? $style : "text_style";

			$heightClass = isset( $full_height_row ) && ! empty( $full_height_row ) ? 'full-height-window' : '';
			$image_url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
			$image_alt = get_post_meta( $image, '_wp_attachment_image_alt', true );

			ob_start(); ?>

            <div class="info-block-wrap <?php echo esc_attr( $class ); ?>">
				<?php if ( $style == 'text_style' ) { ?>
                    <div class="info-content">
						<?php if ( ! empty( $subtitle )  ) { ?>
                            <h5 class="subtitle">
								<?php echo esc_html( $subtitle ); ?>
                            </h5>
						<?php }
						if ( ! empty( $title ) || ! empty( $text ) ) { ?>
                            <div class="inner-wrap">
                                <?php if ( ! empty( $title ) ) { ?>
                                    <h3 class="title"><span><?php echo wp_kses_post( $title ); ?></span></h3>
                                <?php }  ?>

								<?php if ( ! empty( $text ) ) { ?>
                                    <p class="text"><?php echo wp_kses_post( $text ); ?></p>
								<?php }
								?>
                            </div>
						<?php } ?>
                    </div>
				<?php }

				if ( $style == 'tabs' ) {
					$item_tabs = isset( $item_tabs ) && ! empty( $item_tabs ) ? (array) vc_param_group_parse_atts( $item_tabs ) : '';
					?>
                    <div class="content <?php echo esc_attr( $heightClass ); ?>">
                        <div class="inner-content">
                            <div class="wrapper">
								<?php if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle"><?php echo esc_html( $subtitle ); ?></div>
								<?php }
								if ( ! empty( $text ) ) { ?>
                                    <p class="text"><?php echo esc_html( $text ); ?></p>
								<?php }
								if ( ! empty( $item_tabs ) ) { ?>
                                    <div class="tabs">
                                        <div class="tabs-header">
                                            <ul>
												<?php $counter = 1;

												foreach ( $item_tabs as $item ) {
													$active       = $counter === 1 ? 'active' : '';
													$counter_text = (string) $counter;
													if ( strlen( $counter_text ) == 1 ) {
														$counter_text = '0' . $counter_text;
													}
													?>

                                                    <li class="<?php echo esc_attr( $active ); ?>">
                                                        <i>/<?php echo esc_html( $counter_text ); ?></i>
                                                        <div class="title-wrap"> <?php echo esc_html( $item['title'] ); ?> </div>
                                                    </li>

													<?php $counter ++;
												} ?>
                                            </ul>
                                        </div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
						<?php if ( ! empty( $item_tabs ) ) {
							$counter_image = 1; ?>
                            <div class="tabs image-tabs">
								<?php foreach ( $item_tabs as $item ) {
									$image_url = ( ! empty( $item['image_id'] ) && is_numeric( $item['image_id'] ) ) ? wp_get_attachment_url( $item['image_id'] ) : '';
									$image_alt = get_post_meta( $item['image_id'], '_wp_attachment_image_alt', true );

									$add_image_url = ( ! empty( $item['add_image_id'] ) && is_numeric( $item['add_image_id'] ) ) ? wp_get_attachment_url( $item['add_image_id'] ) : '';
									$add_image_alt = get_post_meta( $item['add_image_id'], '_wp_attachment_image_alt', true );

									if ( ! empty ( $image_url ) ) {
										$active = $counter_image === 1 ? 'active' : ''; ?>
                                        <div class="tabs-item <?php echo esc_attr( $active ); ?>">
                                            <div class="image-wrap">
												<?php echo reflector_the_lazy_load_flter( $image_url,
													array(
														'class' => 's-img-switch',
														'alt'   => $image_alt,
													)
												); ?>
                                            </div>
                                            <div class="content-wrap">
                                                <div class="inner">
													<?php if ( ! empty ( $add_image_url ) ) {
														echo reflector_the_lazy_load_flter( $add_image_url,
															array(
																'class' => '',
																'alt'   => $add_image_alt,
															)
														);
													}
													if ( ! empty( $item['text'] ) ) { ?>
                                                        <p class="inner-text"><?php echo wp_kses_post( $item['text'] ); ?></p>
													<?php }
													?>
                                                </div>
                                            </div>
                                        </div>
										<?php $counter_image ++;
									}
								} ?>
                            </div>
						<?php } ?>
                    </div>
				<?php }

				if ( $style == 'simple' ) {

					if ( ! empty( $subtitle ) ) { ?>
                        <h5 class="subtitle">
							<?php echo esc_html( $subtitle ); ?>
                        </h5>
					<?php }

					if ( ! empty( $text ) ) { ?>
                        <div class="text">
							<?php echo wp_kses_post( $text ); ?>
                        </div>
					<?php }

					if ( ! empty( $button ) ) {
						$url = vc_build_link( $button );
					}

					$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

					if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                        <div class="btn-wrapper">
							<?php if ( ! empty( $url['url'] ) ) {
								$url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                <a href="<?php echo esc_url( $url['url'] ); ?>"
                                   class="<?php echo esc_attr( $btn_style ); ?>"
                                   target="<?php echo esc_attr( $url_targ ); ?>">
									<?php echo esc_html( $url['title'] ); ?>
                                </a>
							<?php } ?>
                        </div>
					<?php }
				}

				if ( $style == 'accordion' && ! empty( $accordion ) ) {

					$accordion = (array) vc_param_group_parse_atts( $accordion ); ?>

                    <div class="accordion-wrap">
                        <div class="accordion__list">
							<?php $counter = 1;

							foreach ( $accordion as $key => $accordion_item ) {

								$item_style = $counter === 1 ? 'style="display: block;"' : '';
								$active     = $counter === 1 ? 'active' : ''; ?>

                                <div class="accordion__item <?php echo esc_attr( $active ); ?>">
									<?php if ( ! empty( $accordion_item['title'] ) ) { ?>
                                        <div class="accordion__title"><?php echo esc_html( $accordion_item['title'] ); ?>
                                            <span></span>
                                        </div>
									<?php } // end if
									if ( ! empty( $accordion_item['description'] ) ) { ?>
                                        <div class="accordion__text" <?php echo $item_style; ?>>
											<?php echo wp_kses_post( $accordion_item['description'] ); ?>
                                        </div>
									<?php } // end if ?>
                                </div>
								<?php $counter ++;
							} ?>
                        </div>
                    </div>
				<?php }

				if ( $style == 'modern' ){

				    if(!empty($subtitle)){ ?>
				        <div class="subtitle"><?php echo esc_html($subtitle); ?></div>
                    <?php }

                    if(!empty($title)){ ?>
                        <div class="title"><?php echo esc_html($title); ?></div>
                    <?php }

                    if(!empty($quote)){ ?>
                        <div class="quote"><?php echo esc_html($quote); ?></div>
                    <?php }

                    if(!empty($text)){ ?>
                        <div class="text"><p><?php echo wp_kses_post($text); ?></p></div>
                    <?php }

					if(!empty($image_url)){
						echo reflector_the_lazy_load_flter( $image_url, array(
							'class' => 'add-image',
							'alt'   => $image_alt,
						) );
                    }

				}

				if( $style == 'creative' ){ ?>
				    <div class="image-wrap">
                        <?php if(!empty($image_url)){
	                        echo reflector_the_lazy_load_flter( $image_url, array(
		                        'class' => 's-img-switch',
		                        'alt'   => $image_alt,
	                        ) );
                        } ?>
                    </div>
                    <div class="text-wrap">
                        <?php  if(!empty($subtitle)){ ?>
                            <div class="subtitle"><?php echo esc_html($subtitle); ?></div>
                        <?php }

                        if(!empty($title)){ ?>
                            <div class="title"><?php echo esc_html($title); ?></div>
                        <?php }

                        if(!empty($text)){ ?>
                            <div class="text"><?php echo wp_kses_post($text); ?></div>
                        <?php }

                        if ( ! empty( $button ) ) {
	                        $url = vc_build_link( $button );
                        }

                        $btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

                        if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                            <div class="btn-wrapper">
		                        <?php if ( ! empty( $url['url'] ) ) {
			                        $url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                    <a href="<?php echo esc_url( $url['url'] ); ?>"
                                       class="<?php echo esc_attr( $btn_style ); ?>"
                                       target="<?php echo esc_attr( $url_targ ); ?>">
				                        <?php echo esc_html( $url['title'] ); ?>
                                    </a>
		                        <?php } ?>
                            </div>
                        <?php } ?>
                    </div>
				<?php }

				if( $style == 'simple_text' && !empty($text) ){
				    echo wp_kses_post($text);
				}

                if( $style == 'info_list' ){

                    if(!empty($image_url)){
	                    echo reflector_the_lazy_load_flter( $image_url,
		                    array(
			                    'class' => 's-img-switch',
			                    'alt'   => $image_alt,
		                    )
	                    );
                    }

                    if(!empty($title)){ ?>
                        <div class="title">
		                    <?php echo esc_html($title); ?>
                        </div>
                    <?php }

                    if(!empty($text)){ ?>
                        <div class="text">
                            <?php echo wp_kses_post($text); ?>
                        </div>
                    <?php }
                }

                if( $style == 'classic' ){

	                if ( ! empty( $title ) ) { ?>
                        <h5 class="title">
			                <?php echo wp_kses_post( $title ); ?>
                        </h5>
	                <?php }

	                if ( ! empty( $content ) ) { ?>
                        <div class="text">
                            <p><?php echo wp_kses_post( $content ); ?></p>
                        </div>
	                <?php }

	                if ( ! empty( $button ) ) {
		                $url = vc_build_link( $button );
	                }

	                $btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

	                if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                        <div class="btn-wrapper">
			                <?php if ( ! empty( $url['url'] ) ) {
				                $url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                <a href="<?php echo esc_url( $url['url'] ); ?>"
                                   class="<?php echo esc_attr( $btn_style ); ?>"
                                   target="<?php echo esc_attr( $url_targ ); ?>">
					                <?php echo esc_html( $url['title'] ); ?>
                                </a>
			                <?php } ?>
                        </div>
	                <?php }
                }

                if( $style == 'quote' ){ ?>

                    <div class="quote-wrap">
                        <i class="ion-quote"></i>
                        <div class="text-wrap">
                            <?php echo wp_kses_post($quote); ?>
                        </div>
                    </div>

                <?php } ?>

            </div>

			<?php
			return ob_get_clean();
		} // end content()
	} // end class
} // end if

?>