<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/instagram/';
	vc_map(
		array(
			'name'   => __( 'Instagram', 'js_composer' ),
			'base'   => 'cs_instagram',
			'params' => array(
				array(
					'type'       => 'select_preview',
					'param_name' => 'style',
					'heading'    => esc_html__( 'Style', 'js_composer' ),
					'value'      => array(
						array(
							'label' => esc_html__( 'List style', 'js_composer' ),
							'value' => 'list',
							'image' => $url . 'list.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Username', 'js_composer' ),
					'admin_label' => true,
					'param_name'  => 'username',
					'description' => 'Please, also add your access token of your Instagram account in Theme Options'
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Count images', 'js_composer' ),
					'admin_label' => true,
					'param_name'  => 'count',
					'description' => 'Max count is 12.'
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_instagram extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style' => 'list',
				'username' => '',
				'count'    => ''

			), $atts ) );


			// include needed stylesheets
			if ( ! in_array( "cs_instagram-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_instagram-css";
			}
			$this->enqueueCss();

			// include needed scripts
			if ( ! in_array( "cs-instagram", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-instagram";
			}
			$this->enqueueJs();

			$style = isset($style) ? $style : 'list';
			ob_start();

			if ( ! empty( $username ) ) {
				$count            = ( ! empty( $count ) && is_numeric( $count ) ) ? $count : 25;
				$instagram_images = reflector_get_imstagram( $username, $count ); ?>


				<div class="insta-box container-fluid <?php echo esc_attr($style); ?>">
					<div class="insta-wrapper row align-items-center <?php echo esc_attr($style); ?>">
						<span class="info-hover"><?php echo esc_html__('Instagram ', 'reflector'); ?><a href="https://www.instagram.com/<?php echo esc_html($username) ?>" target="_blank"><?php echo '@' . esc_html($username) ?></a></span>
						<?php					
						if ( ! empty( $instagram_images ) && is_array($instagram_images) ) {
							
							foreach ( $instagram_images['items'] as $image ) { ?>

								<a href="<?php echo esc_url( $image['image-url'] ); ?>" class="insta-item">
									<img src="<?php echo esc_url( $image['image-url'] ); ?>" alt="<?php echo esc_attr($username);?>" class="s-img-switch">
								</a>


							<?php  }
						} ?>
					</div>
				</div>
				<?php
			}

			return ob_get_clean();
		}
	}
}