<?php
if ( function_exists('vc_map') ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/';
	vc_map(array(
		'name'                    => __('Line of images', 'js_composer'),
		'base'                    => 'cs_line_of_images',
		'content_element'         => true,
		'show_settings_on_create' => true,
		'params'                  => array(
			array(
				'type'        => 'select_preview',
				'param_name'  => 'style',
				'heading'     => esc_html__('Style', 'js_composer'),
				'value'       => array(
					array(
						'value' => 'logos',
						'label' => esc_html__('Style - 1', 'js_composer'),
						'image' => $url . 'logos.jpg'
					),
					array(
						'value' => 'logos2',
						'label' => esc_html__('Style - 2', 'js_composer'),
						'image' => $url . 'logos2.jpg'
					),
				),
				'admin_label' => true,
				'save_always' => true,
			),
			array(
				'type'       => 'param_group',
				'heading'    => __('Values', 'js_composer'),
				'param_name' => 'logos',
				'value'      => urlencode(json_encode(array())),
				'params'     => array(
					array(
						'type'       => 'attach_image',
						'heading'    => __('Image', 'js_composer'),
						'param_name' => 'image'
					),
					array(
						'type'        => 'textfield',
						'heading'     => __('URL', 'js_composer'),
						'param_name'  => 'url',
						'description' => __('Add url for images.', 'js_composer'),
					),
				),
			),
			array(
				'param_name'  => 'column_count',
				'type'        => 'dropdown',
				'description' => 'Choose count item',
				'heading'     => 'Count item per row',
				'value'       => array(
					esc_html__('Five', 'js_composer')  => 'five',
					esc_html__('Three', 'js_composer') => 'three',
				),
				'dependency'  => array('element' => 'style', 'value' => array('logos', 'logos2'))
			),
		) //end params
	));
}

if ( class_exists('WPBakeryShortCode') ) {
	class WPBakeryShortCode_cs_line_of_images extends WPBakeryShortCode {
		protected function content($atts, $content = null) {

			extract(shortcode_atts(array(
				'style'                    => 'logos',
				'column_count'             => 'five',
				'logos'                    => '',
			), $atts));

			$style = isset($style) && !empty($style) ? $style : 'logos';

			// include needed stylesheets
			if ( !in_array("cs_line_of_images-css", self::$css_scripts) ) {
				self::$css_scripts[] = "cs_line_of_images-css";
			}
			$this->enqueueCss();

			$column_count = !empty($column_count) ? $column_count : '';


			ob_start(); ?>

			<div class="line-of-images <?php echo esc_attr($style . ' ' . $column_count); ?>">
				<div class="line-wrap">
					<?php if ( !empty($logos) ) {
						$logos = (array)vc_param_group_parse_atts($logos);
						foreach ( $logos as $logo ) {
							if ( !empty($logo['image']) ) {
								$image_url = (!empty($logo['image']) && is_numeric($logo['image'])) ? wp_get_attachment_url($logo['image']) : '';
								$alt       = get_post_meta($logo['image'], '_wp_attachment_image_alt', true); ?>
								<div class="line-item">
									<?php if ( !empty($logo['url']) ) { ?>
										<a class="line-logo" href="<?php echo esc_url($logo['url']); ?>">
											<img src="<?php echo esc_url($image_url); ?>"
												 alt="<?php echo esc_attr($alt); ?>">
										</a>
									<?php } else { ?>
										<div class="line-logo">
											<img src="<?php echo esc_url($image_url); ?>"
												 alt="<?php echo esc_attr($alt); ?>">
										</div>
									<?php } ?>
								</div>
							<?php }
						}
					}
					?>
				</div>
			</div>

			<?php
			return ob_get_clean();
		}
	}
}