<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/';
	vc_map(
		array(
			'name'     => __( 'Portfolio List', 'js_composer' ),
			'base'     => 'cs_portfolio_list',
			'category' => __( 'Content', 'js_composer' ),
			'params'   => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'parallax_showcase',
							'label' => esc_html__( 'Parallax Showcase', 'js_composer' ),
							'image' => $url . 'parallax_showcase.jpg'
						),
						array(
							'value' => 'mix_masonry',
							'label' => esc_html__( 'Mix masonry', 'js_composer' ),
							'image' => $url . 'mix_masonry.jpg'
						),
						array(
							'label' => esc_html__( 'Masonry', 'js_composer' ),
							'value' => 'masonry',
							'image' => $url . 'masonry.jpg'
						),
						array(
							'label' => esc_html__( 'Modern Animated', 'js_composer' ),
							'value' => 'modern',
							'image' => $url . 'modern.jpg'
						),
						array(
							'label' => esc_html__( 'Distortion', 'js_composer' ),
							'value' => 'distortion',
							'image' => $url . 'distortion.jpg'
						),
						array(
							'label' => esc_html__( 'Category List', 'js_composer' ),
							'value' => 'category_list',
							'image' => $url . 'category_list.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Image original size',
					'param_name' => 'image_original_size',
					'value'      => array_merge( array( 'full' ), get_intermediate_image_sizes() )
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Height of items', 'js_composer' ),
					'param_name' => 'height_items',
					'value'      => array(
						__( 'Same height', 'js_composer' )    => 'same',
						__( 'Default height', 'js_composer' ) => 'not_same',
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'mix_masonry' ) ),
				),
				array(
					'type'        => 'vc_efa_chosen',
					'heading'     => __( 'Select Categories', 'js_composer' ),
					'param_name'  => 'cats',
					'placeholder' => __( 'Select category', 'js_composer' ),
					'value'       => reflector_element_values( 'categories', array(
						'sort_order' => 'ASC',
						'taxonomy'   => 'portfolio-category',
						'hide_empty' => false,
					) ),
					'std'         => '',
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Order by', 'js_composer' ),
					'param_name'  => 'orderby',
					'value'       => array(
						'',
						__( 'Date', 'js_composer' )          => 'date',
						__( 'ID', 'js_composer' )            => 'ID',
						__( 'Author', 'js_composer' )        => 'author',
						__( 'Title', 'js_composer' )         => 'title',
						__( 'Modified', 'js_composer' )      => 'modified',
						__( 'Random', 'js_composer' )        => 'rand',
						__( 'Comment count', 'js_composer' ) => 'comment_count'
					),
					'dependency'  => array( 'element' => 'style', 'value_not_equal_to' => array( 'category_list' ) ),
					'description' => sprintf( __( 'Select how to sort retrieved posts. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Sort order', 'js_composer' ),
					'param_name'  => 'order',
					'value'       => array(
						__( 'Descending', 'js_composer' ) => 'DESC',
						__( 'Ascending', 'js_composer' )  => 'ASC',
					),
					'dependency'  => array( 'element' => 'style', 'value_not_equal_to' => array( 'category_list' ) ),
					'description' => sprintf( __( 'Select ascending or descending order. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Count items', 'js_composer' ),
					'param_name' => 'count',
					'dependency' => array( 'element' => 'style', 'value_not_equal_to' => array( 'category_list' ) ),
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Linked to detail page',
					'param_name' => 'linked',
					'value'      => array(
						'Yes'  => 'yes',
						'None' => 'none'
					),
					'dependency' => array( 'element' => 'style', 'value_not_equal_to' => array( 'category_list' ) ),
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Action on click on image',
					'param_name' => 'image_link',
					'value'      => array(
						'None'   => 'none',
						'Linked' => 'linked',
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'masonry' ) ),
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Open link in a new tab?',
					'param_name' => 'blank',
					'value'      => array(
						'None' => 'none',
						'Yes'  => 'yes'
					),
					'dependency' => array( 'element' => 'style', 'value_not_equal_to' => array( 'category_list' ) ),
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array(
						'element' => 'style',
						'value'   => array( 'parallax_showcase' )
					)
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_cs_portfolio_list extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			extract( shortcode_atts( array(
				'style'               => 'parallax_showcase',
				'cats'                => '',
				'height_items'        => 'same',
				'image_original_size' => 'full',
				'linked'              => 'yes',
				'blank'               => 'none',
				'count'               => '',
				'orderby'             => '',
				'image_link'          => 'none',
				'order'               => 'date',
				'btn_style'           => 'a-btn-1'

			), $atts ) );

			$style        = isset( $style ) && ! empty( $style ) ? $style : 'parallax_showcase';
			$height_items = isset( $height_items ) && ! empty( $height_items ) ? $height_items : 'same';


			if ( ! in_array( "cs-justified", self::$js_scripts ) && $style == 'mix_masonry' ) {
				self::$js_scripts[] = "cs-justified";
			}
			if ( ! in_array( "cs-equalHeights", self::$js_scripts ) && $style == 'modern' ) {
				self::$js_scripts[] = "cs-equalHeights";
			}

			if ( ! in_array( "cs-three", self::$js_scripts ) && $style == 'distortion' ) {
				self::$js_scripts[] = "cs-three";
			}

			if ( ! in_array( "cs-distortion", self::$js_scripts ) && $style == 'distortion' ) {
				self::$js_scripts[] = "cs-distortion";
			}

			if ( ! in_array( "cs-portfolio-list", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-portfolio-list";
			}

			$this->enqueueJs();

			// include needed stylesheets
			if ( ! in_array( "cs-justified-css", self::$css_scripts ) && $style == 'mix_masonry' ) {
				self::$css_scripts[] = "cs-justified-css";
			}
			if ( ! in_array( "cs-portfolio-list-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs-portfolio-list-css";
			}
			$this->enqueueCss();


			// base args
			$args = array(
				'post_type'      => 'portfolio',
				'posts_per_page' => ( ! empty( $count ) && is_numeric( $count ) ) ? $count : 9,
				'paged'          => ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1
			);

			// Order posts
			if ( null !== $orderby ) {
				$args['orderby'] = $orderby;
			}
			$args['order'] = $order;

			include ABSPATH . 'wp-content/plugins/reflector-plugins/lib/aq_resizer.php';

			// category
			if ( ! empty( $cats ) ) {

				$term_array = explode( ',', $cats );
				$cats       = array();

				foreach ( $term_array as $term_slug ) {
					$term_info = get_term_by( 'slug', $term_slug, 'portfolio-category' );
					$cats[]    = $term_info->term_id;
				}

				$cats              = implode( ',', $cats );
				$args['tax_query'] = array(
					array(
						'taxonomy' => 'portfolio-category',
						'field'    => 'term_id',
						'terms'    => explode( ',', $cats ),
					)
				);
			}

			$counter = 0;

			$posts = new WP_Query( $args );

			$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

			ob_start();


			if ( $style == 'parallax_showcase' ) { ?>
                <div class="parallax-showcase-wrapper">
					<?php if ( $posts->have_posts() ) {
						while ( $posts->have_posts() ) :
							$posts->the_post();

							$portfolio_meta = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );

							$link = get_the_permalink();

							if ( $linked == 'none' && isset( $portfolio_meta['ext_link'] ) && ! empty( $portfolio_meta['ext_link'] ) ) {
								$link = $portfolio_meta['ext_link'];
							}

							if ( $blank == 'none' ) {
								$target = '_self';
							} elseif ( $blank == 'yes' ) {
								$target = '_blank';
							}

							if ( ! get_post_thumbnail_id( $posts->ID ) ) {
								$images    = explode( ',', $portfolio_meta['slider'] );
								$url       = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_src( $images[0], $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$image_alt = get_post_meta( $images[0], '_wp_attachment_image_alt', true );
							} else {
								$image_id  = get_post_thumbnail_id( $posts->ID );
								$image     = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
							}

							$parallaxClass = ( $counter % 2 == 0 ) ? '' : 'parallax-window';
							$parallaxAttr  = ( $counter % 2 == 0 ) ? '' : 'data-parallax="scroll" data-position-Y="top"
                                            data-image-src="' . esc_url( $url_main ) . '" data-bleed="500" data-overScrollFix="true" data-ios-disabled="false" data-android-disabled="false"'; ?>

                            <div class="parallax-showcase-item <?php echo esc_attr( $parallaxClass ); ?>" <?php echo $parallaxAttr; ?>>
								<?php if ( $counter % 2 == 0 ) { ?>
                                    <img src="<?php echo esc_url( $url_main ); ?>"
                                         alt="<?php echo esc_attr( $image_alt ); ?>" class="s-img-switch">
								<?php } ?>
                                <div class="parallax-showcase-content">
                                    <a href="<?php echo esc_url( $link ); ?>" class="title"
                                       target="<?php echo esc_attr( $target ); ?>">
                                        <span class="main-line">
                                            <?php the_title(); ?>
                                            <span class="line-box"></span>
                                        </span>
                                    </a>
                                    <div class="desc">
										<?php echo get_the_excerpt(); ?>
                                    </div>

                                    <div class="btn-wrapper">
                                        <a href="<?php echo esc_url( $link ); ?>"
                                           class="<?php echo esc_attr( $btn_style ); ?>">
											<?php esc_html_e( 'See more', 'reflector' ); ?>
                                        </a>
                                    </div>
                                </div>
                            </div>
							<?php
							$counter ++;
						endwhile;
					} ?>
                </div>
			<?php }

			if ( $style == 'mix_masonry' ) { ?>
                <div class="portfolio-wrap mix-masonry <?php echo esc_attr( $height_items ); ?>">
					<?php if ( $posts->have_posts() ) {
						while ( $posts->have_posts() ) :
							$posts->the_post();

							$portfolio_meta = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );

							$link = get_the_permalink();

							if ( $linked == 'none' && isset( $portfolio_meta['ext_link'] ) && ! empty( $portfolio_meta['ext_link'] ) ) {
								$link = $portfolio_meta['ext_link'];
							}

							if ( $blank == 'none' ) {
								$target = '_self';
							} elseif ( $blank == 'yes' ) {
								$target = '_blank';
							}

							if ( ! get_post_thumbnail_id( $posts->ID ) ) {
								$images    = explode( ',', $portfolio_meta['slider'] );
								$url       = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_src( $images[0], $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$image_alt = get_post_meta( $images[0], '_wp_attachment_image_alt', true );
							} else {
								$image_id  = get_post_thumbnail_id( $posts->ID );
								$image     = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
							} ?>

                            <a href="<?php echo esc_url( $link ); ?>" class="item"
                               target="<?php echo esc_attr( $target ); ?>">
                                <span>
                                    <img src="<?php echo esc_url( $url_main ); ?>"
                                         alt="<?php echo esc_attr( $image_alt ); ?>" class="main-img">
                                </span>
                                <div class="title"><?php the_title(); ?></div>
                            </a>
						<?php

						endwhile;
					} ?>
                </div>
			<?php }

			if ( $style == 'masonry' ) { ?>
                <div class="masonry-animated">
					<?php if ( $posts->have_posts() ) {

						while ( $posts->have_posts() ) :
							$posts->the_post();

							$portfolio_meta = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );


							$categories = get_the_terms( $posts->ID, 'portfolio-category' );
							$categories = ! empty( $categories ) ? $categories : '';
							$category   = array();
							if ( ! empty( $categories ) ) {
								foreach ( $categories as $item ) {
									$category[] = $item->name;
								}
							}

							$link = get_the_permalink();

							if ( $linked == 'none' && ! empty( $portfolio_meta['ext_link'] ) ) {
								$link = $portfolio_meta['ext_link'];
							}

							if ( $blank == 'none' ) {
								$target = '_self';
							} elseif ( $blank == 'yes' ) {
								$target = '_blank';
							}

							if ( ! get_post_thumbnail_id( $posts->ID ) && isset( $portfolio_meta['slider'] ) && ! empty( $portfolio_meta['slider'] ) ) {
								$images   = explode( ',', $portfolio_meta['slider'] );
								$url      = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_src( $images[0], $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$alt      = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? get_post_meta( $images[0], '_wp_attachment_image_alt', true ) : '';
							} else {
								$image_id = get_post_thumbnail_id( $posts->ID );
								$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$alt      = ( ! empty( $image_id ) && is_numeric( $image_id ) ) ? get_post_meta( $image_id, '_wp_attachment_image_alt', true ) : '';
							} ?>

                            <div class="masonry-animated-item">
                                <div class="wrapper">
									<?php if ( isset( $category[0] ) && ! empty( $category[0] ) ) { ?>
                                        <div class="category">
											<?php echo esc_html( $category[0] ); ?>
                                        </div>
									<?php } ?>
                                    <div class="img-wrap">
                                        <?php if ( ! empty( $url_main ) ) {

	                                        if(isset($image_link) && $image_link == 'linked'){ ?>
                                                <a href="<?php echo esc_attr($link); ?>" target="<?php echo esc_attr( $target ); ?>">
	                                        <?php }  ?>

                                                <img src="<?php echo esc_url( $url_main ); ?>"
                                                     alt="<?php echo esc_attr( $alt ); ?>">

										<?php if(isset($image_link) && $image_link == 'linked'){ ?>
                                            </a>
                                        <?php }

                                        } ?>
                                    </div>
                                </div>
                                <div class="content">
                                    <a href="<?php echo esc_url( $link ); ?>" class="title"
                                       target="<?php echo esc_attr( $target ); ?>"><?php the_title(); ?></a>
                                </div>
                            </div>
							<?php
							$counter ++;
						endwhile;
					} ?>
                </div>
			<?php }

			if ( $style == 'modern' ) { ?>
                <div class="modern-animated">
					<?php if ( $posts->have_posts() ) {

						while ( $posts->have_posts() ) :
							$posts->the_post();

							$portfolio_meta = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );

							$categories = get_the_terms( $posts->ID, 'portfolio-category' );
							$categories = ! empty( $categories ) ? $categories : '';
							$category   = array();
							if ( ! empty( $categories ) ) {
								foreach ( $categories as $item ) {
									$category[] = $item->name;
								}
							}

							$link = get_the_permalink();

							if ( $linked == 'none' && ! empty( $portfolio_meta['ext_link'] ) ) {
								$link = $portfolio_meta['ext_link'];
							}

							if ( $blank == 'none' ) {
								$target = '_self';
							} elseif ( $blank == 'yes' ) {
								$target = '_blank';
							}

							if ( ! get_post_thumbnail_id( $posts->ID ) && isset( $portfolio_meta['slider'] ) && ! empty( $portfolio_meta['slider'] ) ) {
								$images   = explode( ',', $portfolio_meta['slider'] );
								$url      = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_src( $images[0], $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$alt      = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? get_post_meta( $images[0], '_wp_attachment_image_alt', true ) : '';
							} else {
								$image_id = get_post_thumbnail_id( $posts->ID );
								$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, $image_original_size ) : '';
								$url_main = ( ! empty( $image[0] ) ) ? $image[0] : ''; 
								$alt      = ( ! empty( $image_id ) && is_numeric( $image_id ) ) ? get_post_meta( $image_id, '_wp_attachment_image_alt', true ) : '';
							}

							$itemClass = ( $counter % 2 == 0 ) ? 'even' : '';

							$url_main = ( $counter % 2 == 0 ) ? aq_resize( $url_main, 900, 600, true, true, true ) : aq_resize( $url_main, 600, 900, true, true, true ); ?>

                            <div class="modern-animated-item <?php echo esc_attr( $itemClass ); ?>">
                                <div class="wrapper">
                                    <div class="img-wrap">
										<?php if ( ! empty( $url_main ) ) { ?>
                                            <img src="<?php echo esc_url( $url_main ); ?>"
                                                 alt="<?php echo esc_attr( $alt ); ?>">
										<?php } ?>
                                    </div>

                                    <div class="content">
                                        <a href="<?php echo esc_url( $link ); ?>" class="title"
                                           target="<?php echo esc_attr( $target ); ?>">
											<?php the_title(); ?>
                                        </a>
										<?php if ( isset( $category[0] ) && ! empty( $category[0] ) ) { ?>
                                            <div class="category">
												<?php echo esc_html( $category[0] ); ?>
                                            </div>
										<?php } ?>
                                    </div>
                                </div>
                            </div>

							<?php
							$counter ++;
						endwhile;
					} ?>
                </div>
			<?php }

			if ( $style == 'distortion' ) { ?>
                <div class="distortion">
					<?php if ( $posts->have_posts() ) {

						$counter_img = 1;

						while ( $posts->have_posts() ) :
							$posts->the_post();

							$portfolio_category_items = '';
							$categories               = get_the_terms( get_the_ID(), 'portfolio-category' );
							if ( $categories ) {
								foreach ( $categories as $categorsy ) {

									$portfolio_category_items .= '<span>' . trim( $categorsy->name ) . '</span>';
								}
							}

							$class = ( $counter % 2 == 0 ) ? 'reverse' : '';

							$portfolio_meta = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );


							$link = get_the_permalink();

							if ( $linked == 'none' && ! empty( $portfolio_meta['ext_link'] ) ) {
								$link = $portfolio_meta['ext_link'];
							}

							if ( $blank == 'none' ) {
								$target = '_self';
							} elseif ( $blank == 'yes' ) {
								$target = '_blank';
							}

							$attr_animation = '';

							if ( $counter_img === 1 ) {
								$attr_animation = 'data-intensity="-0.4" data-speedIn="0.7" data-speedOut="0.3" data-easing="Sine.easeOut"';
							} elseif ( $counter_img === 2 ) {
								$attr_animation = 'data-intensity="0.6" data-speedIn="1" data-speedOut="1"';
							} elseif ( $counter_img === 3 ) {
								$attr_animation = 'data-intensity="0.2" data-speedIn="1.6" data-speedOut="1.6"';
							} elseif ( $counter_img === 4 ) {
								$attr_animation = 'data-intensity="0.6" data-speedIn="1.2" data-speedOut="0.5"';
							} elseif ( $counter_img === 5 ) {
								$attr_animation = 'data-intensity="0.9" data-speedIn="0.8" data-speedOut="0.4" data-easing="Circ.easeOut"';
							} elseif ( $counter_img === 6 ) {
								$attr_animation = 'data-intensity="-0.8"';
							} elseif ( $counter_img === 7 ) {
								$attr_animation = 'data-intensity="0.7" data-speedIn="1" data-speedOut="0.5" data-easing="Power2.easeOut"';
							} elseif ( $counter_img === 8 ) {
								$attr_animation = 'data-intensity="0.4" data-speedIn="1" data-speedOut="1"';
							} elseif ( $counter_img === 9 ) {
								$attr_animation = 'data-intensity="0.2"';
							} elseif ( $counter_img === 10 ) {
								$attr_animation = 'data-intensity="0.6" data-speedIn="1" data-speedOut="1"';
							} elseif ( $counter_img === 11 ) {
								$attr_animation = 'data-intensity="-0.1" data-speedIn="0.4" data-speedOut="0.4" data-easing="power2.easeInOut"';
							}

							?>
                            <div class="distortion__item <?php echo $class; ?>">
                                <div class="distortion__img-wrap">
									<?php if ( isset( $portfolio_meta['slider'] ) && ! empty( $portfolio_meta['slider'] ) ) {
										$images = explode( ',', $portfolio_meta['slider'] ); ?>

                                        <div class="distortion__imgs"
                                             data-displacement="<?php echo EF_URL . '/shortcodes/assets/images/displacement/' . esc_attr( $counter_img ) . '.jpg'; ?>" <?php echo $attr_animation; ?>>
											<?php if ( count( $images ) > 1 ) {
												$img_url_1 = wp_get_attachment_image_src( $images[0], $image_original_size );
												$img_url_2 = wp_get_attachment_image_src( $images[1], $image_original_size );
											} elseif ( get_post_thumbnail_id( $posts->ID ) ) {
												$image_id  = get_post_thumbnail_id( $posts->ID );
												$img_url_1 = $img_url_2 = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, $image_original_size ) : '';
											} else {
												$img_url_1 = $img_url_2 = '';
											}

											if ( ! empty( $img_url_1 ) ) {
												$img_url_1 = aq_resize( $img_url_1[0], 1000, 1000, true, true, true );
												$img_url_2 = aq_resize( $img_url_2[0], 1000, 1000, true, true, true ); ?>
                                                <img src="<?php echo esc_url( $img_url_1 ); ?>" alt="">
                                                <img src="<?php echo esc_url( $img_url_2 ); ?>" alt="">
											<?php } ?>
                                        </div>

									<?php } ?>

                                </div>
                                <div class="distortion__text-wrap">
                                    <div class="distortion__content">
                                        <div class="distortion__nav">
											<?php echo $portfolio_category_items; ?>
                                        </div>
										<?php the_title( '<h2 class="distortion__title">', '</h2>' ); ?>
										<?php

										$get_the_excerpt = get_the_excerpt();

										if ( ! empty( $get_the_excerpt ) ) { ?>
                                            <div class="distortion__text">
												<?php echo get_the_excerpt(); ?>
                                            </div>
										<?php } ?>
                                        <div class="distortion__link"><a href="<?php echo esc_url( $link ); ?>"
                                                                         class="a-btn-1"
                                                                         target="<?php echo esc_attr( $target ); ?>">Read
                                                More</a></div>
                                    </div>
                                </div>
                            </div>
							<?php
							$counter_img = $counter_img == 11 ? 1 : $counter_img + 1;
							$counter ++;
						endwhile;
					} ?>
                </div>
			<?php }

			if ( $style == 'category_list' && ! empty( $cats ) ) { ?>

                <div class="portfolio-cat-list-wrap">

					<?php $categories = explode( ',', $cats );

					foreach ( $categories as $category ) { ?>

                        <div class="category-item">
							<?php $term  = get_term( $category, 'portfolio-category' );
							$term_data   = get_term_meta( $category, 'portfolio_cat_options', true );
							$name        = $term->name;
							$link        = get_term_link( $term->slug, 'portfolio-category' );
							$cat_img     = ! empty( $term_data ) ? wp_get_attachment_image_url( $term_data['cat_img'], 'full' ) : '';
							$cat_img_alt = ! empty( $cat_img ) ? get_post_meta( $term_data['cat_img'], '_wp_attachment_image_alt', true ) : '';

							if ( ! empty( $cat_img ) ) { ?>
                                <a href="<?php echo esc_url( $link ); ?>" class="image-wrap">
									<?php echo reflector_the_lazy_load_flter( $cat_img, array(
										'class' => 'image',
										'alt'   => $cat_img_alt,
									) ); ?>
                                </a>
							<?php } ?>
                            <a href="<?php echo esc_url( $link ); ?>" class="title">
								<?php echo esc_html( $name ); ?>
                            </a>
                        </div>

					<?php } ?>
                </div>

			<?php }

			wp_reset_postdata();

			return ob_get_clean();
		}
	}
}