<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/';
	vc_map(
		array(
			'name'     => __( 'Portfolio Sliders', 'js_composer' ),
			'base'     => 'cs_portfolio_sliders',
			'category' => __( 'Content', 'js_composer' ),
			'params'   => array(
				array(
					'type'       => 'select_preview',
					'param_name' => 'style',
					'heading'    => esc_html__( 'Style', 'js_composer' ),
					'value'      => array(
						array(
							'label' => esc_html__( 'Progress Slider', 'js_composer' ),
							'value' => 'progress_slider',
							'image' => $url . 'progress_slider.jpg'
						),
						array(
							'label' => esc_html__( 'Vertical slider', 'js_composer' ),
							'value' => 'vertical_slider',
							'image' => $url . 'vertical_slider.jpg'
						),
						array(
							'label' => esc_html__( 'Horizontall Scroll Slider', 'js_composer' ),
							'value' => 'horizontal',
							'image' => $url . 'horizontal.jpg'
						),
						array(
							'label' => esc_html__( 'Full Showcase slider', 'js_composer' ),
							'value' => 'full_showcase_slider',
							'image' => $url . 'full_showcase_slider.jpg'
						),
						array(
							'label' => esc_html__( 'Diagonal Slideshow', 'js_composer' ),
							'value' => 'diagonal',
							'image' => $url . 'diagonal.jpg'
						),
						array(
							'label' => esc_html__( 'Centered Swiper', 'js_composer' ),
							'value' => 'album_swiper',
							'image' => $url . 'album_swiper.jpg'
						),
						array(
							'label' => esc_html__( 'Urban Slider', 'js_composer' ),
							'value' => 'urban_slider',
							'image' => $url . 'urban_slider.jpg'
						),
						array(
							'value' => 'interactive',
							'label' => esc_html__( 'Interactive Links', 'js_composer' ),
							'image' => $url . 'interactive.jpg'
						),
						array(
							'label' => esc_html__( 'Slider Classic', 'js_composer' ),
							'value' => 'slider_classic',
							'image' => $url . 'slider_classic.jpg'
						),
					),
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array( 'element' => 'style', 'value' => array( 'horizontal', 'album_swiper' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Description', 'js_composer' ),
					'param_name' => 'descr',
					'dependency' => array( 'element' => 'style', 'value' => array( 'album_swiper' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Count items', 'js_composer' ),
					'param_name' => 'count',
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Image original size',
					'param_name' => 'image_original_size',
					'value'      => array_merge( array( 'full' ), get_intermediate_image_sizes() )
				),
				array(
					'type'        => 'vc_efa_chosen',
					'heading'     => __( 'Select Categories', 'js_composer' ),
					'param_name'  => 'cats',
					'placeholder' => __( 'Select category', 'js_composer' ),
					'value'       => reflector_element_values( 'categories', array(
						'sort_order' => 'ASC',
						'taxonomy'   => 'portfolio-category',
						'hide_empty' => false,
					) ),
					'std'         => '',
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Order by', 'js_composer' ),
					'param_name'  => 'orderby',
					'value'       => array(
						'',
						__( 'Date', 'js_composer' )          => 'date',
						__( 'ID', 'js_composer' )            => 'ID',
						__( 'Author', 'js_composer' )        => 'author',
						__( 'Title', 'js_composer' )         => 'title',
						__( 'Modified', 'js_composer' )      => 'modified',
						__( 'Random', 'js_composer' )        => 'rand',
						__( 'Comment count', 'js_composer' ) => 'comment_count'
					),
					'description' => sprintf( __( 'Select how to sort retrieved posts. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Sort order', 'js_composer' ),
					'param_name'  => 'order',
					'value'       => array(
						__( 'Descending', 'js_composer' ) => 'DESC',
						__( 'Ascending', 'js_composer' )  => 'ASC',
					),
					'description' => sprintf( __( 'Select ascending or descending order. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable autoplay?', 'js_composer' ),
					'param_name' => 'check_autoplay',
					'std'        => '',
					'dependency' => array(
						'element' => 'style',
						'value'   => array(
							'urban_slider',
						)
					)
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay speed (milliseconds)', 'js_composer' ),
					'description' => __( 'Autoplay speed Animation. Default 5000 milliseconds', 'js_composer' ),
					'param_name'  => 'autoplay',
					'value'       => '5000',
					'dependency'  => array(
						'element' => 'style',
						'value'   => array(
							'vertical_slider',
							'horizontal',
							'full_showcase_slider',
							'album_swiper',
                            'slider_classic'
						)
					)
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Speed (milliseconds)', 'js_composer' ),
					'description' => __( 'Speed Animation. Default 1500 milliseconds', 'js_composer' ),
					'param_name'  => 'speed',
					'value'       => '1500',
					'dependency'  => array( 'element' => 'style', 'value_not_equal_to'   => array( 'diagonal','interactive' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Count slides', 'js_composer' ),
					'param_name'  => 'slides',
					'description' => __( 'Only numbers. Minimum 2.', 'js_composer' ),
					'dependency'  => array(
						'element' => 'style',
						'value'   => array( 'full_showcase_slider', 'album_swiper' )
					)
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Linked to detail page',
					'param_name' => 'linked',
					'value'      => array(
						'Yes'  => 'yes',
						'None' => 'none'
					)
				),
				array(
					'type'       => 'dropdown',
					'heading'    => 'Open link in a new tab?',
					'param_name' => 'blank',
					'value'      => array(
						'None' => 'none',
						'Yes'  => 'yes'
					),
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_cs_portfolio_sliders extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			extract( shortcode_atts( array(
				'style'               => 'progress_slider',
				'title'               => '',
				'count'               => '',
				'check_autoplay'               => '',
				'image_original_size' => 'full',
				'descr'                => '',
				'cats'                => '',
				'orderby'             => '',
				'slides'               => '3',
				'order'               => 'date',
				'speed'               => '1500',
				'autoplay'            => '5000',
				'linked'              => 'yes',
				'blank'               => 'none',
				'btn_style'           => 'a-btn-1',


			), $atts ) );

			if ( $style == 'horizontal' && ! in_array( "cs-typed", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs-typed";
			}

			if ( ! in_array( "cs-slick", self::$js_scripts ) && $style == 'urban_slider') {
				self::$js_scripts[] = "cs-slick";
			}

			if ( ! in_array( "cs-tweenmax", self::$js_scripts ) && $style == 'diagonal') {
				self::$js_scripts[] = "cs-tweenmax";
			}

			if ( ! in_array( "cs-diagonal", self::$js_scripts ) && $style == 'diagonal') {
				self::$js_scripts[] = "cs-diagonal";
			}

			if ( ! in_array( "cs_portfolio_sliders", self::$js_scripts ) && $style != 'diagonal') {
				self::$js_scripts[] = "cs_portfolio_sliders";
			}

			$this->enqueueJs();


			if ( ! in_array( "cs_slick-css", self::$css_scripts ) && $style == 'urban_slider' ) {
				self::$css_scripts[] = "cs_slick-css";
			}
			if ( ! in_array( "cs_portfolio_sliders-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_portfolio_sliders-css";
			}
			$this->enqueueCss();

			$slides = isset( $slides ) && ! empty( $slides ) && is_numeric( $slides ) && $slides >= 2 ? $slides : 3;
			$style               = isset( $style ) && ! empty( $style ) ? $style : 'progress_slider';
			$speed               = isset( $speed ) && ! empty( $speed ) && is_numeric( $speed ) ? $speed : '1500';
			$autoplay            = is_numeric( $autoplay ) ? $autoplay : '5000';
			$image_original_size = isset( $image_original_size ) && ! empty( $image_original_size ) ? $image_original_size : 'full';


			// base args
			$args = array(
				'post_type'      => 'portfolio',
				'posts_per_page' => ( ! empty( $count ) && is_numeric( $count ) ) ? $count : 9,
				'paged'          => ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1
			);

			// Order posts
			if ( null !== $orderby ) {
				$args['orderby'] = $orderby;
			}
			$args['order'] = $order;

			// category
			if ( ! empty( $cats ) ) {
				$term_slugs        = explode( ',', $cats );
				$args['tax_query'] = array(
					array(
						'taxonomy' => 'portfolio-category',
						'field'    => 'slug',
						'terms'    => $term_slugs,
					)
				);
			}

			wp_localize_script(
				'reflector_main-js',
				'portfolio_filter_load',
				array(
					'ajaxurl' => admin_url( 'admin-ajax.php' ),
				)
			);


			ob_start();

			$random        = substr( md5( rand() ), 0, 7 );
			$categoriesAll = array();
			$titlesAll     = array();
			$targetsAll    = array();
			$linksAll      = array();

			$posts = new WP_Query( $args );

			if ( $posts->have_posts() ) { ?>

                <div class="portfolio-slider-wrap <?php echo esc_attr( $style ); ?>">
					<?php
					if ( $style == 'progress_slider' ) { ?>
                        <div class="swiper-container"
                             data-md-space="40" data-sm-space="40" data-xs-space="15" data-space="80" data-autoplay="0"
                             data-responsive="1"
                             data-loop="1" data-speed="<?php echo esc_attr( $speed ); ?>" data-center="0"
                             data-slidesPerView="auto" data-add-slides="auto"
                             data-pagination-type="progressbar" data-height="1">
                            <div class="swiper-wrapper">

								<?php
								while ( $posts->have_posts() ) :
									$posts->the_post();
									$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );

									$categories = get_the_terms( $posts->ID, 'portfolio-category' );

									$categories = ! empty( $categories ) ? $categories : '';
									$category   = array();
									if ( ! empty( $categories ) ) {
										foreach ( $categories as $item ) {
											$category[] = $item->name;
										}
										$category = implode( ", ", $category );
									} else {
										$category = '';
									}

									$link   = get_the_permalink();
									$target = '_self';

									if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
										$link   = $meta_data['ext_link'];
										$target = '_blank';
									}

									if ( $blank == 'none' ) {
										$target = '_self';
									} elseif ( $blank == 'yes' ) {
										$target = '_blank';
									} ?>

                                    <div class="swiper-slide">
                                        <div class="slide-image">
											<?php if ( ! get_post_thumbnail_id( $posts->ID ) && isset( $meta_data['slider'] ) && ! empty( $meta_data['slider'] ) ) {
												$images = explode( ',', $meta_data['slider'] );
												$url    = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_url( $images[0], $image_original_size ) : '';
												$alt    = get_post_meta( $images[0], '_wp_attachment_image_alt', true ); ?>
                                                <img src="<?php echo esc_url( $url ); ?>"
                                                     alt="<?php echo esc_attr( $alt ); ?>">
											<?php } else {
												$image_id = get_post_thumbnail_id( $posts->ID );
												$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : '';
												$alt      = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>
                                                <img src="<?php echo esc_url( $image ); ?>"
                                                     alt="<?php echo esc_attr( $alt ); ?>">
											<?php } ?>
                                            <div class="content-wrap">
                                                <a href="<?php echo esc_url( $link ); ?>"
                                                   target="<?php echo esc_attr( $target ); ?>"
                                                   class="title"><?php echo esc_html( get_the_title() ); ?></a>
												<?php if ( ! empty( $category ) ) { ?>
                                                    <span class="category"><?php echo wp_kses_post( $category ); ?></span>
												<?php } ?>
                                            </div>
                                        </div>
                                    </div>


								<?php
								endwhile;
								wp_reset_postdata(); ?>

                            </div>
                            <div class="swiper-pagination"></div>
                            <div class="swiper-btn-wrap">
                                <div class="swiper-button-prev swiper-button"><i
                                            class="fas fa-long-arrow-alt-left"></i><?php echo esc_html__( 'Scroll', 'reflector' ); ?>
                                </div>
                                <div class="swiper-button-next swiper-button"><?php echo esc_html__( 'Scroll', 'reflector' ); ?>
                                    <i class="fas fa-long-arrow-alt-right"></i></div>
                            </div>
                        </div>
					<?php }

					if ( $style == 'vertical_slider' ) { ?>
                        <div class="outer-swiper-wrapper">
                            <div class="img-overlay"></div>
                            <div class="swiper-container-vert-slider"
                                 data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                                 data-speed="<?php echo esc_attr( $speed ); ?>" data-loop="1">
                                <div class="swiper-wrapper">
									<?php while ( $posts->have_posts() ) :
										$posts->the_post();
										$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
										$link      = get_the_permalink();
										$target    = '_self';

										if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
											$link   = $meta_data['ext_link'];
											$target = '_blank';
										}

										if ( $blank == 'none' ) {
											$target = '_self';
										} elseif ( $blank == 'yes' ) {
											$target = '_blank';
										}


										$image_id = get_post_thumbnail_id( $posts->ID );
										$alt      = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
										$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : ''; ?>
                                        <div class="swiper-slide">
											<?php if ( ! empty( $image ) ) {
												echo reflector_the_lazy_load_flter( $image, array(
													'class' => 's-img-switch',
													'alt'   => $alt
												) );
											} ?>
                                            <div class="wrap-cont">
                                                <div class="wrap-text">
                                                    <a href="<?php echo esc_url( $link ); ?>" class="title"
                                                       target="<?php echo esc_attr( $target ); ?>">
														<?php the_title(); ?>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
									<?php endwhile;


									wp_reset_postdata(); ?>
                                </div>
                                <!-- Add Arrows -->
                                <div class="swiper-button swiper-button-next"></div>
                                <div class="swiper-button swiper-button-prev"></div>
                            </div>
                        </div>
					<?php }

					if( $style == 'horizontal' ){

						if(!empty($title)){ ?>
                            <div class="main-title typed" data-words="<?php echo esc_attr( $title ); ?>"></div>
						<?php } ?>

                        <div class="swiper-horizontal-scroll"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                             data-speed="<?php echo esc_attr( $speed ); ?>" data-loop="0">
                            <div class="swiper-wrapper">

								<?php while ( $posts->have_posts() ) :
									$posts->the_post();
									$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
									$link   = get_the_permalink();
									$target = '_self';

									if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
										$link   = $meta_data['ext_link'];
										$target = '_blank';
									}

									if ( $blank == 'none' ) {
										$target = '_self';
									} elseif ( $blank == 'yes' ) {
										$target = '_blank';
									}

									$image_id = get_post_thumbnail_id( $posts->ID );
									$alt       = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
									$image_thumb    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : ''; ?>

                                    <div class="swiper-slide">

                                        <a href="<?php echo esc_url( $link ); ?>" class="img-wrap" target="<?php echo esc_attr( $target ); ?>">
                                            <span class="title"><?php the_title(); ?></span>
											<?php if ( ! empty( $image_thumb ) ) {
												echo reflector_the_lazy_load_flter( $image_thumb, array(
													'class' => 's-img-switch',
													'alt' => $alt
												) );
											} ?>
                                        </a>

                                    </div>
								<?php endwhile;

								wp_reset_postdata(); ?>
                            </div>
                        </div>
					<?php }

					if ( $style == 'full_showcase_slider') { ?>
                        <div class="swiper-container"
                             data-mouse="0" data-space="10" data-pagination-type="bullets"
                             data-mode="horizontal" data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                             data-loop="1" data-speed="<?php echo esc_attr( $speed ); ?>" data-center="0"
                             data-responsive="1" data-add-slides="<?php echo esc_attr( $slides ); ?>"
                             data-xs-slides="1" data-sm-slides="2" data-md-slides="2"
                             data-lg-slides="<?php echo esc_attr( $slides ); ?>">
                            <div class="swiper-wrapper">

								<?php while ( $posts->have_posts() ) :
									$posts->the_post();
									$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );


									$link   = get_the_permalink();
									$target = '_self';

									if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
										$link   = $meta_data['ext_link'];
										$target = '_blank';
									}

									if ( $blank == 'none' ) {
										$target = '_self';
									} elseif ( $blank == 'yes' ) {
										$target = '_blank';
									} ?>

                                    <div class="swiper-slide">
                                        <a href="<?php echo esc_url( $link ); ?>"
                                           class="slide-image full-height-window-hard-2 clearfix"
                                           target="<?php echo esc_attr( $target ); ?>">
											<?php if ( ! get_post_thumbnail_id( $posts->ID ) && isset($meta_data['slider']) && !empty($meta_data['slider'])) {
												$images    = explode( ',', $meta_data['slider'] ); ?>
                                                <span class="images-slider-wrapper clearfix">
                                                    <?php $url = ( ! empty( $images[0] ) && is_numeric( $images[0] ) ) ? wp_get_attachment_image_url( $images[0], $image_original_size ) : '';
                                                    $alt       = get_post_meta( $images[0], '_wp_attachment_image_alt', true ); ?>
                                                    <img src="<?php echo esc_url( $url ); ?>"
                                                         alt="<?php echo esc_attr( $alt ); ?>" class="s-img-switch">
                                                </span>
											<?php } else {
												$image_id = get_post_thumbnail_id( $posts->ID );
												$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : '';
												$alt      = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>
                                                <span class="images-slider-wrapper clearfix">
                                                    <img src="<?php echo esc_url( $image ); ?>"
                                                         alt="<?php echo esc_attr( $alt ); ?>" class="s-img-switch">
                                                </span>
											<?php } ?>

                                            <span class="slide-title"><?php echo get_the_title(); ?></span>

                                        </a>
                                    </div>

								<?php endwhile;
								wp_reset_postdata(); ?>

                            </div>
                        </div>
					<?php }

					if( $style == 'diagonal' ){ ?>

                        <div class="slideshow">
                            <div class="slideshow__deco"></div>
							<?php $diagonal_counter = 1;

							while ( $posts->have_posts() ) :
								$posts->the_post();

								$categories = get_the_terms( $posts->ID, 'portfolio-category' );

								$categories = ! empty( $categories ) ? $categories : '';
								$category   = '';
								if ( ! empty( $categories ) ) {
									$count = 1;

									foreach ( $categories as $item ) {
										if($count === 1){
											$category .= $item->name;
										}
										$count++;
									}
								}else{
									$category = '';
								}

								$link   = get_the_permalink();
								$target = '_self';

								if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
									$link   = $meta_data['ext_link'];
								}

								if ( $blank == 'none' ) {
									$target = '_self';
								} elseif ( $blank == 'yes' ) {
									$target = '_blank';
								}

								$image_id        = get_post_thumbnail_id( $posts->ID );
								$alt       = get_post_meta($image_id, '_wp_attachment_image_alt', true );
								$image           = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : ''; ?>

                                <div class="slide">
                                    <div class="slide__img-wrap">
                                        <div class="slide__img">
											<?php if(!empty($image)){
												echo reflector_the_lazy_load_flter( $image, array(
													'class' => 's-img-switch',
													'alt' => $alt
												) );
											} ?>
                                        </div>
                                    </div>

                                    <div class="slide__side"><?php echo $category; ?></div>
                                    <div class="slide__title-wrap">
                                        <span class="slide__number"><?php echo esc_html($diagonal_counter); ?></span>
                                        <a href="<?php echo esc_url($link); ?>" class="slide__title" target="<?php echo esc_attr($target); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </div>
                                </div>

								<?php $diagonal_counter++;

							endwhile;

							wp_reset_postdata(); ?>

                        </div>

					<?php }

                    if ( $style == 'album_swiper' ) { ?>
                        <div class="outer-album-swiper full-height-window-hard">
                            <div class="album-text-block">
								<?php if ( ! empty( $title ) ) { ?>
                                    <h3 class="album-text-title"><?php echo esc_html( $title ); ?></h3>
								<?php }
								if ( ! empty( $descr ) ) { ?>
                                    <p class="album-text-desc"><?php echo wp_kses_post( $descr ); ?></p>
								<?php } ?>
                            </div>
                            <div class="right-content">
								<?php if ( ! empty( $title ) ) { ?>
                                    <h3 class="album-text-title"><?php echo esc_html( $title ); ?></h3>
								<?php }
								if ( ! empty( $descr ) ) { ?>
                                    <p class="album-text-desc"><?php echo wp_kses_post( $descr ); ?></p>
								<?php } ?>
                            </div>
                            <div class="swiper-container swiper-album" data-mouse="1"
                                 data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-loop="0"
                                 data-speed="<?php echo esc_attr( $speed ); ?>" data-center="1" data-space="0"
                                 data-responsive="1" data-add-slides="<?php echo esc_attr( $slides ); ?>"
                                 data-lg-slides="<?php echo esc_attr( $slides ); ?>" data-xs-slides="1" data-noSwiping="true">
                                <div class="swiper-wrapper">

									<?php while ( $posts->have_posts() ) :
										$posts->the_post();
										$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
										$link      = get_the_permalink();

										if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
											$link   = $meta_data['ext_link'];
											$target = '_blank';
										}

										if ( $blank == 'none' ) {
											$target = '_self';
										} elseif ( $blank == 'yes' ) {
											$target = '_blank';
										} ?>


                                        <div class="swiper-slide">
                                            <a href="<?php echo esc_attr( $link ); ?>" class="link-album-slide full-height-window-hard" target="<?php echo esc_attr($target); ?>">
                                                <div class="img-wrap s-back-switch">

													<?php if ( get_post_thumbnail_id( $posts->ID ) ) {
														$image_id = get_post_thumbnail_id( $posts->ID );
														$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : '';
														$alt      = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>
                                                        <img src="<?php echo esc_url( $image ); ?>"
                                                             alt="<?php echo esc_attr( $alt ); ?>"
                                                             class="s-img-switch">
													<?php } ?>
                                                </div>

                                                <div class="title-wrap">
													<?php the_title( '<h3 class="title">', '</h3>' ); ?>
                                                </div>
                                            </a>
                                        </div>
									<?php endwhile;
									wp_reset_postdata(); ?>

                                </div>
                            </div>
                        </div>

					<?php }

					if ( $style == 'urban_slider' ) { ?>
                        <div class="gallery-top" id="<?php echo esc_attr( $random ); ?>"
                             data-id="thumb<?php echo esc_attr( $random ); ?>"
                             data-autoplay="<?php echo esc_attr( $check_autoplay ); ?>"
                             data-autoplayspeed="<?php echo esc_attr( $autoplay ); ?>"
                             data-speed="<?php echo esc_attr( $speed ); ?>">

							<?php while ( $posts->have_posts() ) :
								$posts->the_post();

								$categories = get_the_terms( $posts->ID, 'portfolio-category' );

								$categories = ! empty( $categories ) ? $categories : '';
								$category   = array();
								if ( ! empty( $categories ) ) {
									foreach ( $categories as $item ) {
										$category[] = $item->name;
									}
									$category = implode( ", ", $category );
								}

								$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
								$link   = get_the_permalink();
								$target = '_self';

								if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
									$link   = $meta_data['ext_link'];
								}

								if ( $blank == 'none' ) {
									$target = '_self';
								} elseif ( $blank == 'yes' ) {
									$target = '_blank';
								}

								$categoriesAll[] = $category;
								$titlesAll[]     = get_the_title();
								$targetsAll[]    = $target;
								$linksAll[]      = $link;
								$image_id        = get_post_thumbnail_id( $posts->ID );
								$alt       = get_post_meta($image_id, '_wp_attachment_image_alt', true );
								$image           = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : ''; ?>

                                <div class="gallery-top-slide">
									<?php echo reflector_the_lazy_load_flter( $image, array(
										'class' => 's-img-switch',
										'alt' => $alt
									) ); ?>
                                </div>

							<?php endwhile;


							wp_reset_postdata(); ?>

                        </div>

                        <div class="gallery-thumb" id="thumb<?php echo esc_attr( $random ); ?>"
                             data-id="<?php echo esc_attr( $random ); ?>"
                             data-autoplay="<?php echo esc_attr( $check_autoplay ); ?>"
                             data-autoplayspeed="<?php echo esc_attr( $autoplay ); ?>"
                             data-speed="<?php echo esc_attr( $speed ); ?>">
							<?php
							$counter = 0;

							foreach ( $targetsAll as $target ) { ?>
                                <div class="gallery-thumb-slide">
                                <span class="pagination-bullet">
                                    <a href="<?php echo esc_url( $linksAll[ $counter ] ); ?>"
                                       target="<?php echo esc_attr( $target ); ?>"
                                       class="pagination-title"><?php echo esc_html( $titlesAll[ $counter ] ); ?></a>
                                     <i class="pagination-category"><?php echo esc_html( $categoriesAll[ $counter ] ); ?></i>
                                </span>
                                </div>
								<?php
								$counter ++;
							} ?>
                        </div>
					<?php }

                    if ( $style == 'interactive' ) { ?>
                        <div class="interactive-slider tabs">
                            <div class="tabs-header">
                                <div class="container">
                                    <ul>
										<?php
										$imageItems = '';
										$key = 0;
										while ( $posts->have_posts() ) :
											$posts->the_post();
											$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
											$link      = get_the_permalink();
											$target    = '_self';

											if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
												$link   = $meta_data['ext_link'];
												$target = '_blank';
											}

											if ( $blank == 'none' ) {
												$target = '_self';
											} elseif ( $blank == 'yes' ) {
												$target = '_blank';
											}

											$title        = get_the_title();

											$active = ( $key === 0 ) ? 'active' : ''; ?>

                                            <li class="<?php echo esc_attr( $active ); ?>">
                                                <a href="<?php echo esc_url( $link ); ?>"
                                                   target="<?php echo esc_attr( $target ); ?>">
                                                    <div><?php echo esc_html( $title ); ?></div>
                                                </a>
                                            </li>

											<?php $image_id = get_post_thumbnail_id( $posts->ID );
											if ( ! empty( $image_id ) && is_numeric( $image_id ) ) {
												$imageItem = wp_get_attachment_image_url( $image_id, $image_original_size );
											} else {
												$imageItem = '';
											}

											$image_html = ! empty( $imageItem ) ? '<img src="' . esc_url( $imageItem ) . '" alt="" class="s-img-switch">' : '';

											$imageItems .= '<div class="tabs-item ' . esc_attr( $active ) . '">' . $image_html . '</div>';

											$key ++;

										endwhile;
										wp_reset_postdata(); ?>

                                    </ul>
                                </div>
                            </div>
                            <div class="tabs-content full-window-hard">
								<?php echo $imageItems; ?>
                            </div>
                        </div>
					<?php }

					if ( $style == 'slider_classic' ) { ?>
                        <div class="swiper-container portfolio-slider-wrapper full-height-window slider_classic"
                             data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-loop="1"
                             data-speed="<?php echo esc_attr( $speed ); ?>" data-center="1" data-space="0"
                             data-responsive="1" data-add-slides="1" data-effect="fade"
                             data-lg-slides="1" data-xs-slides="1" data-noSwiping="true"
                             data-pagination-type="bullets">
                            <div class="swiper-wrapper full-height-window">

								<?php while ( $posts->have_posts() ) :
									$posts->the_post();
									$meta_data = get_post_meta( get_the_ID(), 'reflector_portfolio_options', true );
									$link   = get_the_permalink();
									$target = '_self';

									if ( $linked == 'none' && ! empty( $meta_data['ext_link'] ) ) {
										$link   = $meta_data['ext_link'];
										$target = '_blank';
										echo $link;
									}

									if ( $blank == 'none' ) {
										$target = '_self';
									} elseif ( $blank == 'yes' ) {
										$target = '_blank';
									}


									$image_id = get_post_thumbnail_id( $posts->ID );
									$alt       = get_post_meta($image_id, '_wp_attachment_image_alt', true );
									$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, $image_original_size ) : ''; ?>

                                    <div class="swiper-slide full-height-window">

                                        <div class="slider-wrap">

											<?php if ( ! empty( $image ) ) {
												echo reflector_the_lazy_load_flter( $image, array(
													'class' => 's-img-switch',
													'alt' => $alt
												) );
											} ?>

                                            <div class="content-wrap container">
                                                <a href="<?php echo esc_url( $link ); ?>"
                                                   class="portfolio-title"
                                                   target="<?php echo esc_attr( $target ); ?>">
													<?php the_title(); ?>
                                                </a>
                                            </div>
                                        </div>

                                    </div>

								<?php endwhile;

								wp_reset_postdata(); ?>

                            </div>
                            <div class="swiper-pagination"></div>
                        </div>
					<?php }

					?>

                </div>

			<?php }

			return ob_get_clean();
		}
	}
}