<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/pricelist/';
	vc_map(
		array(
			'name'        => __( 'PriceList', 'js_composer' ),
			'base'        => 'cs_pricelist',
			'category'    => __( 'Content', 'js_composer' ),
			'description' => __( 'Block with pricing and text', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
						array(
							'value' => 'modern',
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'image' => $url . 'modern.jpg'
						),
						array(
							'value' => 'creative',
							'label' => esc_html__( 'Creative', 'js_composer' ),
							'image' => $url . 'creative.jpg'
						),
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'value' => 'img_bg',
							'label' => esc_html__( 'With image on background', 'js_composer' ),
							'image' => $url . 'img_bg.jpg'
						),
						array(
							'value' => 'with_media',
							'label' => esc_html__( 'With media', 'js_composer' ),
							'image' => $url . 'with_media.jpg'
						),
						array(
							'value' => 'simple_list',
							'label' => esc_html__( 'Simple list', 'js_composer' ),
							'image' => $url . 'simple_list.jpg'
						),
						array(
							'value' => 'contact_form',
							'label' => esc_html__( 'Contact form (modern)', 'js_composer' ),
							'image' => $url . 'contact_form.jpg'
						),
						array(
							'value' => 'contact_form_simple',
							'label' => esc_html__( 'Contact form (simple)', 'js_composer' ),
							'image' => $url . 'contact_form_simple.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'contact_form', 'contact_form_simple' )
					)
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'dependency' => array( 'element' => 'style', 'value' => array( 'contact_form' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Send message to (your email)', 'js_composer' ),
					'param_name' => 'mail',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'contact_form', 'contact_form_simple' )
					)
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Placeholder for field message in form', 'js_composer' ),
					'param_name' => 'placeholder',
					'dependency' => array( 'element' => 'style', 'value' => array( 'contact_form' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style for form', 'js_composer' ),
					'description' => __( 'Please select button style', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array(
						'element' => 'style',
						'value'   => array( 'contact_form', 'contact_form_simple' )
					)
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Term link', 'js_composer' ),
					'description' => __( 'Please add your Term link', 'js_composer' ),
					'param_name'  => 'term',
					'dependency'  => array(
						'element' => 'style',
						'value'   => array( 'contact_form', 'contact_form_simple' )
					)
				),
				array(
					'type'       => 'checkbox',
					'heading'    => __( 'Enable light style?', 'js_composer' ),
					'param_name' => 'enable_light',
					'dependency' => array( 'element' => 'style', 'value' => array( 'contact_form' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Pricing items', 'js_composer' ),
					'param_name' => 'pricing_items',
					'value'      => '',
					'params'     => array(
						array(
							'type'        => 'attach_image',
							'description' => __( 'Please add your image', 'js_composer' ),
							'heading'     => __( 'Background image', 'js_composer' ),
							'param_name'  => 'bg_image',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Subtitle', 'js_composer' ),
							'param_name' => 'subtitle',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'List', 'js_composer' ),
							'param_name'  => 'list',
							'description' => __( 'Please, separate every list item by line "|". For ex: First item|Second item', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Сurrency', 'js_composer' ),
							'param_name'  => 'currency',
							'description' => __( 'Please, use the same currency for page', 'js_composer' ),
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Price', 'js_composer' ),
							'param_name' => 'price',
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic', 'modern', 'img_bg' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Pricing items', 'js_composer' ),
					'param_name' => 'items_creative',
					'value'      => '',
					'params'     => array(
						array(
							'type'        => 'attach_image',
							'description' => __( 'Please add your image', 'js_composer' ),
							'heading'     => __( 'Background image', 'js_composer' ),
							'param_name'  => 'bg_image',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Text', 'js_composer' ),
							'param_name' => 'text',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Subtitle', 'js_composer' ),
							'param_name' => 'subtitle',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'List', 'js_composer' ),
							'param_name'  => 'list',
							'description' => __( 'Please, separate every list item by line "|". For ex: First item|Second item', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Сurrency', 'js_composer' ),
							'param_name'  => 'currency',
							'description' => __( 'Please, use the same currency for page', 'js_composer' ),
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Price', 'js_composer' ),
							'param_name' => 'price',
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'creative', 'simple' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Pricing items', 'js_composer' ),
					'param_name' => 'items_with_media',
					'value'      => '',
					'params'     => array(
						array(
							'type'       => 'dropdown',
							'heading'    => __( 'Type of media', 'js_composer' ),
							'param_name' => 'type',
							'value'      => array(
								__( 'Image', 'js_composer' ) => 'image',
								__( 'Video', 'js_composer' ) => 'video',
							),
						),
						array(
							'type'        => 'attach_image',
							'description' => __( 'Please add your image', 'js_composer' ),
							'heading'     => __( 'Background image', 'js_composer' ),
							'param_name'  => 'bg_image',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Video URL', 'js_composer' ),
							'description' => __( 'Please add URL of video from YouTube', 'js_composer' ),
							'param_name'  => 'url',
							'dependency'  => array( 'element' => 'type', 'value' => array( 'video' ) )
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Сurrency', 'js_composer' ),
							'param_name'  => 'currency',
							'description' => __( 'Please, use the same currency for page', 'js_composer' ),
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Price', 'js_composer' ),
							'param_name' => 'price',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Subtitle', 'js_composer' ),
							'param_name' => 'subtitle',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'List', 'js_composer' ),
							'param_name'  => 'list',
							'description' => __( 'Please, separate every list item by line "|". For ex: First item|Second item', 'js_composer' ),
						),

					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'with_media' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Pricing items', 'js_composer' ),
					'param_name' => 'items_list',
					'value'      => '',
					'params'     => array(
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Сurrency', 'js_composer' ),
							'param_name'  => 'currency',
							'description' => __( 'Please, use the same currency for page', 'js_composer' ),
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Price', 'js_composer' ),
							'param_name' => 'price',
						),

					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'simple_list' ) )
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_pricelist extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'style'            => 'classic',
				'title'            => '',
				'subtitle'         => '',
				'mail'             => '',
				'term'             => '',
				'enable_light'     => '',
				'placeholder'      => '',
				'btn_style'        => 'a-btn-1',
				'pricing_items'    => array(),
				'items_list'       => array(),
				'items_creative'   => array(),
				'items_with_media' => array(),


			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_pricelist-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_pricelist-css";
			}
			$this->enqueueCss();

			if ( ! in_array( "cs_pricelist", self::$js_scripts ) ) {
				self::$js_scripts[] = "cs_pricelist";
			}
			$this->enqueueJs();

			$style        = isset( $style ) && ! empty( $style ) ? $style : 'classic';
			$enable_light = isset( $enable_light ) && ! empty( $enable_light ) ? 'enable_light' : '';
			$btn_style    = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'btn-style-1';
			$placeholder  = isset( $placeholder ) && ! empty( $placeholder ) ? $placeholder : esc_html__( 'List 3 things about you I should know', 'reflector' );
			$mail         = isset( $mail ) && ! empty( $mail ) ? $mail : '';


			ob_start(); ?>

            <div class="pricelist-wrap <?php echo esc_attr( $style . ' ' . $enable_light ); ?>">

				<?php if ( $style == 'classic' && ! empty( $pricing_items ) ) {

					$pricing_items = (array) vc_param_group_parse_atts( $pricing_items );
					$random        = substr( md5( rand() ), 0, 7 );

					foreach ( $pricing_items as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                        <div class="pricing-wrap">
                            <div class="wrap">
                                <div class="image-wrap">
                                    <div class="image">
										<?php if ( ! empty( $bg_image_url ) ) {
											echo reflector_the_lazy_load_flter( $bg_image_url, array(
												'class' => 's-img-switch',
												'alt'   => $bg_image_alt,
											) );
										} ?>
                                    </div>


									<?php if ( ! empty( $title ) ) { ?>
                                        <div class="title">
											<?php echo esc_html( $title ); ?>
                                        </div>
									<?php } ?>
                                </div>
								<?php if ( ! empty( $item['subtitle'] ) ) { ?>
                                    <div class="subtitle">
										<?php echo esc_html( $item['subtitle'] ); ?>
                                    </div>
								<?php }

								if ( ! empty( $item['list'] ) ) {
									$list = explode( '|', $item['list'] ); ?>
                                    <ul class="list-wrap">
										<?php foreach ( $list as $listitem ) { ?>
                                            <li><i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?></li>
										<?php } ?>
                                    </ul>
								<?php }

								if ( ! empty( $item['price'] ) ) { ?>

                                    <div class="price-wrap">
                                        <div class="price">
											<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
											<?php }
											echo esc_html( $item['price'] ); ?>
                                        </div>
                                        <div class="input-check-wrap">
                                            <input type="radio" name="<?php echo esc_attr( $random ); ?>classic"
                                                   value="<?php echo esc_attr( $item['price'] ); ?>"
                                                   class="pricelist-value"
                                                   data-price-title="<?php echo esc_attr( $title ); ?>"
                                                   data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                            <span></span>
                                        </div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
					<?php }
				}

				if ( $style == 'modern' && ! empty( $pricing_items ) ) {

					$pricing_items = (array) vc_param_group_parse_atts( $pricing_items );
					$random        = substr( md5( rand() ), 0, 7 );

					foreach ( $pricing_items as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                        <div class="pricing-wrap">
                            <div class="wrap">
                                <div class="image-wrap">
                                    <div class="image">
										<?php if ( ! empty( $bg_image_url ) ) {
											echo reflector_the_lazy_load_flter( $bg_image_url, array(
												'class' => 's-img-switch',
												'alt'   => $bg_image_alt,
											) );
										} ?>
                                    </div>

                                    <div class="wrap-top">
										<?php if ( ! empty( $title ) ) { ?>
                                            <div class="title">
												<?php echo esc_html( $title ); ?>
                                            </div>
										<?php }

										if ( ! empty( $item['subtitle'] ) ) { ?>
                                            <div class="subtitle">
												<?php echo esc_html( $item['subtitle'] ); ?>
                                            </div>
										<?php } ?>
                                    </div>

                                </div>
								<?php

								if ( ! empty( $item['list'] ) ) {
									$list = explode( '|', $item['list'] ); ?>
                                    <ul class="list-wrap">
										<?php foreach ( $list as $listitem ) { ?>
                                            <li><i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?></li>
										<?php } ?>
                                    </ul>
								<?php }

								if ( ! empty( $item['price'] ) ) { ?>

                                    <div class="price-wrap">
                                        <div class="price">
											<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
											<?php }
											echo esc_html( $item['price'] ); ?>
                                        </div>
                                        <div class="input-check-wrap">
                                            <input type="radio" name="<?php echo esc_attr( $random ); ?>modern"
                                                   value="<?php echo esc_attr( $item['price'] ); ?>"
                                                   class="pricelist-value"
                                                   data-price-title="<?php echo esc_attr( $title ); ?>"
                                                   data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                            <span></span>
                                        </div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
					<?php }
				}

				if ( $style == 'img_bg' && ! empty( $pricing_items ) ) {

					$pricing_items = (array) vc_param_group_parse_atts( $pricing_items );
					$random        = substr( md5( rand() ), 0, 7 );

					foreach ( $pricing_items as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                        <div class="pricing-wrap">

                            <div class="wrap">
								<?php if ( ! empty( $bg_image_url ) ) {
									echo reflector_the_lazy_load_flter( $bg_image_url, array(
										'class' => 's-img-switch',
										'alt'   => $bg_image_alt,
									) );
								} ?>
                            </div>
                            <div class="content">
                                <div class="wrap-top">
									<?php if ( ! empty( $title ) ) { ?>
                                        <div class="title">
											<?php echo esc_html( $title ); ?>
                                        </div>
									<?php }

									if ( ! empty( $item['subtitle'] ) ) { ?>
                                        <div class="subtitle">
											<?php echo esc_html( $item['subtitle'] ); ?>
                                        </div>
									<?php } ?>
                                </div>
								<?php

								if ( ! empty( $item['list'] ) ) {
									$list = explode( '|', $item['list'] ); ?>
                                    <ul class="list-wrap">
										<?php foreach ( $list as $listitem ) { ?>
                                            <li><i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?></li>
										<?php } ?>
                                    </ul>
								<?php }

								if ( ! empty( $item['price'] ) ) { ?>

                                    <div class="price-wrap">
                                        <div class="price">
											<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
											<?php }
											echo esc_html( $item['price'] ); ?>
                                        </div>
                                        <div class="input-check-wrap">
                                            <input type="radio" name="<?php echo esc_attr( $random ); ?>modern"
                                                   value="<?php echo esc_attr( $item['price'] ); ?>"
                                                   class="pricelist-value"
                                                   data-price-title="<?php echo esc_attr( $title ); ?>"
                                                   data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                            <span></span>
                                        </div>
                                    </div>
								<?php } ?>
                            </div>

                        </div>
					<?php }
				}

				if ( $style == 'creative' && ! empty( $items_creative ) ) {

					$items_creative = (array) vc_param_group_parse_atts( $items_creative );
					$random         = substr( md5( rand() ), 0, 7 );

					foreach ( $items_creative as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                        <div class="pricing-wrap">
							<?php

							if ( ! empty( $bg_image_url ) ) {
								echo reflector_the_lazy_load_flter( $bg_image_url, array(
									'class' => 's-img-switch',
									'alt'   => $bg_image_alt,
								) );
							}

							?>
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="wrap">
											<?php

											if ( ! empty( $item['price'] ) ) { ?>

                                                <div class="price-wrap">
                                                    <div class="price">
														<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                            <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
														<?php }
														echo esc_html( $item['price'] ); ?>
                                                    </div>
                                                    <div class="input-check-wrap">
                                                        <input type="radio"
                                                               name="<?php echo esc_attr( $random ); ?>creative"
                                                               value="<?php echo esc_attr( $item['price'] ); ?>"
                                                               class="pricelist-value"
                                                               data-price-title="<?php echo esc_attr( $title ); ?>"
                                                               data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                                        <span></span>
                                                    </div>
                                                </div>
											<?php }

											if ( ! empty( $item['title'] ) ) { ?>
                                                <div class="title">
													<?php echo esc_html( $item['title'] ); ?>
                                                </div>
											<?php }

											if ( ! empty( $item['text'] ) ) { ?>
                                                <div class="text">
													<?php echo wp_kses_post( $item['text'] ); ?>
                                                </div>
											<?php }

											if ( ! empty( $item['subtitle'] ) ) { ?>
                                                <div class="subtitle">
													<?php echo esc_html( $item['subtitle'] ); ?>
                                                </div>
											<?php }

											if ( ! empty( $item['list'] ) ) {
												$list = explode( '|', $item['list'] ); ?>
                                                <ul class="list-wrap">
													<?php foreach ( $list as $listitem ) { ?>
                                                        <li>
                                                            <i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?>
                                                        </li>
													<?php } ?>
                                                </ul>
											<?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
					<?php }
				}

				if ( $style == 'simple' && ! empty( $items_creative ) ) {

					$items_creative = (array) vc_param_group_parse_atts( $items_creative );
					$random         = substr( md5( rand() ), 0, 7 );

					foreach ( $items_creative as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                        <div class="pricing-wrap">
							<?php

							if ( ! empty( $bg_image_url ) ) {
								echo reflector_the_lazy_load_flter( $bg_image_url, array(
									'class' => 's-img-switch',
									'alt'   => $bg_image_alt,
								) );
							}

							?>
                            <div class="container">
                                <div class="row">
                                    <div class="col-12 col-lg-6">
                                        <div class="wrap">
											<?php

											if ( ! empty( $item['price'] ) ) { ?>

                                                <div class="price-wrap">
                                                    <div class="price">
														<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                            <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
														<?php }
														echo esc_html( $item['price'] ); ?>
                                                    </div>
                                                    <div class="input-check-wrap">
                                                        <input type="radio"
                                                               name="<?php echo esc_attr( $random ); ?>simple"
                                                               value="<?php echo esc_attr( $item['price'] ); ?>"
                                                               class="pricelist-value"
                                                               data-price-title="<?php echo esc_attr( $title ); ?>"
                                                               data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                                        <span></span>
                                                    </div>
                                                </div>
											<?php }

											if ( ! empty( $item['title'] ) ) { ?>
                                                <div class="title">
													<?php echo esc_html( $item['title'] ); ?>
                                                </div>
											<?php } ?>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-6">
										<?php

										if ( ! empty( $item['text'] ) ) { ?>
                                            <div class="text">
												<?php echo wp_kses_post( $item['text'] ); ?>
                                            </div>
										<?php }

										if ( ! empty( $item['subtitle'] ) ) { ?>
                                            <div class="subtitle">
												<?php echo esc_html( $item['subtitle'] ); ?>
                                            </div>
										<?php }

										if ( ! empty( $item['list'] ) ) {
											$list = explode( '|', $item['list'] ); ?>
                                            <ul class="list-wrap">
												<?php foreach ( $list as $listitem ) { ?>
                                                    <li>
                                                        <i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?>
                                                    </li>
												<?php } ?>
                                            </ul>
										<?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
					<?php }
				}

				if ( $style == 'with_media' && ! empty( $items_with_media ) ) {

					$items_with_media = (array) vc_param_group_parse_atts( $items_with_media );
					$random           = substr( md5( rand() ), 0, 7 );

					foreach ( $items_with_media as $item ) {
						$bg_image_url = ( ! empty( $item['bg_image'] ) && is_numeric( $item['bg_image'] ) ) ? wp_get_attachment_url( $item['bg_image'] ) : '';
						$bg_image_alt = get_post_meta( $item['bg_image'], '_wp_attachment_image_alt', true );
						$type         = isset( $item['type'] ) && ! empty( $item['type'] ) ? $item['type'] : 'image';
						$video        = isset( $item['url'] ) && ! empty( $item['url'] ) ? $item['url'] : '';
						$video_class  = isset( $item['bg_image'] ) && ! empty( $item['bg_image'] ) ? 'enable-video' : '';
						$title        = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
						$currency     = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>
						<?php if ( ! empty( $bg_image_url ) ) { ?>
                            <div class="media-wrap <?php echo esc_attr( $video_class ); ?>">
								<?php echo reflector_the_lazy_load_flter( $bg_image_url, array(
									'class' => 's-img-switch',
									'alt'   => $bg_image_alt,
								) );

								if ( ! empty( $video ) && $type == 'video' ) { ?>
                                    <a href="<?php echo esc_url( $video ); ?>" class="video-btn js-video-play">
                                        <i class="ion-ios-play"></i>
                                    </a>
								<?php } ?>
                            </div>
						<?php } ?>

                        <div class="pricing-wrap">
                            <div class="text-wrap">
                                <div class="wrap">
									<?php

									if ( ! empty( $item['title'] ) ) { ?>
                                        <div class="title">
											<?php echo esc_html( $item['title'] ); ?>
                                        </div>
									<?php }


									if ( ! empty( $item['price'] ) ) { ?>

                                        <div class="price-wrap">
                                            <div class="price">
												<?php if ( ! empty( $item['currency'] ) ) { ?>
                                                    <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
												<?php }
												echo esc_html( $item['price'] ); ?>
                                            </div>
                                            <div class="input-check-wrap">
                                                <input type="radio"
                                                       name="<?php echo esc_attr( $random ); ?>with_media"
                                                       value="<?php echo esc_attr( $item['price'] ); ?>"
                                                       class="pricelist-value"
                                                       data-price-title="<?php echo esc_attr( $title ); ?>"
                                                       data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                                <span></span>
                                            </div>
                                        </div>
									<?php }

									if ( ! empty( $item['subtitle'] ) ) { ?>
                                        <div class="subtitle">
											<?php echo esc_html( $item['subtitle'] ); ?>
                                        </div>
									<?php }

									if ( ! empty( $item['list'] ) ) {
										$list = explode( '|', $item['list'] ); ?>
                                        <ul class="list-wrap">
											<?php foreach ( $list as $listitem ) { ?>
                                                <li>
                                                    <i class="ion-checkmark"></i><?php echo esc_html( $listitem ); ?>
                                                </li>
											<?php } ?>
                                        </ul>
									<?php } ?>
                                </div>
                            </div>

                        </div>
					<?php }
				}

				if ( $style == 'simple_list' && ! empty( $items_list ) ) {
					$items_list = (array) vc_param_group_parse_atts( $items_list ); ?>

                    <div class="top-wrap">

                        <div class="cell-1"><?php esc_html_e( 'NAME', 'reflector' ); ?></div>
                        <div class="cell-2"><?php esc_html_e( 'PRICE', 'reflector' ); ?></div>
                        <div class="cell-3"><?php esc_html_e( 'ADD', 'reflector' ); ?></div>

                    </div>
                    <div class="top-wrap">

                        <div class="cell-1"><?php esc_html_e( 'NAME', 'reflector' ); ?></div>
                        <div class="cell-2"><?php esc_html_e( 'PRICE', 'reflector' ); ?></div>
                        <div class="cell-3"><?php esc_html_e( 'ADD', 'reflector' ); ?></div>

                    </div>

                    <div class="table-price-wrap">


                        <?php foreach ( $items_list as $item ) {
                            $random     = substr( md5( rand() ), 0, 7 );
                            $title    = isset( $item['title'] ) && ! empty( $item['title'] ) ? $item['title'] : '';
                            $currency = isset( $item['currency'] ) && ! empty( $item['currency'] ) ? $item['currency'] : ''; ?>

                            <div class="pricing-wrap">

                                <?php if ( ! empty( $title ) ) { ?>
                                    <div class="cell-1">
                                        <div class="title">
                                            <?php echo esc_html( $title ); ?>
                                        </div>
                                    </div>
                                <?php }

                                if ( ! empty( $item['price'] ) ) { ?>

                                        <div class="price-wrap">
                                            <div class="price cell-2">
                                                <?php if ( ! empty( $item['currency'] ) ) { ?>
                                                    <span class="currency"><?php echo esc_html( $item['currency'] ); ?></span>
                                                <?php }
                                                echo esc_html( $item['price'] ); ?>
                                            </div>
                                            <div class="input-check-wrap cell-3">
                                                <input type="radio"
                                                       name="<?php echo esc_attr( $random ); ?>simple_list"
                                                       value="<?php echo esc_attr( $item['price'] ); ?>"
                                                       class="pricelist-value"
                                                       data-price-title="<?php echo esc_attr( $title ); ?>"
                                                       data-price-value="<?php echo esc_attr( $currency . $item['price'] ); ?>">
                                                <span></span>
                                            </div>
                                        </div>

                                <?php } ?>

                            </div>
                        <?php } ?>

                    </div>

				<?php }

				if ( $style == 'contact_form' ) { ?>
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
								<?php if ( ! empty( $title ) || ! empty( $subtitle ) ) { ?>
                                    <div class="top-wrap">
										<?php if ( ! empty( $title ) ) { ?>
                                            <div class="title">
												<?php echo esc_html( $title ); ?>
                                            </div>
										<?php }

										if ( ! empty( $subtitle ) ) { ?>
                                            <div class="subtitle">
												<?php echo esc_html( $subtitle ); ?>
                                            </div>
										<?php } ?>
                                    </div>
								<?php }

								if ( ! empty( $mail ) ) { ?>
                                    <div class="form">

                                        <form id="pricelistform" class="reflector-send-email"
                                              data-mail="<?php echo esc_attr( $mail ); ?>" data-price="0">

                                            <input type="text" name="reflector_name"
                                                   placeholder="<?php esc_html_e( 'Name *', 'reflector' ); ?>" required>

                                            <input type="email" name="reflector_email"
                                                   placeholder="<?php esc_html_e( 'Email *', 'reflector' ); ?>"
                                                   required>

                                            <input type="text" name="reflector_date"
                                                   placeholder="<?php esc_html_e( 'Date', 'reflector' ); ?>">

                                            <input type="text" name="reflector_location"
                                                   placeholder="<?php esc_html_e( 'Location', 'reflector' ); ?>">

                                            <textarea name="reflector_message" cols="30" rows="10"
                                                      placeholder="<?php echo esc_attr( $placeholder ); ?>"></textarea>
                                            <div class="button-wrap">
												<?php if ( isset( $term ) && ! empty( $term ) ) { ?>
                                                    <div class="term-wrap">
                                                        <label>
                                                            <input type="checkbox" name="reflector_term" required>
                                                            <span></span>
															<?php esc_html_e( 'I agree with the', 'reflector' ); ?> <a
                                                                    href="<?php echo esc_url( $term ); ?>"
                                                                    target="_blank"><?php esc_html_e( 'Term', 'reflector' ); ?></a>
                                                        </label>
                                                    </div>
												<?php } ?>
                                                <button id="reflector-send"
                                                        class="<?php echo esc_attr( $btn_style ); ?>"><?php esc_html_e( 'Submit', 'reflector' ); ?></button>
                                            </div>
                                            <div class="reflector-send-popup">
                                                <div class="content">
                                                    <div class="close">
                                                        <span class="line"></span>
                                                        <span class="line"></span>
                                                    </div>
                                                    <div class="popup-title">
														<?php esc_html_e( 'Thank you!', 'reflector' ); ?>
                                                    </div>
                                                    <p class="done"><?php esc_html_e( 'Your message is sent!', 'reflector' ); ?></p>
                                                    <p class="error"><?php esc_html_e( "Oooops! Your message isn't sent!", "reflector" ); ?></p>
                                                    <a href="" class="a-btn-5 pdf-wrap" download>
														<?php esc_html_e( 'Download PDF', 'reflector' ); ?>
                                                    </a>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="price-send-loader">
                                        <div class="lds-dual-ring"></div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
                    </div>
				<?php }

				if ( $style == 'contact_form_simple' ) { ?>
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
								<?php if ( ! empty( $title ) ) { ?>
                                    <div class="top-wrap">
                                        <div class="title">
											<?php echo esc_html( $title ); ?>
                                        </div>
                                    </div>
								<?php }

								if ( ! empty( $mail ) ) { ?>
                                    <div class="form">

                                        <form id="pricelistform" class="reflector-send-email"
                                              data-mail="<?php echo esc_attr( $mail ); ?>" data-price="0">

                                            <input type="text" name="reflector_name"
                                                   placeholder="<?php esc_html_e( 'Name *', 'reflector' ); ?>" required>

                                            <input type="email" name="reflector_email"
                                                   placeholder="<?php esc_html_e( 'Email *', 'reflector' ); ?>"
                                                   required>

                                            <textarea name="reflector_message" cols="30" rows="10"
                                                      placeholder="<?php esc_html_e( 'Questions & Comments', 'reflector' ); ?>"></textarea>
                                            <div class="button-wrap">
												<?php if ( isset( $term ) && ! empty( $term ) ) { ?>
                                                    <div class="term-wrap">
                                                        <label>
                                                            <input type="checkbox" name="reflector_term" required>
                                                            <span></span>
															<?php esc_html_e( 'I agree with the', 'reflector' ); ?> <a
                                                                    href="<?php echo esc_url( $term ); ?>"
                                                                    target="_blank"><?php esc_html_e( 'Term', 'reflector' ); ?></a>
                                                        </label>
                                                    </div>
												<?php } ?>
                                                <button id="reflector-send"
                                                        class="<?php echo esc_attr( $btn_style ); ?>"><?php esc_html_e( 'Submit', 'reflector' ); ?></button>
                                            </div>
                                            <div class="reflector-send-popup">
                                                <div class="content">
                                                    <div class="close">
                                                        <span class="line"></span>
                                                        <span class="line"></span>
                                                    </div>
                                                    <div class="popup-title">
														<?php esc_html_e( 'Thank you!', 'reflector' ); ?>
                                                    </div>
                                                    <p class="done"><?php esc_html_e( 'Your message is sent!', 'reflector' ); ?></p>
                                                    <p class="error"><?php esc_html_e( "Oooops! Your message isn't sent!", "reflector" ); ?></p>
                                                    <a href="" class="a-btn-5 pdf-wrap" download>
														<?php esc_html_e( 'Download PDF', 'reflector' ); ?>
                                                    </a>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="price-send-loader">
                                        <div class="lds-dual-ring"></div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
                    </div>
				<?php } ?>

            </div>


			<?php
			return ob_get_clean();
		}
	}
}
