<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/pricing/';
	vc_map(
		array(
			'name'        => __( 'Pricing', 'js_composer' ),
			'base'        => 'cs_pricing',
			'category'    => __( 'Content', 'js_composer' ),
			'description' => __( 'Block with pricing and text', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
						array(
							'value' => 'creative',
							'label' => esc_html__( 'Creative', 'js_composer' ),
							'image' => $url . 'creative.jpg'
						),
						array(
							'value' => 'slider',
							'label' => esc_html__( 'Slider', 'js_composer' ),
							'image' => $url . 'slider.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Type', 'js_composer' ),
					'param_name' => 'type',
					'value'      => array(
						'With left line'  => 'left-line',
						'With right line' => 'right-line',
						'Without line'    => 'without-line',
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'creative' ) ),
				),
				array(
					'type'        => 'textfield',
					'description' => __( 'Please add text for your subtitle', 'js_composer' ),
					'heading'     => __( 'Subtitle', 'js_composer' ),
					'param_name'  => 'subtitle',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Title', 'js_composer' ),
					'param_name'  => 'title',
					'description' => __( 'Please add text for your title', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'creative' ) )
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'description' => __( 'Please add info for items', 'js_composer' ),
					'param_name'  => 'items',
					'value'       => '',
					'params'      => array(
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Info', 'js_composer' ),
							'param_name' => 'info',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'creative' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Title for price', 'js_composer' ),
					'param_name'  => 'title_price',
					'description' => __( 'Please add text for your title of price', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'creative' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Price', 'js_composer' ),
					'param_name'  => 'price',
					'description' => __( 'Please add price', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic', 'creative' ) )
				),
				array(
					'type'        => 'attach_image',
					'description' => __( 'Please add your image', 'js_composer' ),
					'heading'     => __( 'Image', 'js_composer' ),
					'param_name'  => 'image',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'classic' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Reverse content?', 'js_composer' ),
					'param_name' => 'reverse',
					'std'        => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'classic' ) )
				),
				array(
					'type'        => 'vc_link',
					'heading'     => __( 'Button', 'js_composer' ),
					'description' => __( 'Please add link & name for your button', 'js_composer' ),
					'param_name'  => 'button',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'creative' ) )
				),
				array(
					'type'        => 'select_preview',
					'heading'     => __( 'Button style', 'js_composer' ),
					'description' => __( 'Please select style of your button', 'js_composer' ),
					'param_name'  => 'btn_style',
					'value'       => cs_buttons(),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'creative' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __('Pricing items', 'js_composer'),
					'param_name' => 'pricing_items',
					'value'      => '',
					'params'     => array(
						array(
							'type'       => 'textarea',
							'heading'    => __('Title', 'js_composer'),
							'param_name' => 'title',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __('Cost', 'js_composer'),
							'param_name' => 'cost',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __('Pricing messages', 'js_composer'),
							'param_name'  => 'messages',
							'description' => 'Please, separate every message by line "|". For ex: First message | Second message'
						),
						array(
							'type'        => 'vc_link',
							'heading'     => __('Button', 'js_composer'),
							'description' => __('Please add link & name for your button', 'js_composer'),
							'param_name'  => 'button',
						),
						array(
							'type'        => 'select_preview',
							'heading'     => __('Button style', 'js_composer'),
							'description' => __('Please select style of your button', 'js_composer'),
							'param_name'  => 'btn_style',
							'value'       => cs_buttons(),
						),
						array(
							'type'       => 'checkbox',
							'heading'    => esc_html__('Select item as active?', 'js_composer'),
							'param_name' => 'active',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Autoplay (milliseconds)', 'js_composer'),
					'description' => __('0 - off autoplay.', 'js_composer'),
					'param_name'  => 'autoplay',
					'value'       => '0',
					'group'       => __('Animation', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Speed (milliseconds)', 'js_composer'),
					'description' => __('Speed Animation. Default 1000 milliseconds', 'js_composer'),
					'param_name'  => 'speed',
					'value'       => '500',
					'group'       => __('Animation', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => __('Loop', 'js_composer'),
					'param_name' => 'loop',
					'value'      => '1',
					'group'      => __('Animation', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Count of slides for large desktop', 'js_composer'),
					'description' => __('Only numbers. By default is 4.', 'js_composer'),
					'param_name'  => 'lg_count',
					'group'       => __('Animation', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Count of slides for middle desktop', 'js_composer'),
					'description' => __('Only numbers. By default is 3.', 'js_composer'),
					'param_name'  => 'md_count',
					'group'       => __('Animation', 'js_composer'),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Count of slides for tablet', 'js_composer'),
					'description' => __('Only numbers. By default is 2.', 'js_composer'),
					'param_name'  => 'sm_count',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) ),
					'group'       => __('Animation', 'js_composer')
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Count of slides for mobile', 'js_composer'),
					'description' => __('Only numbers. By default is 1.', 'js_composer'),
					'param_name'  => 'xs_count',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) ),
					'group'       => __('Animation', 'js_composer')
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Space between items on desktop', 'js_composer'),
					'description' => __('Only numbers.', 'js_composer'),
					'param_name'  => 'space_desktop',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) ),
					'group'       => __('Animation', 'js_composer')
				),
				array(
					'type'        => 'textfield',
					'heading'     => __('Space between items on mobile', 'js_composer'),
					'description' => __('Only numbers.', 'js_composer'),
					'param_name'  => 'space_mobile',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'slider' ) ),
					'group'       => __('Animation', 'js_composer')
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_pricing extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'style'       => 'classic',
				'type'        => 'left-line',
				'button'      => '',
				'btn_style'   => 'a-btn-1',
				'image'       => '',
				'subtitle'    => '',
				'title'       => '',
				'title_price' => '',
				'price'       => '',
				'reverse'     => '',
				'pricing_items' => '',
				'loop'          => '0',
				'autoplay'      => '0',
				'speed'         => '1500',
				'lg_count'      => '4',
				'md_count'      => '3',
				'sm_count'      => '2',
				'xs_count'      => '1',
				'space_desktop' => '30',
				'space_mobile'  => '30',
				'items'       => array(),

			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_pricing-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_pricing-css";
			}
			$this->enqueueCss();

			$style     = isset( $style ) && ! empty( $style ) ? $style : 'classic';
			$image_url = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
			$image_alt = get_post_meta( $image, '_wp_attachment_image_alt', true );
			$reverse   = isset( $reverse ) && ! empty( $reverse ) ? 'reverse' : '';

			$space_desktop    = ! empty( $space_desktop ) && is_numeric( $space_desktop ) ? $space_desktop : '30';
			$space_mobile    = ! empty( $space_mobile ) && is_numeric( $space_mobile ) ? $space_mobile : '30';
			$speed               = isset( $speed ) && ! empty( $speed ) && is_numeric( $speed ) ? $speed : '1500';
			$loop               = isset( $loop ) && ! empty( $loop ) ? 1 : 0;
			$lg_count    = ! empty( $lg_count ) && is_numeric( $lg_count ) ? $lg_count : '4';
			$md_count    = ! empty( $md_count ) && is_numeric( $md_count ) ? $md_count : '3';
			$sm_count    = ! empty( $sm_count ) && is_numeric( $sm_count ) ? $sm_count : '2';
			$xs_count    = ! empty( $xs_count ) && is_numeric( $xs_count ) ? $xs_count : '1';

			ob_start();

			if ( $style == 'classic' ) { ?>
                <div class="pricing-wrap <?php echo esc_attr( $reverse . ' ' . $style ); ?>">

                    <div class="content-wrap">
						<?php if ( ! empty( $subtitle ) || ! empty( $title ) ) { ?>
                            <div class="top-info">
								<?php if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle">
										<?php echo esc_html( $subtitle ); ?>
                                    </div>
								<?php }

								if ( ! empty( $title ) ) { ?>
                                    <div class="title">
										<?php echo esc_html( $title ); ?>
                                    </div>
								<?php } ?>

                            </div>
						<?php }
						if ( ! empty( $items ) ) {
							$items = (array) vc_param_group_parse_atts( $items );

							foreach ( $items as $item ) {
								if ( ! empty( $item['info'] ) ) { ?>
                                    <div class="item">
										<?php echo wp_kses_post( $item['info'] ); ?>
                                    </div>
								<?php }
							}
						}

						if ( ! empty( $title_price ) || ! empty( $price ) ) { ?>
                            <div class="price-wrap">
								<?php if ( ! empty( $title_price ) ) { ?>
                                    <div class="price-title">
										<?php echo esc_html( $title_price ); ?>
                                    </div>
								<?php }

								if ( ! empty( $price ) ) { ?>
                                    <div class="price">
										<?php echo esc_html( $price ); ?>
                                    </div>
								<?php } ?>

                            </div>
						<?php } ?>

                    </div>

					<?php if ( ! empty( $image_url ) ) { ?>
                        <div class="image-wrap">
							<?php echo reflector_the_lazy_load_flter( $image_url, array(
								'class' => 's-img-switch',
								'alt'   => $image_alt,
							) ); ?>
                        </div>
					<?php } ?>

                </div>
			<?php }

			if ( $style == 'creative' ) { ?>
                <div class="pricing-wrap <?php echo esc_attr( $type . ' ' . $style ); ?>">

                    <div class="content-wrap">
						<?php if ( ! empty( $title ) ) { ?>
                            <div class="title">
								<?php echo esc_html( $title ); ?>
                            </div>
						<?php }

						if ( ! empty( $title_price ) || ! empty( $price ) ) { ?>
                            <div class="price-wrap">
								<?php if ( ! empty( $price ) ) { ?>
                                    <div class="price">
										<?php echo esc_html( $price ); ?>
                                    </div>
								<?php }

								if ( ! empty( $title_price ) ) { ?>
                                    <div class="price-title">
										<?php echo esc_html( $title_price ); ?>
                                    </div>
								<?php } ?>

                            </div>
						<?php }

						if ( ! empty( $items ) ) { ?>
                            <div class="items-wrap">

								<?php $items = (array) vc_param_group_parse_atts( $items );

								foreach ( $items as $item ) {
									if ( ! empty( $item['info'] ) ) { ?>
                                        <div class="item">
											<?php echo wp_kses_post( $item['info'] ); ?>
                                        </div>
									<?php }
								} ?>
                            </div>

						<?php }

	                    if ( ! empty( $button ) ) {
		                    $url = vc_build_link( $button );
	                    }

	                    $btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn-1';

	                    if ( ! empty( $button ) && ! empty( $url['url'] ) ) { ?>
                            <div class="btn-wrapper">
			                    <?php if ( ! empty( $url['url'] ) ) {
				                    $url_targ = ! empty( $url['target'] ) ? $url['target'] : '_self'; ?>
                                    <a href="<?php echo esc_url( $url['url'] ); ?>"
                                       class="<?php echo esc_attr( $btn_style ); ?>"
                                       target="<?php echo esc_attr( $url_targ ); ?>">
					                    <?php echo esc_html( $url['title'] ); ?>
                                    </a>
			                    <?php } ?>
                            </div>
	                    <?php } ?>
                    </div>

                </div>
			<?php }

			if( $style == 'slider' ){ ?>
                <div class="pricing-wrap <?php echo esc_attr($style); ?>">
					<?php if ( !empty($pricing_items) ) {
						$pricing_items = (array)vc_param_group_parse_atts($pricing_items); ?>
                        <div class="swiper-container" data-responsive="1"
                             data-space="<?php echo esc_attr($space_desktop); ?>"
                             data-md-space="<?php echo esc_attr($space_mobile); ?>"
                             data-sm-space="<?php echo esc_attr($space_mobile); ?>"
                             data-xs-space="<?php echo esc_attr($space_mobile); ?>"
                             data-autoplay="<?php echo esc_attr($autoplay); ?>"
                             data-speed="<?php echo esc_attr($speed); ?>" data-mode="horizontal"
                             data-loop="<?php echo esc_attr($loop); ?>"
                             data-add-slides="<?php echo esc_attr($lg_count); ?>"
                             data-xs-slides="<?php echo esc_attr($xs_count); ?>"
                             data-sm-slides="<?php echo esc_attr($sm_count); ?>"
                             data-md-slides="<?php echo esc_attr($md_count); ?>"
                             data-lg-slides="<?php echo esc_attr($lg_count); ?>">
                            <div class="swiper-wrapper">
								<?php
								foreach ( $pricing_items as $pricing_item ) {
									$active_class = !empty($pricing_item['active']) && $pricing_item['active'] ? 'active' : '';
									?>
                                    <div class="swiper-slide">
                                        <div class="pricing__wrap <?php echo esc_attr($active_class); ?>">
											<?php if ( !empty($pricing_item['title']) ) { ?>
                                                <h5 class="pricing__title"><?php echo wp_kses_post($pricing_item['title']); ?></h5>
											<?php } if ( !empty($pricing_item['cost']) ) { ?>
                                                <div class="pricing__cost"><?php echo wp_kses_post($pricing_item['cost']); ?></div>
											<?php }

											$messages = explode('|', $pricing_item['messages']);
											if (!empty($messages)) { ?>
                                                <ul>
													<?php foreach ($messages as $message) { ?>
                                                        <li><?php echo esc_html($message); ?></li>
													<?php } ?>
                                                </ul>
											<?php }
											$url = '';
											if ( !empty($pricing_item['button']) ) {
												$url = vc_build_link($pricing_item['button']);
												$btn_style     = isset($pricing_item['btn_style']) && !empty($pricing_item['btn_style']) ? $pricing_item['btn_style'] : 'a-btn-1';
											}

											if ( !empty($url['title']) ) {
												$target = !empty($url['target']) ? $url['target'] : '_self';
												?>
                                                <a href="<?php echo esc_attr($url['url']); ?>"
                                                   class="<?php echo esc_attr($btn_style); ?>"
                                                   target="<?php echo esc_attr($target); ?>">
													<?php echo esc_html($url['title']); ?>
                                                </a>
											<?php } ?>
                                        </div>
                                    </div>
								<?php } ?>
                            </div>
                        </div>
                        <div class="swiper-pagination"></div>
						<?php
					} ?>
                </div>

			<?php }

			return ob_get_clean();
		}
	}
}
