<?php
if ( function_exists('vc_map') ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/service_item/';
	vc_map(
		array(
			'name'        => __('Service item', 'js_composer'),
			'base'        => 'cs_service_item',
			'category'    => __('Content', 'js_composer'),
			'description' => __('Block with image and text', 'js_composer'),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'description' => __('Please select item style', 'js_composer'),
					'heading'     => esc_html__('Style', 'js_composer'),
					'value'       => array(
						array(
							'value' => 'classic',
							'label' => esc_html__('Classic', 'js_composer'),
							'image' => $url . 'classic.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'iconpicker',
					'heading'     => __('Icon', 'js_composer'),
					'param_name'  => 'icon',
					'settings'    => array(
						'emptyIcon'    => false,
						'type'         => 'info',
						'source'       => reflector_linea_basic(),
						'iconsPerPage' => 4000,
					),
					'description' => __('Select icon from library.', 'js_composer'),
				),
				array(
					'type'       => 'textfield',
					'heading'    => __('Title', 'js_composer'),
					'param_name' => 'title',
				),
				array(
					'type'       => 'textarea',
					'heading'    => __('Description', 'js_composer'),
					'param_name' => 'description',
				),
			)
		)
	);
}

if ( class_exists('WPBakeryShortCode') ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_service_item extends WPBakeryShortCode {
		protected function content($atts, $content = null) {

			extract(shortcode_atts(array(
				'style'       => 'classic',
				'icon'        => '',
				'title'       => '',
				'description' => '',
			), $atts));

			// include needed stylesheets
			if ( !in_array("cs-service-item", self::$css_scripts) ) {
				self::$css_scripts[] = "cs-service-item";
			}
			$this->enqueueCss();

			$style = isset( $style ) && !empty( $style ) ? $style : 'classic';

			ob_start(); ?>

			<div class="cs-service-item <?php echo esc_attr($style); ?>">
				<div class="content">
					<?php if ( $style == 'classic' ) {

						if ( !empty($icon) ) { ?>
                            <i class="service-icon <?php echo esc_attr($icon); ?>"></i>
						<?php }

						if ( !empty($title) ) { ?>
							<h4 class="title"><?php echo esc_html($title); ?></h4>
						<?php }

						if ( !empty($description) ) { ?>
							<div class="description"><?php echo wp_kses_post($description); ?></div>
						<?php }

					 } ?>
				</div>
			</div>

			<?php

			return ob_get_clean();
		}
	}
}
