<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/team/';
	vc_map(
		array(
			'name'        => __( 'Team', 'js_composer' ),
			'base'        => 'cs_team',
			'description' => __( 'My team', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'team_style',
					'heading'     => esc_html__( 'Type', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'value' => 'single',
							'label' => esc_html__( 'Single', 'js_composer' ),
							'image' => $url . 'single.jpg'
						),
						array(
							'value' => 'modern',
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'image' => $url . 'modern.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Team members', 'js_composer' ),
					'param_name' => 'team_items_simple',
					'value'      => '',
					'params'     => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Name', 'js_composer' ),
							'param_name'  => 'name',
							'description' => __( "Add member's name.", "js_composer" ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Position', 'js_composer' ),
							'param_name'  => 'position',
							'description' => __( "Add member's position.", "js_composer" ),
						),
					),
					'dependency' => array( 'element' => 'team_style', 'value' => array( 'simple' ) ),
				),

				array(
					'type'        => 'attach_image',
					'param_name'  => 'image',
					'description' => __( 'Photo', 'js_composer' ),
					'dependency'  => array( 'element' => 'team_style', 'value' => array( 'single', 'modern' ) ),
				),

				array(
					'type'        => 'textfield',
					'heading'     => __( 'Name', 'js_composer' ),
					'param_name'  => 'name',
					'description' => __( "Add member's name.", "js_composer" ),
					'dependency'  => array( 'element' => 'team_style', 'value' => array( 'single', 'modern' ) ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Position', 'js_composer' ),
					'param_name'  => 'position',
					'description' => __( "Add member's position.", "js_composer" ),
					'dependency'  => array( 'element' => 'team_style', 'value' => array( 'single', 'modern' ) ),
				),
				array(
					'type'        => 'textarea',
					'heading'     => __( 'Description', 'js_composer' ),
					'param_name'  => 'description',
					'description' => __( "Add member's description.", "js_composer" ),
					'dependency'  => array( 'element' => 'team_style', 'value' => array( 'single' ) ),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Icons', 'js_composer' ),
					'description' => __( 'Please add social icons', 'js_composer' ),
					'param_name'  => 'item_icons',
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'iconpicker',
							'heading'     => __( 'Social Icon', 'js_composer' ),
							'param_name'  => 'icon',
							'settings'    => array(
								'emptyIcon'    => false,
								'type'         => 'info',
								'source'       => reflector_font_awesome(),
								'iconsPerPage' => 4000,
							),
							'description' => __( 'Select icon from library.', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Social URL', 'js_composer' ),
							'description' => __( 'Please add your social URL', 'js_composer' ),
							'param_name'  => 'url',
						),
					),
					'dependency'  => array( 'element' => 'team_style', 'value' => array( 'single', 'modern' ) ),
				),

			), //end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_cs_team extends WPBakeryShortCode {

		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'team_style'        => 'simple',
				'team_items_simple' => array(),
				'item_icons'        => array(),
				'image'             => '',
				'name'              => '',
				'description'       => '',
				'position'          => '',

			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_team-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_team-css";
			}
			$this->enqueueCss();

			$team_style = isset( $team_style ) && ! empty( $team_style ) ? $team_style : 'simple';
			$image_url  = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
			$image_alt  = get_post_meta( $image, '_wp_attachment_image_alt', true );

			ob_start();

			if ( $team_style == "simple" && ! empty( $team_items_simple ) ) { ?>
                <div class="team-members-wrap <?php echo esc_attr( $team_style ) ?>">
					<?php if ( ! empty( $team_items_simple ) ) { ?>
                        <ul class="team-members">
							<?php

							$team_items_simple = (array) vc_param_group_parse_atts( $team_items_simple );

							foreach ( $team_items_simple as $item ) {
								?>
                                <li class="team-item">
									<?php if ( ! empty( $item['name'] ) ) { ?>
                                        <h5 class="member-name"><?php echo esc_html( $item['name'] ); ?></h5>
									<?php } // end if
									if ( ! empty( $item['position'] ) ) { ?>
                                        <span class="member-position"><?php echo esc_html( $item['position'] ); ?></span>
									<?php } // end if
									?>
                                </li>
							<?php } ?>
                        </ul>
					<?php } ?>
                </div>
			<?php }

			if ( $team_style == "single" ) { ?>
                <div class="team-members-wrap <?php echo esc_attr( $team_style ) ?>">
                    <div class="image-wrap">

						<?php if ( ! empty( $image ) ) {
							if ( ! empty( $image_url ) ) {
								echo reflector_the_lazy_load_flter( $image_url, array(
									'class' => 's-img-switch',
									'alt'   => $image_alt,
								) );
							} // end if
						} ?>

						<?php if ( ! empty( $description ) || ! empty( $item_icons ) ) { ?>
                            <div class="description-wrap">
								<?php if ( ! empty( $description ) ) { ?>
                                    <div class="description"><?php echo esc_html( $description ); ?></div>
								<?php } ?>
								<?php if ( ! empty( $item_icons ) ) { ?>
                                    <div class="socials">
										<?php $item_icons = isset( $item_icons ) && ! empty( $item_icons ) ? (array) vc_param_group_parse_atts( $item_icons ) : '';

										foreach ( $item_icons as $item ) {
											$url = isset( $item['url'] ) && ! empty( $item['url'] ) ? $item['url'] : '#';
											if ( ! empty( $item['icon'] ) ) { ?>
                                                <a href="<?php echo esc_url( $url ); ?>">
                                                    <i class="<?php echo esc_attr( $item['icon'] ); ?>"></i>
                                                </a>
											<?php } ?>
										<?php }
										?>
                                    </div>
								<?php } ?>
                            </div>
						<?php } ?>

                    </div>

                    <div class="content-wrap">
						<?php if ( ! empty( $name ) ) { ?>
                            <div class="name"><?php echo esc_html( $name ); ?></div>
						<?php }

						if ( ! empty( $position ) ) { ?>
                            <div class="position"><?php echo esc_html( $position ); ?></div>
						<?php } ?>
                    </div>


                </div>
			<?php }

			if( $team_style == 'modern' ){ ?>
                <div class="team-members-wrap <?php echo esc_attr( $team_style ) ?>">
                    <div class="image-wrap">

						<?php if ( ! empty( $image ) ) {
							if ( ! empty( $image_url ) ) {
								echo reflector_the_lazy_load_flter( $image_url, array(
									'class' => 's-img-switch',
									'alt'   => $image_alt,
								) );
							} // end if
						} ?>

                        <?php if ( ! empty( $item_icons ) ) { ?>
                            <div class="socials">
                                <?php $item_icons = isset( $item_icons ) && ! empty( $item_icons ) ? (array) vc_param_group_parse_atts( $item_icons ) : '';

                                foreach ( $item_icons as $item ) {
                                    $url = isset( $item['url'] ) && ! empty( $item['url'] ) ? $item['url'] : '#';
                                    if ( ! empty( $item['icon'] ) ) { ?>
                                        <div>
                                            <a href="<?php echo esc_url( $url ); ?>">
                                                <i class="<?php echo esc_attr( $item['icon'] ); ?>"></i>
                                            </a>
                                        </div>
                                    <?php } ?>
                                <?php }
                                ?>
                            </div>
                        <?php } ?>
                    </div>

                    <div class="content-wrap">
						<?php if ( ! empty( $position ) ) { ?>
                            <div class="position"><?php echo esc_html( $position ); ?></div>
						<?php }

						if ( ! empty( $name ) ) { ?>
                            <div class="name"><?php echo esc_html( $name ); ?></div>
						<?php } ?>
                    </div>

                </div>
            <?php }


			return ob_get_clean();
		}
	}
}
