<?php

//Twitter Posts shortcode

if ( function_exists( 'vc_map' ) ) {

	vc_map(
		array(
			'name' => __('Twitter Posts', 'js_composer'),
			'base' => 'cs_twitter_one',
			'content_element' => true,
			'show_settings_on_create' => true,
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' => 'Twitter user',
					'param_name' => 'twitter_user',
					'value' => '',
				),
				array(
					'type' => 'iconpicker',
					'heading' => 'Select icon',
					'param_name' => 'icon',
					'settings'    => array(
						'emptyIcon'    => false,
						'type'         => 'info',
						'source'       => reflector_font_awesome(),
						'iconsPerPage' => 4000,
					),
					'description' => __('Select icon from library.', 'js_composer'),
				),
				array(
					'type' => 'textfield',
					'heading' => 'Extra class name',
					'param_name' => 'el_class',
					'description' => 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.',
					'value' => '',
				),
				array(
					'type' => 'css_editor',
					'heading' => 'CSS box',
					'param_name' => 'css',
					'group' => 'Design options',
				),

			),

			//end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_twitter_one extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'twitter_user' => '',
				'icon' => '',
				'el_class' => '',
				'css' => ''

			), $atts ) );


			if ( !in_array("cs_twitter-css", self::$css_scripts) ) {
				self::$css_scripts[] = "cs_twitter-css";
			}
			$this->enqueueCss();

			/* get param class */
			$wrap_class = !empty($el_class) ? $el_class : '';
			/* get custum css as class*/
			$wrap_class .= vc_shortcode_custom_css_class($css, ' ');

			ob_start();

			if (empty($twitter_user)) return; ?>

				<div class="twitter-wrapper <?php echo esc_attr($wrap_class); ?>">
					<span class="<?php echo esc_attr($icon); ?>"></span>
					<?php $twitts = cs_get_twitts($twitter_user);

					if (!empty($twitts) && is_array($twitts)):
						$twitt = $twitts[0]; ?>

						<div class="twitter-wrap">

							<?php if (!empty($twitt->user->profile_image_url)): ?>
								<div class="img">
									<img src="<?php echo esc_url(str_replace('_normal', '', $twitt->user->profile_image_url)); ?>" class="s-img-switch" alt="<?php echo esc_attr($twitt->user->name); ?>">
								</div>
							<?php endif;

							if (!empty($twitt->user->name)): ?>
								<div class="name">
									<?php echo esc_html($twitt->user->name); ?>
								</div>
							<?php endif;

							if (!empty($twitter_user)): ?>
								<div class="slug">
									@<?php echo esc_html($twitter_user); ?>
								</div>
							<?php endif;

							if (!empty($twitt->text)): ?>
								<div class="description">
									<?php echo wp_kses_post($twitt->text); ?>
								</div>
							<?php endif ?>

						</div>
					<?php endif ?>
				</div>

			<?php


			// end output
			return ob_get_clean();
		}
	}
}