<?php
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/video/';
	vc_map(
		array(
			'name'        => esc_html__( 'Video', 'js_composer' ),
			'base'        => 'cs_video',
			'description' => __( 'Section with video and text', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
				array(
					'type'        => 'select_preview',
					'param_name'  => 'style',
					'heading'     => esc_html__( 'Style', 'js_composer' ),
					'value'       => array(
						array(
							'value' => 'classic',
							'label' => esc_html__( 'Classic', 'js_composer' ),
							'image' => $url . 'classic.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'attach_image',
					'description' => __( 'Please add your image', 'js_composer' ),
					'heading'     => __( 'Background image', 'js_composer' ),
					'param_name'  => 'bg_image',
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Video URL', 'js_composer' ),
					'description' => __( 'Please add URL of video from YouTube', 'js_composer' ),
					'param_name'  => 'url',
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
				),

			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_cs_video extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'    => 'classic',
				'bg_image' => '',
				'url'      => '',
				'title'    => '',
				'subtitle' => '',

			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "cs_video-css", self::$css_scripts ) ) {
				self::$css_scripts[] = "cs_video-css";
			}
			$this->enqueueCss();

			// start output
			ob_start();

			$style        = isset ( $style ) && ! empty( $style ) ? $style : 'simple';
			$bg_image_url = ( ! empty( $bg_image ) && is_numeric( $bg_image ) ) ? wp_get_attachment_url( $bg_image ) : '';
			$bg_image_alt = get_post_meta( $bg_image, '_wp_attachment_image_alt', true ); ?>


            <div class="video-section-wrap <?php echo esc_attr( $style ); ?>">
				<?php if ( $style == 'classic' ) { ?>

                    <div class="video-wrap">
	                    <?php if(!empty($bg_image_url)){
		                    echo reflector_the_lazy_load_flter( $bg_image_url, array(
			                    'class' => 's-img-switch',
			                    'alt'   => $bg_image_alt,
		                    ) );
	                    }

	                    if ( ! empty( $url ) ) { ?>
                            <a href="<?php echo esc_url( $url ); ?>" class="video-btn js-video-play">
                                <i class="ion-ios-play"></i>
                            </a>
	                    <?php } ?>
                    </div>

					<?php if(!empty($title) || !empty($subtitle)){ ?>

                        <div class="content-wrap">

                            <?php if(!empty($title)){ ?>
                                <div class="title">
                                    <?php echo wp_kses_post($title); ?>
                                </div>
                            <?php }

                            if(!empty($subtitle)){ ?>
                                 <div class="subtitle">
                                     <?php echo wp_kses_post($subtitle); ?>
                                 </div>
                            <?php } ?>

                        </div>

                    <?php }

                } ?>
            </div>
			<?php

			return ob_get_clean();
		}
	}
}